commit 1fc67e9faf0fef72ca114ace4d3c850063f77646
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 17:41:59 2020 +0100

    Update NEWS

 Jenkinsfile |  2 +-
 NEWS        | 13 ++++++++-----
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 11643a140b8f5de4aa0ccb9fbfd40dae8696c465
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 17:40:12 2020 +0100

    Remove stale TODO

 TODO | 10 ----------
 1 file changed, 10 deletions(-)

commit a0040e0c50384e76937cf532ccd235a4283b3d1b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 17:37:25 2020 +0100

    Bump version to 1.0.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b64999f60fe096b61de23e596b03d2c2781f42a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 17:33:48 2020 +0100

    Use github to report bugs

 BUGS | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit 8eaa2d38562270681842e6e4d9e12ea9e8af0949
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 17:21:18 2020 +0100

    Don't use deprecated std::mem_fun()

 .vscode/settings.json | 76 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 Jenkinsfile           |  2 +-
 src/hpack.cc          |  5 ++--
 src/pack.cc           | 27 ++++++++----------
 src/vpack.cc          |  6 ++--
 5 files changed, 92 insertions(+), 24 deletions(-)

commit 691c422ec65ae1b598c4ff28e1ad72cd74a7411e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 16:33:29 2020 +0100

    Remove build on NetBSD

 Jenkinsfile | 41 -----------------------------------------
 1 file changed, 41 deletions(-)

commit ef75e05e869fb18f1ac8bd6be41e73459d415349
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 14:02:26 2018 +0100

    Prepare development branch

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f0ec47e69c5713c2e3e7e16df668b5fb509991f
Merge: f87dc3a 92a3a19
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 14:01:57 2018 +0100

    Merge branch 'master' into development

commit 92a3a198cb22821c524a66f8c6c9c536f5785724
Merge: 110041a 32332d9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 14:01:19 2018 +0100

    Merge branch 'release/1.0.1'

commit 32332d95743b990fd7faa59735f89bc52cdf5749
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 13:13:42 2018 +0100

    Bump version to 1.0.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 486097aac9eef09734c6aebe03df69d1870140a6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 13:13:31 2018 +0100

    Update

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit f87dc3acf3fa5c0db4113da91e2fa68d0ab16b08
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 17:00:03 2018 +0100

    EXTRA_LD_PRELOAD value must provide terminating colon

 README                           | 9 ++++++---
 tests/basic/Makefile.am          | 2 +-
 tests/ui-interactive/Makefile.am | 2 +-
 3 files changed, 8 insertions(+), 5 deletions(-)

commit 79888970ecf77a0af4ad5f97ae9e7d291f913ac2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Oct 31 11:50:21 2018 +0100

    Introduce $EXTRA_LD_PRELOAD
    
    This environment variable allows to add extra preload
    libraries which is required when using code instrumentation
    to load libasan before the test preload libraries

 tests/basic/Makefile.am          | 2 +-
 tests/ui-interactive/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8079e37273922e84aec6299b94e49dd79b65f54a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 17:15:44 2018 +0200

    Prepare for next release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a5e87b8c9c23d0dec1cc7663b5dc27869c426d50
Merge: cc42078 110041a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 17:15:06 2018 +0200

    Merge branch 'master' into development

commit 110041a294cee071385caa85c9ef5739c1812dc3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:52:49 2018 +0200

    Drop --disable-nls from dist checking

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f310b77e1d2dbcdd0ba94ac5e3d8e434b4e6d2d9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:46:18 2018 +0200

    Move LDFLAGS to DISTCHECK_CONFIGURE_FLAGS

 Jenkinsfile | 2 +-
 Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7fd1924e0d1638d9d2fcb5c11e176ba8baf101e4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:36:25 2018 +0200

    Add -L flag when dist checking

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 565c604b3efc41e5eb50995fbe1a3c355ede9a98
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:25:26 2018 +0200

    Move post directive to stage building dist check

 Jenkinsfile | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 66fea1cb0979b9ae62c6aa768109a2fe7e4f3344
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:13:28 2018 +0200

    Disable NLS when dist checking

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3b59a89e02cccd7e34241c31357143ddec34d527
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:11:09 2018 +0200

    Align AM_INIT_AUTOMAKE with YAPET

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b059294aa89088cd183153fb717df836c0ab49e0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:02:38 2018 +0200

    Handle failed distcheck

 Jenkinsfile | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit d80a0b6a865d8756169457ed01501ac1be9b3c95
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 15:59:40 2018 +0200

    Use --enable-nls when dist checking

 Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4b96b2b72e43eb2703e33285ee1c09e671704841
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 15:39:24 2018 +0200

    Add 'Build distribution' stage

 Jenkinsfile | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit a6a134141d315ae4ea5ddae38fe14f6a7f6edf79
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 15:35:09 2018 +0200

    Updated po files

 po/de.po         | 94 ++++++++++++++++++++++++++---------------------------
 po/libyacurs.pot | 98 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 96 insertions(+), 96 deletions(-)

commit 80a272f23b0cb9b1aed3d919723bfc3d4cd57cda
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 15:31:44 2018 +0200

    Bump to version 1.0.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70268781d9ef35111680a4c72363152726a1df71
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 15:31:34 2018 +0200

    Label steps

 Jenkinsfile | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit cc42078388be0ca8cdfedf5fc842ec371da7535d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 15:16:36 2018 +0200

    Drop uncrustifyrc, using clang-format

 uncrustifyrc | 1578 ----------------------------------------------------------
 1 file changed, 1578 deletions(-)

commit f418a899f9f8c3ae82ee76e38fd511c85aec5347
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 14:51:41 2018 +0200

    Refactor `__` and stubbing of non-used copy constructors

 include/area.h             |  82 +++++-----
 include/button.h           |  26 ++--
 include/checkbox.h         |  40 ++---
 include/colorparser.h      |   4 +-
 include/colors.h           |   4 +-
 include/coordinates.h      |  42 ++---
 include/curs.h             |  18 +--
 include/cursorbuf.h        |  28 ++--
 include/curstr.h           |   7 +-
 include/curswin.h          |  30 ++--
 include/dialog.h           |  47 +++---
 include/dynlabel.h         |  15 +-
 include/event.h            |  36 ++---
 include/eventconnector.h   |  84 +++++-----
 include/eventqueue.h       |  20 +--
 include/evtqueuestats.h    |  26 ++--
 include/filedialog.h       |  51 +++---
 include/fileloaddialog.h   |  11 +-
 include/filesavedialog.h   |  19 +--
 include/focusgroup.h       |  25 ++-
 include/focusmanager.h     |  26 ++--
 include/hotkey.h           |   6 +-
 include/hpack.h            |  11 +-
 include/hrule.h            |  10 +-
 include/input.h            | 225 +++++++++++++--------------
 include/inputbox.h         |  17 +-
 include/label.h            |  21 +--
 include/lineobject.h       |  23 +--
 include/listbox.h          | 380 ++++++++++++++++++++++-----------------------
 include/lockscreen.h       |  20 +--
 include/margin.h           |   9 +-
 include/messagebox.h       |  16 +-
 include/messagebox2.h      |  14 +-
 include/messagebox3.h      |  16 +-
 include/pack.h             |  53 ++++---
 include/radiobox.h         |  14 +-
 include/realizeable.h      |   6 +-
 include/rule.h             |  19 +--
 include/sigaction.h        |  16 +-
 include/size.h             |  60 +++----
 include/spacer.h           |   7 +-
 include/statusbar.h        |  10 +-
 include/titlebar.h         |   9 +-
 include/unlockdiadefault.h |  17 +-
 include/unlockdialog.h     |   9 +-
 include/vpack.h            |   9 +-
 include/vrule.h            |  10 +-
 include/widget.h           |  16 +-
 include/widgetbase.h       |  57 +++----
 include/window.h           |  20 ++-
 include/windowbase.h       |  36 ++---
 include/yacursdbg.h        |   8 +-
 include/yacursex.h         |   6 +-
 src/area.cc                |   2 +-
 src/button.cc              |  37 ++---
 src/checkbox.cc            | 109 +++++++------
 src/colorparser.cc         |  25 ++-
 src/colors.cc              |  24 +--
 src/coordinates.cc         |   2 +-
 src/curs.cc                |  48 +++---
 src/cursorbuf.cc           | 292 ++++++++++++++++++----------------
 src/curstr.cc              |  33 ++--
 src/curswin.cc             | 266 ++++++++++++++++---------------
 src/dialog.cc              | 189 +++++++++++-----------
 src/dynlabel.cc            |  24 ++-
 src/event.cc               |  48 +++---
 src/eventconnector.cc      |  47 +++---
 src/eventqueue.cc          | 132 ++++++++--------
 src/filedialog.cc          | 242 ++++++++++++++---------------
 src/fileloaddialog.cc      |   8 +-
 src/filesavedialog.cc      |  57 ++++---
 src/focusgroup.cc          | 208 +++++++++++++------------
 src/focusmanager.cc        | 196 ++++++++++++-----------
 src/hotkey.cc              |  11 +-
 src/hpack.cc               | 227 +++++++++++++--------------
 src/hrule.cc               |  16 +-
 src/inputbox.cc            |  26 ++--
 src/label.cc               |  39 +++--
 src/lineobject.cc          |  51 +++---
 src/lockscreen.cc          |  71 ++++-----
 src/margin.cc              |  58 +++----
 src/messagebox.cc          |  18 +--
 src/messagebox2.cc         |  16 +-
 src/messagebox3.cc         |  18 +--
 src/pack.cc                |  87 +++++------
 src/radiobox.cc            |  29 ++--
 src/realizeable.cc         |   8 +-
 src/rule.cc                |  14 +-
 src/sigaction.cc           |  24 ++-
 src/size.cc                |   2 +-
 src/spacer.cc              |   5 -
 src/statusbar.cc           |  19 +--
 src/titlebar.cc            |   9 +-
 src/unlockdiadefault.cc    |  31 ++--
 src/unlockdialog.cc        |   8 +-
 src/vpack.cc               | 116 +++++++-------
 src/vrule.cc               |  16 +-
 src/widget.cc              |  65 ++++----
 src/widgetbase.cc          |  80 +++++-----
 src/window.cc              |  78 +++++-----
 src/windowbase.cc          | 134 ++++++++--------
 src/yacursdbg.cc           |  12 +-
 src/yacursex.cc            |   6 +-
 103 files changed, 2506 insertions(+), 2568 deletions(-)

commit 401bdb220c233a8cf04a4438508a34b91f83c0df
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 14:50:58 2018 +0200

    Add visual studio code settings

 .vscode/settings.json | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 2622d6e808247caeac73b0e0fb41ce3db26ef07d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 10:37:26 2018 +0200

    Reformat all code

 include/area.h                          |  402 ++++---
 include/button.h                        |  140 +--
 include/checkbox.h                      |  171 ++-
 include/colorparser.h                   |  148 +--
 include/colors.h                        |  315 +++---
 include/coordinates.h                   |  347 +++---
 include/curs.h                          |  226 ++--
 include/cursorbuf.h                     |  374 ++++---
 include/curstr.h                        |   37 +-
 include/curswin.h                       |  453 ++++----
 include/dialog.h                        |  242 ++---
 include/dynlabel.h                      |   70 +-
 include/eventqueue.h                    |  323 +++---
 include/evtqueuestats.h                 |  280 +++--
 include/filedialog.h                    |  118 +-
 include/fileloaddialog.h                |   22 +-
 include/filesavedialog.h                |   35 +-
 include/focusgroup.h                    |  258 ++---
 include/focusmanager.h                  |  315 +++---
 include/gettext.h                       |   12 +-
 include/gettext.h.gch                   |  Bin 0 -> 179364 bytes
 include/hotkey.h                        |   28 +-
 include/hpack.h                         |   42 +-
 include/hrule.h                         |   68 +-
 include/input.h                         | 1095 +++++++++----------
 include/inputbox.h                      |   35 +-
 include/label.h                         |  188 ++--
 include/lineobject.h                    |  133 ++-
 include/listbox.h                       |  987 ++++++++---------
 include/lockscreen.h                    |   53 +-
 include/margin.h                        |   48 +-
 include/messagebox.h                    |   29 +-
 include/messagebox2.h                   |   26 +-
 include/messagebox3.h                   |   28 +-
 include/pack.h                          |  546 +++++-----
 include/radiobox.h                      |   23 +-
 include/realizeable.h                   |  289 +++--
 include/rule.h                          |   90 +-
 include/sigaction.h                     |  126 ++-
 include/size.h                          |  368 +++----
 include/spacer.h                        |   56 +-
 include/statusbar.h                     |   80 +-
 include/titlebar.h                      |   14 +-
 include/unlockdiadefault.h              |   44 +-
 include/unlockdialog.h                  |   34 +-
 include/vpack.h                         |   42 +-
 include/vrule.h                         |   68 +-
 include/widget.h                        |   84 +-
 include/widgetbase.h                    |  668 ++++++------
 include/window.h                        |  148 +--
 include/windowbase.h                    |  288 ++---
 include/yacurs.h                        |   78 +-
 include/yacursconst.h                   |   70 +-
 include/yacurscurses.h                  |  191 ++--
 include/yacursdbg.h                     |   35 +-
 include/yacursex.h                      |  380 +++----
 include/yacurstypes.h                   |   77 +-
 src/button.cc                           |   90 +-
 src/checkbox.cc                         |  238 ++--
 src/colorparser.cc                      |   58 +-
 src/colors.cc                           |   26 +-
 src/curs.cc                             |  216 ++--
 src/cursorbuf.cc                        |  224 ++--
 src/curstr.cc                           |   43 +-
 src/curswin.cc                          |  358 +++---
 src/dialog.cc                           |  301 ++----
 src/dynlabel.cc                         |   37 +-
 src/eventconnector.cc                   |   65 +-
 src/eventqueue.cc                       |  864 +++++++--------
 src/evtqueuestats.cc                    |   58 +-
 src/filedialog.cc                       |  381 +++----
 src/fileloaddialog.cc                   |   13 +-
 src/filesavedialog.cc                   |  115 +-
 src/focusgroup.cc                       |  242 ++---
 src/focusmanager.cc                     |  154 +--
 src/hotkey.cc                           |   17 +-
 src/hpack.cc                            |  782 +++++++-------
 src/hrule.cc                            |   22 +-
 src/inputbox.cc                         |   28 +-
 src/label.cc                            |   65 +-
 src/lineobject.cc                       |  134 +--
 src/lockscreen.cc                       |   86 +-
 src/margin.cc                           |   88 +-
 src/messagebox.cc                       |   17 +-
 src/messagebox2.cc                      |   13 +-
 src/messagebox3.cc                      |   14 +-
 src/pack.cc                             |  166 +--
 src/radiobox.cc                         |   25 +-
 src/realizeable.cc                      |   13 +-
 src/rule.cc                             |   33 +-
 src/sigaction.cc                        |   24 +-
 src/spacer.cc                           |   40 +-
 src/statusbar.cc                        |   35 +-
 src/titlebar.cc                         |   10 +-
 src/unlockdiadefault.cc                 |   30 +-
 src/unlockdialog.cc                     |   16 +-
 src/vpack.cc                            |  790 +++++++-------
 src/vrule.cc                            |   22 +-
 src/widget.cc                           |   72 +-
 src/widgetbase.cc                       |   86 +-
 src/window.cc                           |   97 +-
 src/windowbase.cc                       |  156 +--
 src/yacursdbg.cc                        |   61 +-
 src/yacursex.cc                         |   92 +-
 tests/basic/area.cc                     |   89 +-
 tests/basic/colorparser.cc              |    7 +-
 tests/basic/coordinates.cc              |   52 +-
 tests/basic/cursorbuf1.cc               |   28 +-
 tests/basic/eventconnector1.cc          |  161 +--
 tests/basic/eventqueue1.cc              |  108 +-
 tests/basic/eventqueue2.cc              |  123 +--
 tests/basic/eventqueue3.cc              |  133 +--
 tests/basic/eventqueue4.cc              |  132 +--
 tests/basic/eventqueue5.cc              |  142 +--
 tests/basic/eventqueue6.cc              |  168 ++-
 tests/basic/eventqueue7.cc              |  156 ++-
 tests/basic/eventqueue8.cc              |  476 ++++----
 tests/basic/eventqueue9.cc              |  125 +--
 tests/basic/margin.cc                   |   25 +-
 tests/preloadlib/testpreload.cc         |   24 +-
 tests/ui-interactive/app1.cc            |  710 ++++++------
 tests/ui-interactive/checkbox1.cc       |  574 +++-------
 tests/ui-interactive/dialog1.cc         |  378 +++----
 tests/ui-interactive/filedialog1.cc     |  399 ++++---
 tests/ui-interactive/filedialog2.cc     |  513 ++++-----
 tests/ui-interactive/filedialog3.cc     |  391 ++++---
 tests/ui-interactive/focus1.cc          |  489 +++++----
 tests/ui-interactive/input1.cc          |  199 ++--
 tests/ui-interactive/inputbox1.cc       |  250 ++---
 tests/ui-interactive/listbox1.cc        |  134 ++-
 tests/ui-interactive/listbox2.cc        | 1801 +++++++++++++++----------------
 tests/ui-interactive/lockscreen1.cc     |  726 ++++++-------
 tests/ui-interactive/messagebox1.cc     |  224 ++--
 tests/ui-interactive/messagebox2.cc     |  228 ++--
 tests/ui-interactive/messagebox3.cc     |  230 ++--
 tests/ui-interactive/packremove.cc      |  311 +++---
 tests/ui-interactive/radiobox1.cc       |  574 +++-------
 tests/ui-interactive/resize3.cc         |  109 +-
 tests/ui-interactive/resize4.cc         |  108 +-
 tests/ui-interactive/resize5.cc         |  103 +-
 tests/ui-non-interactive/basic1.cc      |   65 +-
 tests/ui-non-interactive/basic2.cc      |   57 +-
 tests/ui-non-interactive/cursinit.cc    |   10 +-
 tests/ui-non-interactive/cursorbuf1.cc  |  240 ++--
 tests/ui-non-interactive/curswin1.cc    |  231 ++--
 tests/ui-non-interactive/curswin2.cc    |  231 ++--
 tests/ui-non-interactive/curswin3.cc    |   44 +-
 tests/ui-non-interactive/dynlabel1.cc   |   51 +-
 tests/ui-non-interactive/dynlabel2.cc   |   51 +-
 tests/ui-non-interactive/hrule1.cc      |   57 +-
 tests/ui-non-interactive/listbox1.cc    |  503 ++++-----
 tests/ui-non-interactive/pack1.cc       |   24 +-
 tests/ui-non-interactive/pack2.cc       |   26 +-
 tests/ui-non-interactive/pack3.cc       |   66 +-
 tests/ui-non-interactive/pack4.cc       |   66 +-
 tests/ui-non-interactive/pack5.cc       |   66 +-
 tests/ui-non-interactive/pack6.cc       |   66 +-
 tests/ui-non-interactive/pack7.cc       |   63 +-
 tests/ui-non-interactive/pack8.cc       |   63 +-
 tests/ui-non-interactive/pack9.cc       |  188 ++--
 tests/ui-non-interactive/packresize1.cc |   51 +-
 tests/ui-non-interactive/resize1.cc     |   42 +-
 tests/ui-non-interactive/resize2.cc     |   48 +-
 tests/ui-non-interactive/vrule1.cc      |   57 +-
 tests/ui-non-interactive/widget1.cc     |   26 +-
 tests/ui-non-interactive/widget2.cc     |   95 +-
 tests/ui-non-interactive/widget3.cc     |   86 +-
 167 files changed, 13717 insertions(+), 16620 deletions(-)

commit 5ec8b7de054651f44e2e5bd909042ebfef8a0826
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 10:28:58 2018 +0200

    Explicitly call `type()` and do not rely on cast

 include/eventconnector.h | 593 +++++++++++++++++++++++------------------------
 src/eventqueue.cc        |  16 +-
 2 files changed, 303 insertions(+), 306 deletions(-)

commit b3be3115908572c7f03c3631f39714cc6dffda07
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 10:15:18 2018 +0200

    Reformat

 include/event.h | 529 ++++++++++++++++++++++++++++----------------------------
 src/event.cc    |  98 ++++-------
 2 files changed, 292 insertions(+), 335 deletions(-)

commit f35f803515669abc70721ae6d33dacc1987ff98d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 10:12:36 2018 +0200

    Configure clang-format

 .clang-format | 4 ++++
 1 file changed, 4 insertions(+)

commit 90e7c6c4a78abc48f691b567c8983e4662b5d60a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 10:59:12 2018 +0200

    Add timestamp and timeout

 Jenkinsfile | 2 ++
 1 file changed, 2 insertions(+)

commit 69415f78b83d5c2f641959ff564f163c3a03672a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Sep 13 22:59:22 2018 +0200

    Use pedantic flags for build and test

 Jenkinsfile | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit f5956f1b0e1b9cb7daa6813dc5c39ccbfa4f5193
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Sep 13 22:59:04 2018 +0200

    Require C++14 to build

 .gitignore                    |   4 +-
 NEWS                          |   4 +
 configure.ac                  |  16 +-
 m4/ax_check_compile_flag.m4   |  74 ----
 m4/ax_cxx_compile_stdcxx.m4   | 982 ++++++++++++++++++++++++++++++++++++++++++
 m4/ax_cxx_header_stdcxx_98.m4 |  87 ----
 m4/nls.m4                     |  32 --
 7 files changed, 991 insertions(+), 208 deletions(-)

commit d7b6896547d9c10fba349bc27882ae0acc6599b8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 14:36:13 2018 +0200

    Drop solaris build

 Jenkinsfile | 41 -----------------------------------------
 1 file changed, 41 deletions(-)

commit 1bd496c29a3ce366e2dbea0741aaf1250748f0a2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 10:39:18 2018 +0200

    Adjust for new SUNPRO compilers

 include/listbox.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8246b05dd9e1cce3b1491be14cef008d7f04de9d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Aug 26 14:26:00 2018 +0200

    Add Curses Libs to linker flags
    
    Required to build tests on Debian

 tests/basic/Makefile.am              | 2 +-
 tests/ui-interactive/Makefile.am     | 2 +-
 tests/ui-non-interactive/Makefile.am | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 6ab8d9e8e9841986b1a5f1bf541d1b984546aa44
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Aug 25 20:43:07 2018 +0200

    Drop empty post

 Jenkinsfile | 5 -----
 1 file changed, 5 deletions(-)

commit f47aa94575b6d5784aa93ead3780b65da1675a70
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Aug 25 18:39:32 2018 +0200

    Use single Jenkinsfile

 Jenkinsfile         | 224 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 Jenkinsfile.FreeBSD |  18 -----
 Jenkinsfile.Linux   |  19 -----
 Jenkinsfile.NetBSD  |  19 -----
 Jenkinsfile.OpenBSD |  19 -----
 Jenkinsfile.Solaris |  19 -----
 6 files changed, 224 insertions(+), 94 deletions(-)

commit 9c8bb928f738a6d7d3bc7e472488006c5108fc98
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Aug 25 18:39:05 2018 +0200

    Update README

 README | 23 -----------------------
 1 file changed, 23 deletions(-)

commit 5507c594d99df2c146f892caad015b73caa76a52
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Aug 25 18:28:16 2018 +0200

    Update .gitignore

 .gitignore | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 717f04817cc7be7ac1db465845189b33fca9b83e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 13:03:59 2018 +0100

    Added 'GihubProjectProperty'.

 Jenkinsfile.FreeBSD | 3 ++-
 Jenkinsfile.Linux   | 3 ++-
 Jenkinsfile.NetBSD  | 3 ++-
 Jenkinsfile.OpenBSD | 3 ++-
 Jenkinsfile.Solaris | 3 ++-
 5 files changed, 10 insertions(+), 5 deletions(-)

commit 249d7da2a0ab4f6c4c6adf6f8db9f1ab9e21fcc6
Merge: 24c8fa1 375d3f3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 13:03:31 2018 +0100

    Merge branch 'master' into development

commit 375d3f37b2ac62e210791569468613dd5d48a7cd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 11:47:36 2018 +0100

    Keep only 5 builds.

 Jenkinsfile.FreeBSD | 2 +-
 Jenkinsfile.Linux   | 2 +-
 Jenkinsfile.NetBSD  | 2 +-
 Jenkinsfile.OpenBSD | 2 +-
 Jenkinsfile.Solaris | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 64acaba2172932d20de4c05dcb25a77ca7d28171
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 11:43:43 2018 +0100

    Added pipelineTriggers

 Jenkinsfile.FreeBSD | 3 ++-
 Jenkinsfile.Linux   | 3 ++-
 Jenkinsfile.NetBSD  | 3 ++-
 Jenkinsfile.OpenBSD | 3 ++-
 Jenkinsfile.Solaris | 3 ++-
 5 files changed, 10 insertions(+), 5 deletions(-)

commit f88bdca38343cc4275bb9de15f09f0f5a345b516
Merge: b7f6e08 b44268f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 11:14:39 2018 +0100

    Merge pull request #7 from RafaelOstertag/release/0.4
    
    Release/0.4

commit b44268f122d9568a080a9873bab48a86eeb510de
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 10:30:56 2018 +0100

    Prepared release.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 24c8fa1d47a6110e1943707b0003c0f9599fd9c0
Merge: 053687e 2bafcf2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Feb 9 17:33:18 2018 +0100

    Merge origin/development into development

commit 053687e396771581d32a20f932a7c0aeb18a918d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Feb 9 17:32:59 2018 +0100

    Updated NEWS.

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 2bafcf2fef178d7eaa092bf2dc4ee50320b16499
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Feb 9 17:28:35 2018 +0100

    Test stdcc98 flag (#5)
    
    Test if `-std=c++98` is supported before using it.

 .gitignore                           |  1 +
 configure.ac                         |  1 +
 m4/ax_check_compile_flag.m4          | 74 ++++++++++++++++++++++++++++++++++++
 m4/ax_check_link_flag.m4             | 17 +++++----
 src/Makefile.am                      |  2 +-
 tests/basic/Makefile.am              |  2 +-
 tests/preloadlib/Makefile.am         |  2 +-
 tests/ui-interactive/Makefile.am     |  2 +-
 tests/ui-non-interactive/Makefile.am |  2 +-
 9 files changed, 91 insertions(+), 12 deletions(-)

commit ff00281c984cb96668851b40114991e294bbf6db
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Feb 9 15:55:08 2018 +0100

    Added Solaris Jenkinsfile

 Jenkinsfile.Solaris | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit d7462f4519faec5b05dd8d8960382289823eb6f0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Feb 8 21:43:03 2018 +0100

    Do not roll release on libyacurs.
    
    Rolling a release would overwrite ChangeLog and NEWS on eventhorizon.

 Jenkinsfile.FreeBSD | 1 -
 1 file changed, 1 deletion(-)

commit 4a236257d9e2301ec4d628ec736325125efa123f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 5 15:23:40 2018 +0100

    Added `release.roll()` to `Jenkinsfile.FreeBSD`.

 Jenkinsfile.FreeBSD | 1 +
 1 file changed, 1 insertion(+)

commit b2dfcc6f7bbed7d8048e864f0eb8c2073add45d6
Merge: cbd3b9f b7f6e08
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 18:26:30 2018 +0100

    Merge branch 'master' into development

commit b7f6e080df1e14ecf45edddb72a21719f745fc40
Merge: 300e85f 23a02e8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 10:52:43 2018 +0100

    Merge branch 'release/0.3'

commit 23a02e804db5cce6ca62f7e4f9d1b238260f7fa5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 10:17:46 2018 +0100

    Prepared release.

 NEWS         | 7 +++++--
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit cbd3b9f9c69cf4922665d781eae083b7943f6b1c
Merge: 4f52326 8d9149b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 10:07:54 2018 +0100

    Merge pull request #4 from RafaelOstertag/revive_news
    
    Use NEWS file.

commit 8d9149b0c8f75d6ff54ec1cee4b1399fa0544dfc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 09:26:55 2018 +0100

    Use NEWS file.
    
    Moved data from ChangeLog to NEWS, updated Jenkinsfiles to create
    ChangeLog from git and make sure the NEWS file is tested for correct
    version upon distribution creation.

 .gitignore          |  2 ++
 ChangeLog           |  6 ------
 Jenkinsfile.FreeBSD |  1 +
 Jenkinsfile.Linux   |  1 +
 Jenkinsfile.NetBSD  |  1 +
 Jenkinsfile.OpenBSD |  1 +
 NEWS                | 10 +++++++---
 configure.ac        |  2 +-
 8 files changed, 14 insertions(+), 10 deletions(-)

commit 300e85f9279aaea251276bc664bac4e17db5235c
Merge: b6120a9 b0d402d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 17:25:03 2018 +0100

    Merge branch 'release/0.2'

commit b0d402dd360bf3cdf3ce3d43ccf14311d31db0b9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 16:44:43 2018 +0100

    Prepared release.

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4f52326940344827934418380b440f221d268ee9
Merge: 3189258 4f250a7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 16:43:45 2018 +0100

    Merge branch 'development' of github.com:RafaelOstertag/libyacurs into development

commit 3189258c9575098d45a3ad877e3e4d50ac4614db
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 16:43:19 2018 +0100

    Added ChangeLog.

 ChangeLog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 799863545d34b9bac909c11739f337c802f84cf5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 16:42:51 2018 +0100

    Unignored ChangeLog.

 .gitignore | 1 -
 1 file changed, 1 deletion(-)

commit 4f250a72b34bca59a7ea26248f94dab79be6d71d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 16:13:36 2018 +0100

    Explicitly specify `-std=c++98` in *CXXFLAGS. (#3)

 src/Makefile.am                      | 2 ++
 tests/basic/Makefile.am              | 1 +
 tests/preloadlib/Makefile.am         | 2 +-
 tests/ui-interactive/Makefile.am     | 1 +
 tests/ui-non-interactive/Makefile.am | 1 +
 5 files changed, 6 insertions(+), 1 deletion(-)

commit 3871689871c3f8226a5692bf8c4a2043f45e3043
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 14:53:21 2018 +0100

    Use yapet.notify.

 Jenkinsfile.FreeBSD | 12 +++++++-----
 Jenkinsfile.NetBSD  | 12 +++++++-----
 Jenkinsfile.OpenBSD | 12 +++++++-----
 3 files changed, 21 insertions(+), 15 deletions(-)

commit a99fdff093103f52715e18359ba56c44a321fff6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 14:46:55 2018 +0100

    Use yapet.notify.

 Jenkinsfile.Linux | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 803cffb43b076cbeae4a70d35eb92bc65aae2856
Merge: 1572354 b6120a9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 13:06:12 2018 +0100

    Merge branch 'master' into development

commit b6120a94c68bf34b47b64850b92df10a9d7bd2d9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 13:03:14 2018 +0100

    Fix compiler warnings (#2)
    
    Fixed gcc compiler warnings.

 .gitignore          | 29 +++++++++++++++++++++++++++++
 Jenkinsfile.FreeBSD | 13 +++++++++++++
 Jenkinsfile.Linux   | 14 ++++++++++++++
 Jenkinsfile.NetBSD  | 14 ++++++++++++++
 Jenkinsfile.OpenBSD | 14 ++++++++++++++
 src/curstr.cc       |  3 ++-
 src/curswin.cc      |  3 +--
 src/sigaction.cc    |  3 +--
 src/widget.cc       |  2 +-
 9 files changed, 89 insertions(+), 6 deletions(-)

commit 1572354afa5cd2fd04f319c2df3cd9f5d8440185
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 12:54:26 2018 +0100

    Dropped scripts/ directory; not used anymore.

 scripts/checkall.sh    | 624 -------------------------------------------------
 scripts/runcheckall.sh |  40 ----
 2 files changed, 664 deletions(-)

commit eeb65202dc9ba3a96cb42c3d8d59d11e5287601d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 11:39:51 2018 +0100

    Added .gitignore.

 .gitignore | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit 151383f4a00477940f3dee9cf33346e0701cf218
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 11:14:16 2018 +0100

    Split stage functions (#1)
    
    Added Jenkinsfiles.

 Jenkinsfile.FreeBSD | 13 +++++++++++++
 Jenkinsfile.Linux   | 14 ++++++++++++++
 Jenkinsfile.NetBSD  | 14 ++++++++++++++
 Jenkinsfile.OpenBSD | 14 ++++++++++++++
 4 files changed, 55 insertions(+)

commit e5d2b396fd63e6b482abec16a59b3ee5b47ee538
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 10:18:10 2014 +0000

    Updated.

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 15b79cab9128b8c2ef00655479bcbe87297ae977
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 10:16:00 2014 +0000

    Added short description of libyacurs.

 README | 3 +++
 1 file changed, 3 insertions(+)

commit a94985c4cd5421e721da175e8e15e25e13dbc930
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 22 11:09:13 2014 +0000

    Do not fail if test returns 77.

 tests/basic/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f98a29ad94dce34fc666459600db7a2855f44574
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 11 19:17:52 2014 +0000

    Updated.

 po/de.po         | 6 +++---
 po/libyacurs.pot | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit fa1d1729816346a2c3e79cb243e6675e1e71f325
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 8 08:08:29 2014 +0000

    Removed tests of pointer == 0 when using new operator. Since new throws an exception, the test won't be performed.

 src/curswin.cc | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 38f06d467e7cebb288e9b250daeabac0d7aea84a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 8 08:07:02 2014 +0000

    Removed tests of pointer == 0 when using new operator. Since new throws an exception, the test won't be performed.

 src/curswin.cc    | 6 ++++--
 src/filedialog.cc | 2 --
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7b052602dffe74901cb84e0bd4c56a450c9f7339
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 5 18:34:45 2014 +0000

    Got rid of unnecessary errno saves.

 src/filedialog.cc     | 3 +--
 src/filesavedialog.cc | 7 +++----
 2 files changed, 4 insertions(+), 6 deletions(-)

commit 9fde67c543b261b4440eadb9e8fa717694477881
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 5 18:25:59 2014 +0000

    Use errno_save when throwing exception instead of errno.

 src/filedialog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f19661786bcff8775f87c94a35517df156b1ae9d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 1 15:05:42 2014 +0000

    Enabled use chdir() in filedialog3.cc.

 tests/ui-interactive/filedialog3.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 491561bfdead26e5f99d6cc79ee7b286b71a1428
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 1 15:00:16 2014 +0000

    Wrapped getcwd() in method in filedialog. Make use of pathconf() for determining buffer size to provide to getcwd(). Deal with directories where only read access provided (NO execution bit) when not doing chdir().

 include/filedialog.h  |  2 ++
 include/yacursconst.h |  5 +++--
 src/filedialog.cc     | 59 ++++++++++++++++++++++++++++++++++++++++++---------
 3 files changed, 54 insertions(+), 12 deletions(-)

commit 7d5234851fd03892f9e5b4a8e3b74f0a842987dc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 19:00:20 2014 +0000

    Dropped support for GCC 4.2/4.4 and added support for GCC 4.9 on FreeBSD.

 scripts/checkall.sh | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit 3f7f8d0e9459233c53cfdefb0b0bd83c13f96e20
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 13:07:37 2014 +0000

    Added merlin.

 scripts/runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 45fee4039b1d79bb93ccbce7d07b4be1bc1a6b2b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 10:44:06 2014 +0000

    Added --enable-debug to the config flags.

 scripts/checkall.sh | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit bfeacc039d92a91b0fae22d2bf16b24cd0acdd42
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 09:40:33 2014 +0000

    Reset build flags on odin and starchild.

 scripts/checkall.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 4854e41350a369618621cd74e05b661ca9374349
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 09:00:47 2014 +0000

    Added host merlin.

 scripts/checkall.sh | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit c9bcdb940bd6434cfd05338c898efcc7738bca73
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 20:41:15 2014 +0000

    Addendum to r5820: Tests use (u)sleep() only when compiled with -DSLOW_TESTS unless required by test required to function properly.

 tests/ui-non-interactive/curswin1.cc | 12 +++++++++---
 tests/ui-non-interactive/curswin2.cc | 12 +++++++++---
 tests/ui-non-interactive/curswin3.cc | 16 ++++++++++++----
 3 files changed, 30 insertions(+), 10 deletions(-)

commit 1aeb7af74229733a0d4118a35e7ed63b751a2b3e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 20:07:37 2014 +0000

    Ironed out the wrinkles brought in with r5829: renamed targets to *.la and removed compiler specific flags from libtool invocation.

 tests/basic/Makefile.am          |  2 +-
 tests/preloadlib/Makefile.am     | 12 +++++++-----
 tests/ui-interactive/Makefile.am |  2 +-
 3 files changed, 9 insertions(+), 7 deletions(-)

commit eaf8272e407d20e23fd548c16915f33f3de8294e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 14:25:30 2014 +0000

    Build system now only installs what should be installed. Preload libraries are now built outside the regular build flow.

 tests/basic/Makefile.am          |  2 +-
 tests/preloadlib/Makefile.am     | 21 +++++++++++++++++----
 tests/ui-interactive/Makefile.am |  2 +-
 3 files changed, 19 insertions(+), 6 deletions(-)

commit 072b98d42bc91e3b02b1193550a447b85374b875
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 1 18:52:52 2014 +0000

    PO Files updated.

 po/de.po         | 4 ++--
 po/libyacurs.pot | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 1c30eed0edd8799392be96b7593a21dbc83b378c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 1 13:16:00 2014 +0000

    Added new option --disable-install to configure.ac, which makes automake not installing the library and headers. Preloadlibs won't be installed at all now.

 configure.ac                 |  6 ++++++
 include/Makefile.am          | 16 +++++++++++++---
 src/Makefile.am              |  4 ++++
 tests/preloadlib/Makefile.am |  2 +-
 4 files changed, 24 insertions(+), 4 deletions(-)

commit 91f5c3c3d79d08a25b25fcef51dd224bdc3ad3f5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 1 10:21:33 2014 +0000

    Fixed syntax error in runcheckall.sh.

 scripts/runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5dcdcf5e75b246a72a47715a5c4bd221f5dfa4ab
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 1 10:18:46 2014 +0000

    Use parallel build instead of in-place build for test scripts.

 scripts/checkall.sh    | 26 +++++++++++++-------------
 scripts/runcheckall.sh | 27 +++++++++++++++++++--------
 2 files changed, 32 insertions(+), 21 deletions(-)

commit d1719dd6e9897c102faf208119b749eb01b0384b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 1 09:43:50 2014 +0000

    Tests use (u)sleep() only when compiled with -DSLOW_TESTS unless required by test required to function properly.

 tests/ui-interactive/app1.cc           |  8 +++-
 tests/ui-interactive/checkbox1.cc      |  8 +++-
 tests/ui-interactive/dialog1.cc        |  8 +++-
 tests/ui-interactive/filedialog2.cc    |  8 +++-
 tests/ui-interactive/focus1.cc         |  8 +++-
 tests/ui-interactive/input1.cc         |  8 +++-
 tests/ui-interactive/inputbox1.cc      |  8 +++-
 tests/ui-interactive/listbox1.cc       |  8 +++-
 tests/ui-interactive/listbox2.cc       |  8 +++-
 tests/ui-interactive/lockscreen1.cc    |  8 +++-
 tests/ui-interactive/messagebox1.cc    |  8 +++-
 tests/ui-interactive/messagebox2.cc    |  8 +++-
 tests/ui-interactive/messagebox3.cc    |  8 +++-
 tests/ui-interactive/packremove.cc     |  8 +++-
 tests/ui-interactive/radiobox1.cc      |  8 +++-
 tests/ui-non-interactive/cursorbuf1.cc | 72 +++++++++++++++++++++++++---------
 tests/ui-non-interactive/curswin1.cc   | 72 +++++++++++++++++++++++++---------
 tests/ui-non-interactive/curswin2.cc   | 72 +++++++++++++++++++++++++---------
 tests/ui-non-interactive/listbox1.cc   |  4 +-
 tests/ui-non-interactive/resize1.cc    | 12 ++++--
 20 files changed, 264 insertions(+), 88 deletions(-)

commit 6c2d4a6a79f4eaf1ea642f68a90e18622279e7b4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 30 12:52:51 2013 +0000

    Implemented enhancement #95 (https://bugs.guengel.ch/show_bug.cgi?id=95).

 include/inputbox.h         |  6 +++---
 include/messagebox.h       |  4 ++--
 include/messagebox2.h      |  2 +-
 include/messagebox3.h      |  2 +-
 include/unlockdiadefault.h |  6 +++---
 src/inputbox.cc            | 36 ++++++++++++------------------------
 src/messagebox.cc          | 16 ++++++----------
 src/messagebox2.cc         |  9 +++------
 src/messagebox3.cc         |  8 +++-----
 src/unlockdiadefault.cc    | 32 +++++++++++---------------------
 10 files changed, 45 insertions(+), 76 deletions(-)

commit 6cb2d41a5d4d27560ffab11cc7f46bd9a4e8bc23
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 30 09:44:24 2013 +0000

    Make tests reset the terminal properly when being skipped.

 tests/ui-interactive/filedialog1.cc | 12 +++++++-----
 tests/ui-interactive/filedialog3.cc |  8 ++++++--
 2 files changed, 13 insertions(+), 7 deletions(-)

commit 90e8a6b445c211dab60895c857c43ca48cd25d7c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 30 08:45:29 2013 +0000

    Added tests for MessageBox2, and MessageBox3. Updated titles on messagebox1.cc.

 tests/ui-interactive/Makefile.am    |   7 +-
 tests/ui-interactive/messagebox1.cc |   8 +-
 tests/ui-interactive/messagebox2.cc | 213 +++++++++++++++++++++++++++++++++++
 tests/ui-interactive/messagebox3.cc | 215 ++++++++++++++++++++++++++++++++++++
 4 files changed, 436 insertions(+), 7 deletions(-)

commit a01a7333201fb94a393de5a1bc49ac119a421cfc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 28 18:57:09 2013 +0000

    Removed obsolete entries in po files.

 po/de.po         | 18 ++++++------------
 po/libyacurs.pot | 10 +++++-----
 2 files changed, 11 insertions(+), 17 deletions(-)

commit 0a9ebc2a5f173b4aed697dc08a0fd5355b6cafb4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 15 13:39:48 2013 +0000

    Dialog::add_button() now allows Spacer to be added to the Pack.

 include/dialog.h | 7 +++++++
 src/dialog.cc    | 5 +++++
 2 files changed, 12 insertions(+)

commit 4fa375a79200ee87300d6b68a1aecfd1bd8e450b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 15 09:38:56 2013 +0000

    WidgetBase::unrealize was in label.cc; moved it to widgetbase.cc.

 src/label.cc      | 9 ---------
 src/widgetbase.cc | 9 +++++++++
 2 files changed, 9 insertions(+), 9 deletions(-)

commit f357951656c06aa3dd653000e707a34dc4e7ba54
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 15 09:37:25 2013 +0000

    Made use of 1x1 spacer widget in Dialog.

 include/dialog.h |  2 ++
 src/dialog.cc    | 16 ++++++++++------
 2 files changed, 12 insertions(+), 6 deletions(-)

commit b7e90e69e8c0c6f2acc879c348045ad9de1c7f33
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 15 09:36:54 2013 +0000

    Added 1x1 spacer widget.

 include/Makefile.am |  2 +-
 include/spacer.h    | 59 ++++++++++++++++++++++++++++++++
 include/yacurs.h    |  1 +
 src/Makefile.am     |  2 +-
 src/spacer.cc       | 96 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 158 insertions(+), 2 deletions(-)

commit 8e2fcca49fb3b86a2183ca59571257c5e35d39f9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 14 15:09:56 2013 +0000

    Adjusted EXTRA_DIST in Makefile.am to include build-aux/config.rpath.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0914b2aa361b17ed95e3d3fa0b39d0808c8f4b2c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 14 14:08:39 2013 +0000

    Adjusted listbox test (ui-non-interactive/listbox1.cc) so that it takes into account the changes made in r5758.

 tests/ui-non-interactive/listbox1.cc | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit e4dc2e1cfe72dd9597fdffbb0db7923a06601ba5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 14 14:06:56 2013 +0000

    Fixed error introduced when scripts were moved in to separate directory.

 scripts/runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c090c41d8679702bd410b86028cc4d861a6e8722
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 16:26:46 2013 +0000

    Some changes to configure.ac.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4a61a8bc85f866c326d88f830192f392f8f555ee
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 14:14:06 2013 +0000

    Ignore aux/ directory.

commit dd533ce9d4a22a0d46f79bf7bed16b30da3c2823
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 14:04:39 2013 +0000

    Use AC_CONFIG_AUX_DIR.

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 8bab754f89eb5b0c0641c320dc100917336439c3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 13:58:08 2013 +0000

    Scripts checkall.sh and runcheckall.sh are now in directory scripts/.

 checkall.sh => scripts/checkall.sh       | 0
 runcheckall.sh => scripts/runcheckall.sh | 2 +-
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 7cda5e2e32f6b7641a7e1da1fad513a8a6000b2d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 13:30:58 2013 +0000

    ListBox<>::search() does not throw exception when start is greater than list size, instead it simply returns false.

 include/listbox.h | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit b3e3d2a7a3b641488388159a5839ba69c34b67eb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 13:28:29 2013 +0000

    Updated po files.

 po/de.po         | 26 ++++++++++++--------------
 po/libyacurs.pot | 20 ++++++--------------
 2 files changed, 18 insertions(+), 28 deletions(-)

commit a7dbf2bf126de909f790696f17050364ba9acfc4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Dec 11 18:33:45 2013 +0000

    FileLoadDialog now inherits from FileDialog. Fixed bugs #96 and #97. FileDialog now supports suffix, i.e. a suffix can be defined to be appended to the selected file. Added new interactive test for testing suffix addition.

 include/filedialog.h                |  13 +-
 include/fileloaddialog.h            |  33 +----
 src/filedialog.cc                   |  29 +++-
 src/fileloaddialog.cc               | 288 +-----------------------------------
 tests/ui-interactive/Makefile.am    |   6 +-
 tests/ui-interactive/filedialog3.cc | 282 +++++++++++++++++++++++++++++++++++
 6 files changed, 327 insertions(+), 324 deletions(-)

commit 7e7b5a2ed5253b31017b70f9e67fe3bba8823476
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Dec 11 18:27:51 2013 +0000

    button_press_handler() in filesavedialog.cc now uses selection_type_match().

 src/filesavedialog.cc | 32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

commit 24e8a7c8e488595693c6f423450c966f89af0fcf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Dec 10 19:51:41 2013 +0000

    use new method selection_type_match().

 include/filedialog.h | 12 ++++++++++++
 src/filedialog.cc    | 40 ++++++++++++++++++++++++++--------------
 2 files changed, 38 insertions(+), 14 deletions(-)

commit e2adf8fa1f0e6451bdcfd2b90e6173d4600707ff
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 9 19:22:51 2013 +0000

    Updated translations.

 po/de.po         | 30 ++++++++++++++----------------
 po/libyacurs.pot | 30 ++++++++++++++----------------
 2 files changed, 28 insertions(+), 32 deletions(-)

commit 4b9013ebacaace79648302b6dfd35f513d425038
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 9 19:20:53 2013 +0000

    Reordered initialization in ctor.

 tests/ui-interactive/filedialog1.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 75617f9eea167662600e67e9a7114992a27c9392
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 8 12:33:35 2013 +0000

    FileSaveDialog now inherits from FileDialog but has FocusGroup issues.

 include/filesavedialog.h |  35 +-----
 src/filesavedialog.cc    | 285 ++++-------------------------------------------
 2 files changed, 26 insertions(+), 294 deletions(-)

commit d11f0b63ef581c1639de08ce5e4fa5510745c176
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 8 11:28:20 2013 +0000

    Fixed bug.

 src/filedialog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c7ac2293aeabc01b120c0095e1023df4b654ac62
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 8 11:28:03 2013 +0000

    Renamed filedialog1.cc to filedialog2.cc. Created new filedialog1 testing FileDialog class. Adjusted Makefile to recognize exit code 77 as being skipped.

 tests/ui-interactive/Makefile.am    |  13 +-
 tests/ui-interactive/filedialog1.cc | 443 +++++++++++-----------------------
 tests/ui-interactive/filedialog2.cc | 462 ++++++++++++++++++++++++++++++++++++
 3 files changed, 607 insertions(+), 311 deletions(-)

commit 036a15e12225d33a861779ec652242c6be530c79
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 7 11:53:17 2013 +0000

    Started rewriting FileSave & FileLoadDialog using a common base class. Base class implemented but not tested. FileSave & FileLoadDialog not yet inheriting from base class.

 include/Makefile.am   |   2 +-
 include/filedialog.h  |  94 ++++++++++
 include/yacurs.h      |   1 +
 include/yacurstypes.h |   9 +
 src/Makefile.am       |   7 +-
 src/filedialog.cc     | 465 ++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 574 insertions(+), 4 deletions(-)

commit 195bb2c06fabb2e2043df5be9e99fe725030b41f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Dec 5 18:29:00 2013 +0000

    Skip tests if STDIN or STDOUT isn't a tty.

 tests/basic/eventqueue1.cc              | 4 ++++
 tests/basic/eventqueue2.cc              | 4 ++++
 tests/basic/eventqueue3.cc              | 4 ++++
 tests/basic/eventqueue4.cc              | 4 ++++
 tests/basic/eventqueue5.cc              | 4 ++++
 tests/basic/eventqueue6.cc              | 4 ++++
 tests/basic/eventqueue7.cc              | 4 ++++
 tests/basic/eventqueue8.cc              | 4 ++++
 tests/basic/eventqueue9.cc              | 4 ++++
 tests/ui-interactive/app1.cc            | 4 ++++
 tests/ui-interactive/checkbox1.cc       | 4 ++++
 tests/ui-interactive/dialog1.cc         | 4 ++++
 tests/ui-interactive/filedialog1.cc     | 4 ++++
 tests/ui-interactive/focus1.cc          | 4 ++++
 tests/ui-interactive/input1.cc          | 4 ++++
 tests/ui-interactive/inputbox1.cc       | 4 ++++
 tests/ui-interactive/listbox1.cc        | 4 ++++
 tests/ui-interactive/listbox2.cc        | 4 ++++
 tests/ui-interactive/lockscreen1.cc     | 4 ++++
 tests/ui-interactive/messagebox1.cc     | 4 ++++
 tests/ui-interactive/packremove.cc      | 4 ++++
 tests/ui-interactive/radiobox1.cc       | 4 ++++
 tests/ui-interactive/resize3.cc         | 4 ++++
 tests/ui-interactive/resize4.cc         | 4 ++++
 tests/ui-interactive/resize5.cc         | 4 ++++
 tests/ui-non-interactive/basic1.cc      | 4 ++++
 tests/ui-non-interactive/basic2.cc      | 4 ++++
 tests/ui-non-interactive/cursinit.cc    | 4 ++++
 tests/ui-non-interactive/cursorbuf1.cc  | 4 ++++
 tests/ui-non-interactive/curswin1.cc    | 4 ++++
 tests/ui-non-interactive/curswin2.cc    | 4 ++++
 tests/ui-non-interactive/curswin3.cc    | 4 ++++
 tests/ui-non-interactive/dynlabel1.cc   | 4 ++++
 tests/ui-non-interactive/dynlabel2.cc   | 4 ++++
 tests/ui-non-interactive/hrule1.cc      | 4 ++++
 tests/ui-non-interactive/listbox1.cc    | 4 ++++
 tests/ui-non-interactive/pack1.cc       | 4 ++++
 tests/ui-non-interactive/pack2.cc       | 4 ++++
 tests/ui-non-interactive/pack3.cc       | 4 ++++
 tests/ui-non-interactive/pack4.cc       | 4 ++++
 tests/ui-non-interactive/pack5.cc       | 4 ++++
 tests/ui-non-interactive/pack6.cc       | 4 ++++
 tests/ui-non-interactive/pack7.cc       | 4 ++++
 tests/ui-non-interactive/pack8.cc       | 4 ++++
 tests/ui-non-interactive/pack9.cc       | 4 ++++
 tests/ui-non-interactive/packresize1.cc | 4 ++++
 tests/ui-non-interactive/resize1.cc     | 4 ++++
 tests/ui-non-interactive/resize2.cc     | 4 ++++
 tests/ui-non-interactive/vrule1.cc      | 4 ++++
 tests/ui-non-interactive/widget1.cc     | 4 ++++
 tests/ui-non-interactive/widget2.cc     | 4 ++++
 tests/ui-non-interactive/widget3.cc     | 4 ++++
 52 files changed, 208 insertions(+)

commit f64a22db92d62b19f53af0becc2a4d9bbbca1354
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Dec 4 18:17:15 2013 +0000

    Added new metric ec_rm_skipped to EventQueueStats meassuring how many times event connector removals have been skipped due to duplicates.

 include/evtqueuestats.h | 11 +++++++++++
 src/eventqueue.cc       |  1 +
 src/evtqueuestats.cc    | 22 ++++++++++++----------
 3 files changed, 24 insertions(+), 10 deletions(-)

commit ffeb8b8c33afe8138efb03613d7f13952edea0bd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Dec 3 20:44:42 2013 +0000

    Added reference to fixed bug in comment.

 src/eventqueue.cc | 2 ++
 1 file changed, 2 insertions(+)

commit b10b066dc46597481f62ee46f9d21490501df938
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Dec 3 20:42:30 2013 +0000

    Added space after prefix for better readability.

 src/yacursdbg.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd044e04d26b527f701530760d49d2d74a994e3c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Dec 3 20:15:33 2013 +0000

    Bug 105 fixed (https://bugs.guengel.ch/show_bug.cgi?id=105).

 src/eventqueue.cc | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 0f0a5708587b5148754766c0a7f44b7537dacb4d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Dec 3 19:45:06 2013 +0000

    Added description of environment variables LIBYACURS_EVT_STATS and LIBYACURS_EVTCONNMAP_DBGFN.

 doc/debug.dox | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 18700408b889387765ddcef5dbd01adab6db3777
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 2 14:21:11 2013 +0000

    Made it compile if debug mode is not enabled.

 src/yacursdbg.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2bb21abd67b1afcf70cd888fab53905f8c615c75
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 20:28:56 2013 +0000

    depending on the debug type, a prefix is automatically added to the output.

 src/yacursdbg.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 7e1e9054e0721f780308af5ccc67d0cc0a1b4a4d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 20:20:36 2013 +0000

    Changed debug output: see doc/debug.dox for more information.

 configure.ac        |  2 +-
 doc/debug.dox       | 52 +++++++++-----------------------------
 include/Makefile.am |  2 +-
 include/yacursdbg.h | 53 ++++++++++++++++++++++++++++++++++++++
 src/Makefile.am     |  2 +-
 src/eventqueue.cc   | 56 +++++++++++++++-------------------------
 src/focusgroup.cc   | 46 ++++++++++-----------------------
 src/focusmanager.cc | 48 +++++++++++------------------------
 src/yacursdbg.cc    | 73 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 9 files changed, 190 insertions(+), 144 deletions(-)

commit 426460c0e47777dfb6f3858e6d90230afb417cc7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 18:54:32 2013 +0000

    Proper spelling of debug output.

 src/focusmanager.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1382a73185198c669aa218b2b32265a7bc649b98
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 18:51:21 2013 +0000

    Added Debug output to FocusManager class. The environment variable LIBYACURS_FOCUSMGR_DBGFN specify the file to log to.

 doc/debug.dox       |  5 ++++-
 src/focusmanager.cc | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 1 deletion(-)

commit c17b1f046e5c23a93c9cbbd0c06dd0cdd1c0c9d9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 18:37:06 2013 +0000

    Debug messages added to ctor and dtor. Updated spelling.

 src/focusgroup.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit e5b40d14a077c8bf9e2198e21ff5ffdc82b24f2d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 18:29:34 2013 +0000

    Fixed spelling.

 src/focusgroup.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit caa9d7a601e44d2c54c9e9f6d85006a1cb24c495
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 18:15:10 2013 +0000

    Added debug code. Setting the environment variable LIBYACURS_FOCUS_DEBUGFN will log focus debug information in that file, given the source was compiled with FOCUSDEBUG.

 doc/debug.dox     |  8 +++++++-
 src/focusgroup.cc | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+), 1 deletion(-)

commit ff454364af2869e38b663c3b21ed947a09fb945b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 18:07:41 2013 +0000

    Added quotes around string, fixing issue introduced with r5717.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c618e405b22b7d8fa255ebb10a7461bcd221eb00
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 17:17:26 2013 +0000

    Enabling debug now defines following preprocessor macros:
    
     DEBUG
     EVTQDEBUG
     FOCUSDEBUG
    
    Removed support for --enable-eventqueue-debug. Will be automatically enabled if --enable-debug is specified.

 configure.ac                         | 10 +---------
 include/Makefile.am                  |  2 +-
 src/Makefile.am                      |  2 +-
 tests/basic/Makefile.am              |  2 +-
 tests/preloadlib/Makefile.am         |  2 +-
 tests/ui-interactive/Makefile.am     |  2 +-
 tests/ui-non-interactive/Makefile.am |  2 +-
 7 files changed, 7 insertions(+), 15 deletions(-)

commit 7de0bb4ec3aa1072319c72ef12e67a8c4ae03446
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 15:07:38 2013 +0000

    Added debug output when removing connectors.

 src/eventqueue.cc | 2 ++
 1 file changed, 2 insertions(+)

commit f03a9a485f00220a107723e88c33ca19236c4bb2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 14:58:57 2013 +0000

    Tried to improve debug output.

 src/eventqueue.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit e085ddcc1dec4a4d6deb1394873d3f40663d529d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 13:49:16 2013 +0000

    Added EventQueue::__dump_event_conn_map() which dumps the current disposition of connected event handlers to the file specified by the environment variable LIBYACURS_EVTCONNMAP_DBGFN. This function is connected to SIGINFO where applicable.

 doc/debug.dox        |  6 ++++
 include/eventqueue.h |  3 ++
 src/eventqueue.cc    | 97 ++++++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 103 insertions(+), 3 deletions(-)

commit b68cbf0a7919d8b1264d7784b926b470b05f0d41
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 12:39:23 2013 +0000

    Implemented copy constructor and assignment operator for Event and EventEx classes.

 include/event.h | 20 +++++++++++++++++++-
 src/event.cc    | 14 ++++++++++++++
 2 files changed, 33 insertions(+), 1 deletion(-)

commit 64c97ce150fe8a910a841f8b78bc5db06ba87378
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 12:28:45 2013 +0000

    Implemented copy constructor and assignment operator for EventType class.

 include/event.h |  4 ++++
 src/event.cc    | 16 ++++++++++++++++
 2 files changed, 20 insertions(+)

commit 83c23c36c7d81b6d1efa33e12228a87eb44e45f3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 12:10:03 2013 +0000

    Removed "static const char* __str_table[]" which is not used anymore.

 include/event.h | 2 --
 1 file changed, 2 deletions(-)

commit eaf6e9ea878851fb66b38a81b6772068ec5634d0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 10:50:15 2013 +0000

    Added hyperion.

 checkall.sh    | 38 ++++++++++++++++++++++++++++++++++++++
 runcheckall.sh |  2 +-
 2 files changed, 39 insertions(+), 1 deletion(-)

commit da5ffed7bb46a918cff5e5b49cb8525141085c56
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 27 18:18:08 2013 +0000

    Fixed Bug #83 (https://bugs.guengel.ch/show_bug.cgi?id=83): Added missing KEY_END to switch statement.

 include/input.h | 1 +
 1 file changed, 1 insertion(+)

commit 9533ca4a7a05de7958e4260c6300d8252e39d7dd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 26 18:18:33 2013 +0000

    Fixed bug https://bugs.guengel.ch/show_bug.cgi?id=98. When creating a File*Dialog, it is possible to specify whether or not the dialog should do a chidir().

 include/fileloaddialog.h |  7 ++++++-
 include/filesavedialog.h |  6 ++++++
 src/fileloaddialog.cc    | 21 +++++++++++++++++++--
 src/filesavedialog.cc    | 20 +++++++++++++++++++-
 4 files changed, 50 insertions(+), 4 deletions(-)

commit 260ec70af8f1bc1a4ba07308e7fe7969c095111f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 26 18:14:42 2013 +0000

    Fixed syntax error.

 src/curswin.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7648caee6367366076da64a05d37e6fa73d6abff
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 25 20:10:58 2013 +0000

    CursWin::derwin() and CursWin::subwin() check the return value of ::derwin() and ::subwin(), respectively. If they return 0, throw an exception before creating a subindow CursWin. This improves stability when resizing.

 src/curswin.cc | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit 48c390020dbf3f829e48e7332c7bd9e476657f6d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 18:56:14 2013 +0000

    Added BUGS file.

 Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 68fb2f9e95140108e8c0a86cd9f2ca758a16757a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 18:51:34 2013 +0000

    Added BUGS file.

 BUGS | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit cc1b625241eb1abec8de202621bcb008ac68a7cf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 18:44:58 2013 +0000

    Updated

 README | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 177622d5e2d0ea136fad65c77b490182a8d07083
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 14:49:59 2013 +0000

    Fixed valgrind warning introduced with r5683.

 src/eventqueue.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 509923163787028e2cea486381306c7d846e2245
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 14:17:22 2013 +0000

    Updated svn:ignore.

commit 0ca3a69ca9cb5d8f2415d094ac699c520db763a0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 14:14:50 2013 +0000

    Fixed compilation error when using YACURS_USE_WCHAR introduced with r5683.

 src/eventqueue.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 027217c815e5fefcd59efb859d0b09ade71167b3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 13:58:59 2013 +0000

    EventQueue: as long as there are events in the eventqueue, don't call wget_ch() or getch(). Was implemented in order to make MainWindow::window_show_handler in YAPET's ui/mainwindow.cc. Before this commit, EVT_SHOW_WINDOW was only emitted after a has been pressed, which was not the intended behavior.

 src/eventqueue.cc | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit a22d73d97ba5224e8877b9adf825f8e7c54c0346
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 11:39:55 2013 +0000

    Curses::init() now takes a string (by default empty) which is passed as color string to Colors::init_colors(); this is related to https://bugs.guengel.ch/show_bug.cgi?id=102

 include/curs.h | 2 +-
 src/curs.cc    | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 47fc2a04cfdcd944ce58a252799e3df9771f574d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 10:20:41 2013 +0000

    Updated.

 TODO | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

commit 992bcb518701abe525ccbefeccbe8079a84a4242
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 09:58:38 2013 +0000

    Updated.

 TODO | 4 ++++
 1 file changed, 4 insertions(+)

commit 08970065a837b15a2ffe207933d4cefdcefdd06d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 10:57:49 2013 +0000

    Added start/end timestamp.

 checkall.sh | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 17d043578721a0a0e259918c85021eb3478781ad
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 10:48:39 2013 +0000

    Will send mail on completion.

 checkall.sh | 35 ++++++++++++++++++++++++++++++++++-
 1 file changed, 34 insertions(+), 1 deletion(-)

commit 073f9f4bc3e02aa05f272804a65b843aa5fbad94
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 10:16:33 2013 +0000

    removed permanent --disable-nls for freebsd32. Note: tests for ports ncurses disabled by earlier commit.

 checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77c3da349b618ce0de2af060a545894aea6fe479
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 09:44:12 2013 +0000

    Clang for debian 64-bit removed since it (clang!) segfaulted on my test machine.

 checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c7fad34011123a624c1574156a5de84c31d46097
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 08:36:06 2013 +0000

    Replaced C functions by their C++ counter part.

 include/input.h                         | 10 +++++-----
 include/yacurscurses.h                  | 16 ++++++++--------
 src/checkbox.cc                         |  2 +-
 src/curs.cc                             |  4 ++--
 src/cursorbuf.cc                        | 12 ++++++------
 src/curswin.cc                          |  8 ++++----
 src/label.cc                            |  2 +-
 src/lineobject.cc                       |  2 +-
 src/sigaction.cc                        |  2 +-
 tests/basic/cursorbuf1.cc               |  2 +-
 tests/basic/eventqueue9.cc              |  4 ++--
 tests/ui-interactive/app1.cc            |  2 +-
 tests/ui-interactive/checkbox1.cc       |  2 +-
 tests/ui-interactive/dialog1.cc         |  2 +-
 tests/ui-interactive/filedialog1.cc     |  6 +++---
 tests/ui-interactive/focus1.cc          |  2 +-
 tests/ui-interactive/input1.cc          |  2 +-
 tests/ui-interactive/inputbox1.cc       |  2 +-
 tests/ui-interactive/listbox1.cc        |  2 +-
 tests/ui-interactive/listbox2.cc        |  2 +-
 tests/ui-interactive/packremove.cc      |  2 +-
 tests/ui-interactive/radiobox1.cc       |  2 +-
 tests/ui-interactive/resize3.cc         |  2 +-
 tests/ui-interactive/resize4.cc         |  2 +-
 tests/ui-interactive/resize5.cc         |  2 +-
 tests/ui-non-interactive/basic1.cc      |  2 +-
 tests/ui-non-interactive/basic2.cc      |  2 +-
 tests/ui-non-interactive/cursinit.cc    |  2 +-
 tests/ui-non-interactive/cursorbuf1.cc  |  2 +-
 tests/ui-non-interactive/curswin1.cc    |  2 +-
 tests/ui-non-interactive/curswin2.cc    |  2 +-
 tests/ui-non-interactive/curswin3.cc    |  2 +-
 tests/ui-non-interactive/dynlabel1.cc   |  2 +-
 tests/ui-non-interactive/dynlabel2.cc   |  2 +-
 tests/ui-non-interactive/hrule1.cc      |  2 +-
 tests/ui-non-interactive/listbox1.cc    |  2 +-
 tests/ui-non-interactive/pack1.cc       |  2 +-
 tests/ui-non-interactive/pack2.cc       |  2 +-
 tests/ui-non-interactive/pack3.cc       |  2 +-
 tests/ui-non-interactive/pack4.cc       |  2 +-
 tests/ui-non-interactive/pack5.cc       |  2 +-
 tests/ui-non-interactive/pack6.cc       |  2 +-
 tests/ui-non-interactive/pack7.cc       |  2 +-
 tests/ui-non-interactive/pack8.cc       |  2 +-
 tests/ui-non-interactive/pack9.cc       |  2 +-
 tests/ui-non-interactive/packresize1.cc |  2 +-
 tests/ui-non-interactive/resize1.cc     |  2 +-
 tests/ui-non-interactive/resize2.cc     |  2 +-
 tests/ui-non-interactive/vrule1.cc      |  2 +-
 tests/ui-non-interactive/widget1.cc     |  2 +-
 tests/ui-non-interactive/widget2.cc     |  2 +-
 tests/ui-non-interactive/widget3.cc     |  2 +-
 52 files changed, 75 insertions(+), 75 deletions(-)

commit ab574d35394cb8f5ff77400378c4a97f0eaa6bfc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 07:53:54 2013 +0000

    Removed SunStudio 12.1 on odin since the check for xopen curses fails with strange error message.

 checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5042dcd4790f233d454bf6032b8ccbae6fd81f9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 16:01:57 2013 +0000

    Removed unneeded -export-dynamic in LDFLAGS.

 tests/preloadlib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bcc7c9c8d185aa63a52bbd8b3ee998a5e9daee8d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 16:01:15 2013 +0000

    Re-added the test for -export-dynamic which has been removed in r5625.

 configure.ac | 5 +++++
 1 file changed, 5 insertions(+)

commit 3cd2792a5d43008b51a432a8db40d4f5f39732cf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 15:33:19 2013 +0000

    fixed typo.

 include/yacurs.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1127e443941f16bf274a8998556e9121acbb847c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 15:27:46 2013 +0000

    Added yacurscurses.h

 include/yacurs.h | 1 +
 1 file changed, 1 insertion(+)

commit 72980abacd1c5c22b054ea9db239c59e72456232
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 15:25:41 2013 +0000

    Renamed mycurses.h to yacurscurses.h.

 include/colorparser.h | 2 +-
 include/colors.h      | 2 +-
 include/curs.h        | 2 +-
 include/curswin.h     | 2 +-
 include/input.h       | 2 +-
 include/widget.h      | 2 +-
 include/widgetbase.h  | 2 +-
 include/window.h      | 2 +-
 include/windowbase.h  | 2 +-
 9 files changed, 9 insertions(+), 9 deletions(-)

commit 807aa657174f4d4ef3520975aed877c26ab36709
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 15:24:23 2013 +0000

    More configure tweaks. Renamed mycurses.h to yacurscurses.h.

 configure.ac                           | 11 ++++-------
 include/Makefile.am                    |  2 +-
 include/input.h                        |  2 ++
 include/{mycurses.h => yacurscurses.h} |  4 ++--
 4 files changed, 9 insertions(+), 10 deletions(-)

commit c4d0ac9abe7354b8b3a10bdf215c8676b8f023ae
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 15:07:18 2013 +0000

    Removed #ifdef HAVE_STDINT_H in header files.

 include/coordinates.h   | 5 +++--
 include/cursorbuf.h     | 5 +++--
 include/event.h         | 5 +++--
 include/evtqueuestats.h | 5 +++--
 include/size.h          | 6 ++++--
 5 files changed, 16 insertions(+), 10 deletions(-)

commit ef800a8bff8ed7a9c209229ab8bff4af15f08514
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 14:36:29 2013 +0000

    Streamlined configure.ac and #ifdefs.

 configure.ac                           | 23 +++++++++++++++++------
 include/coordinates.h                  |  3 +++
 include/cursorbuf.h                    |  2 ++
 include/event.h                        |  3 +++
 include/eventconnector.h               |  4 ++++
 include/evtqueuestats.h                |  2 ++
 include/gettext.h                      |  4 +++-
 include/size.h                         |  2 ++
 src/eventqueue.cc                      | 12 +++++++++++-
 src/fileloaddialog.cc                  |  8 ++------
 src/filesavedialog.cc                  |  8 ++------
 tests/ui-non-interactive/cursorbuf1.cc |  3 +++
 12 files changed, 54 insertions(+), 20 deletions(-)

commit b29dc6a6200f575b9cfdec9802e3137113391be5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 12:10:48 2013 +0000

    Renamed #define USE_WCHAR to YACURS_USE_WCHAR.

 include/input.h                         | 16 ++++++++--------
 include/label.h                         |  2 +-
 include/listbox.h                       |  2 +-
 include/mycurses.h                      |  4 ++--
 src/button.cc                           |  2 +-
 src/checkbox.cc                         |  4 ++--
 src/curswin.cc                          |  6 +++---
 src/eventqueue.cc                       |  6 +++---
 src/label.cc                            |  2 +-
 src/lineobject.cc                       |  2 +-
 src/window.cc                           |  2 +-
 tests/basic/eventqueue9.cc              |  6 +++---
 tests/preloadlib/testpreload.cc         |  6 +++---
 tests/ui-interactive/app1.cc            | 16 ++++++++--------
 tests/ui-interactive/checkbox1.cc       |  8 ++++----
 tests/ui-interactive/dialog1.cc         |  8 ++++----
 tests/ui-interactive/filedialog1.cc     | 12 ++++++------
 tests/ui-interactive/focus1.cc          | 20 ++++++++++----------
 tests/ui-interactive/input1.cc          |  6 +++---
 tests/ui-interactive/inputbox1.cc       |  6 +++---
 tests/ui-interactive/listbox1.cc        |  8 ++++----
 tests/ui-interactive/listbox2.cc        |  6 +++---
 tests/ui-interactive/lockscreen1.cc     |  8 ++++----
 tests/ui-interactive/messagebox1.cc     | 10 +++++-----
 tests/ui-interactive/packremove.cc      |  8 ++++----
 tests/ui-interactive/radiobox1.cc       |  8 ++++----
 tests/ui-interactive/resize3.cc         |  4 ++--
 tests/ui-interactive/resize4.cc         |  6 +++---
 tests/ui-interactive/resize5.cc         |  6 +++---
 tests/ui-non-interactive/basic1.cc      |  4 ++--
 tests/ui-non-interactive/basic2.cc      |  8 ++++----
 tests/ui-non-interactive/cursinit.cc    |  2 +-
 tests/ui-non-interactive/cursorbuf1.cc  | 10 +++++-----
 tests/ui-non-interactive/curswin1.cc    |  2 +-
 tests/ui-non-interactive/curswin2.cc    |  2 +-
 tests/ui-non-interactive/curswin3.cc    |  2 +-
 tests/ui-non-interactive/dynlabel1.cc   |  2 +-
 tests/ui-non-interactive/dynlabel2.cc   |  2 +-
 tests/ui-non-interactive/hrule1.cc      |  2 +-
 tests/ui-non-interactive/listbox1.cc    |  2 +-
 tests/ui-non-interactive/pack1.cc       |  6 +++---
 tests/ui-non-interactive/pack2.cc       |  8 ++++----
 tests/ui-non-interactive/pack3.cc       | 18 +++++++++---------
 tests/ui-non-interactive/pack4.cc       | 14 +++++++-------
 tests/ui-non-interactive/pack5.cc       | 14 +++++++-------
 tests/ui-non-interactive/pack6.cc       | 14 +++++++-------
 tests/ui-non-interactive/pack7.cc       | 14 +++++++-------
 tests/ui-non-interactive/pack8.cc       | 14 +++++++-------
 tests/ui-non-interactive/pack9.cc       |  6 +++---
 tests/ui-non-interactive/packresize1.cc |  2 +-
 tests/ui-non-interactive/resize1.cc     |  2 +-
 tests/ui-non-interactive/resize2.cc     |  2 +-
 tests/ui-non-interactive/vrule1.cc      |  2 +-
 tests/ui-non-interactive/widget1.cc     |  4 ++--
 tests/ui-non-interactive/widget2.cc     | 14 +++++++-------
 tests/ui-non-interactive/widget3.cc     | 10 +++++-----
 56 files changed, 191 insertions(+), 191 deletions(-)

commit b0c9802142a901fb98370c54e6a7ec11eaeccd96
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 12:04:24 2013 +0000

    updated

 po/de.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a770e389398e1b52505b57e68d55ee29eb42989
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 08:26:32 2013 +0000

    Updated.

 TODO | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 96078e24cc2489f0d98a59223894460c53fccc72
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 08:23:16 2013 +0000

    Initially added.

 TODO | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 406d0d6c76944b69a95b007834cd4b0975a9a8b9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 00:50:40 2013 +0000

    Cleanup

 po/boldquot.sed        |  10 ---
 po/de_DE.po            | 214 --------------------------------------------
 po/en@boldquot.header  |  25 ------
 po/en@boldquot.po      | 238 -------------------------------------------------
 po/en@quot.header      |  22 -----
 po/en@quot.po          | 235 ------------------------------------------------
 po/insert-header.sin   |  23 -----
 po/quot.sed            |   6 --
 po/remove-potcdate.sin |  19 ----
 9 files changed, 792 deletions(-)

commit 3812c30014db595c29bc960807d6256ae5c95a61
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 00:29:55 2013 +0000

    Fix to make gcc48 stop complaining.

 tests/ui-non-interactive/listbox1.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 7cf2d896ce16395146742452116527bb316ac8cc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Nov 21 00:23:12 2013 +0000

    Updated

 po/LINGUAS             |   2 +-
 po/{de_CH.po => de.po} |   0
 po/en_GB.po            | 220 -------------------------------------------------
 3 files changed, 1 insertion(+), 221 deletions(-)

commit de60820230fd55ec29505de9f6e45304a6d8cde8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 23:32:56 2013 +0000

    Updated svn:keywords.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit abe8a88c85aa209521d431257030b070113e4223
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 23:25:45 2013 +0000

    Updated.

 po/en@boldquot.po | 165 ++++++++++++++++++++++++++++----------------------
 po/en@quot.po     | 165 ++++++++++++++++++++++++++++----------------------
 po/libyacurs.pot  | 178 ++++++++++++++++++++++++++++--------------------------
 3 files changed, 279 insertions(+), 229 deletions(-)

commit 5696ab04b8a811647a569aab802ec6029a632ada
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 23:06:23 2013 +0000

    Updated.

 po/de_DE.po | 200 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 101 insertions(+), 99 deletions(-)

commit 5f9aad265dcf8dd766bc645a0256dde204f4ceab
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 23:03:32 2013 +0000

    Updated.

 po/en_GB.po | 198 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 103 insertions(+), 95 deletions(-)

commit 8d28671710bbdc38f74eea7ff36bfb808613e649
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 23:02:01 2013 +0000

    Updated.

 po/de_CH.po | 200 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 101 insertions(+), 99 deletions(-)

commit c83c38b76ef95c4a52fc46602e76ce2ffd79739a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 22:58:34 2013 +0000

    Updated.

 po/POTFILES.in | 74 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 37 insertions(+), 37 deletions(-)

commit 05a5e4f5919b43c8e5ed7c52eb661a7081012186
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 22:57:11 2013 +0000

    Removed.

 po/en_US.po | 212 ------------------------------------------------------------
 1 file changed, 212 deletions(-)

commit e9542274ed9134906c70ddbe12fa7e218562e294
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 22:56:45 2013 +0000

    updated.

 po/LINGUAS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8c041487f58eff700f0c04ebbb8564d296b6f7a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 20:07:13 2013 +0000

    clang not tested on wheezy anymore: gccX had no trouble clang on
    aurora and freebsd32 had no trouble, so assuming some sort of `bug'.

 checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f817d45f14c33ba50babfb9d185e15fda97f7ec1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 19:21:03 2013 +0000

    removed @todo.

 include/cursorbuf.h | 3 ---
 1 file changed, 3 deletions(-)

commit 3f3e458816f433fe917c5c3bc1d2dd0384d45835
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 18:29:16 2013 +0000

    CheckBox will emit EVT_CHECKBOX_SELECTION upon selection change.

 include/event.h | 4 ++++
 src/checkbox.cc | 1 +
 2 files changed, 5 insertions(+)

commit e0735f84ebfb7429cf44c7560ec653c59cd5803c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 18:17:07 2013 +0000

    Implemented wrapper for calling CheckBox::set_selection(std::string&).

 include/radiobox.h | 2 ++
 src/radiobox.cc    | 5 +++++
 2 files changed, 7 insertions(+)

commit a173e8634f97610827a8b29a15e87b62b056971f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 17:38:16 2013 +0000

    Selecting items now public and possible by position or string match.

 include/checkbox.h |  6 ++++--
 include/radiobox.h |  5 ++---
 src/checkbox.cc    | 26 ++++++++++++++++++++------
 src/radiobox.cc    | 27 ++++++++++++++++++---------
 4 files changed, 44 insertions(+), 20 deletions(-)

commit c7bd7e26faa20104914ab63f6e1b8401927728ce
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 16:59:35 2013 +0000

    Implemented input filter.

 include/input.h | 170 +++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 163 insertions(+), 7 deletions(-)

commit e864dc61b946291e5dfd0428f5e1e37296dc95a1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 16:07:47 2013 +0000

    Use locale.h instead of clocale to make it work on Solaris.

 include/mycurses.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff6e21ca3311467c44ef3ba08202700b604a6a9e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 12:35:53 2013 +0000

    Updated #include; made them adhere more closely to C++98 standard.

 include/mycurses.h              |  2 +-
 src/fileloaddialog.cc           | 17 +++++++++++++----
 src/filesavedialog.cc           | 17 +++++++++++++----
 tests/preloadlib/testpreload.cc |  2 +-
 4 files changed, 28 insertions(+), 10 deletions(-)

commit b3c43a8901b6526243a3bf27dfd4414d53f461c4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 12:27:44 2013 +0000

    removed return code output. gave trouble with nested `"' and parantheses.

 runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 59978ffba35ef6f36e5b512f746147cee47dd883
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 12:24:45 2013 +0000

    fixed syntax error.

 runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c2d4245b1ca92b889fc23ec4170a34bd6e9b5cc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 12:23:46 2013 +0000

    moved clang to end of compiler list for wheezy in order to track down
    clang compiler errors, i.e. to see if gcc has the same issues.

 checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0bf0ff912385164074e34257a7c50edc5a8e30df
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 12:16:51 2013 +0000

    removed unused variables in catch(). Made use references in catch().

 tests/ui-non-interactive/listbox1.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit af0230d2a7c36437657d7f53aca0e99e4fe38c8d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 12:10:55 2013 +0000

    added test for following config flags: --enable-wchar --enable-nls --disable-wchar --disable-nls

 checkall.sh | 422 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 229 insertions(+), 193 deletions(-)

commit 2998bf31258dc319c6457b1b5c36568fc17f904c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 12:00:34 2013 +0000

    Removed gcc3.x tests.

 checkall.sh | 16 ++--------------
 1 file changed, 2 insertions(+), 14 deletions(-)

commit b36e2f98e6f9ab46e3f93e645b0a39575a43b0d8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 11:58:26 2013 +0000

    Added compiler requirements.

 README | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 004e6412dede1f18302c318e622288ec4b5c83cd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 10:50:04 2013 +0000

    Removed make -j flag when building on odin.

 checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7eb15e326d4496fc2a8ae71f3c3eabb1f2cd37a8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 10:36:33 2013 +0000

    Print message when done including the exit status.

 runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d515403e2e3bf6d7f89367a1b00bb856e167f67d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 10:15:35 2013 +0000

    use autreconf. added puffy. use http for svn.

 runcheckall.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 07f9a4e87433171a6d45a393697513417ed7d85e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 10:15:01 2013 +0000

    added host_fish.

 checkall.sh | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit ef80ed5f03f368e9d162938357ab0cd68ad16d89
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 10:00:07 2013 +0000

    Fixed syntax error.

 src/curswin.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea1af7409c243afbc5edcce92fa5b311c7b7d8eb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 20 09:27:58 2013 +0000

    use libtool facilities to build libtestpreload instead of the home grown stuff.

 tests/preloadlib/Makefile.am | 25 ++++++-------------------
 1 file changed, 6 insertions(+), 19 deletions(-)

commit 6c60f3e45d792bd13d4361aad186a1a662d41b14
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 20:22:54 2013 +0000

    Updated svn:ignore.

commit ea5348cfb7e24c76b70ef75d370f3a63b7a33660
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 20:20:58 2013 +0000

    Remove autogenerated files.

 po/Makefile.in.in    | 453 ---------------------------------------------------
 po/Makevars.template |  53 ------
 po/Rules-quot        |  47 ------
 3 files changed, 553 deletions(-)

commit bea3259f2a7477da7f6d2941323be75a0df9d1d2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 20:10:38 2013 +0000

    Proved protected method to add buttons to __hpack.

 include/dialog.h | 9 +++++++--
 src/dialog.cc    | 5 +++++
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 36ca82088e1d458dae623e2eacf3fc2b55f20865
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 17:15:27 2013 +0000

    updated precompiler warning message.

 src/eventqueue.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf9d049ac5204648959851c5c3baf225786c5b7e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 17:04:08 2013 +0000

    fixed termname check.

 configure.ac | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 553c1fca271174f3344390a18b5ac1f968c545f8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 16:06:39 2013 +0000

    clear() does now also redraw the border.

 src/curswin.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit cb34a8e3cb228920341e657069d5aa999048f2e6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 15:55:13 2013 +0000

    Finally fixed Ctrl-L issue, by finally using the right method call.

 include/event.h   | 4 ++--
 src/widget.cc     | 2 +-
 src/windowbase.cc | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 9746c98cbdee3bc299b3be47cdafc938c0c100c7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 15:10:37 2013 +0000

    Updated.

 AUTHORS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 304577dd200ae2bcd277b909e163f42410175bdc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 14:38:14 2013 +0000

    gettext version set to 0.18.1.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 150651442ee8c94f2f3d769802dedf6d5c0d886e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 14:36:38 2013 +0000

    Fixed gcc compiler warnings.

 tests/ui-non-interactive/cursorbuf1.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9d0ea7da7a4eff69440a863ab5164a027458d247
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 14:03:11 2013 +0000

    Use SunStudio specific code.

 include/listbox.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit e31cde8072570b43e48e561925d563f345a4e94c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 13:53:11 2013 +0000

    Use proper C++ code.

 include/listbox.h | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit d88ca3403023c25068881dd1a19d5e86ff64d9f5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 13:45:57 2013 +0000

    Changed initialization order to silence gcc -Wall -pedantic.

 src/curswin.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ddfacbd1ef7f6ca1b8ae1b3db2e4197d0f6450aa
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 13:22:00 2013 +0000

    removed commented out stuff.

 tests/Makefile.am | 50 --------------------------------------------------
 1 file changed, 50 deletions(-)

commit 0d565a56f44325dd83472499fe83b16f0151150e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 12:58:18 2013 +0000

    Removed ListBox<>::high_light(const _T& _i), which is essentially replaced by new ListBox<>::search() method. Updated tests featuring ListBox<>.

 include/listbox.h                    |  78 +++++++++++-------------
 tests/ui-interactive/listbox2.cc     |  13 +++-
 tests/ui-non-interactive/listbox1.cc | 113 +++++++++++++++++++++++++----------
 3 files changed, 129 insertions(+), 75 deletions(-)

commit 2da17a80161ebc69debcaea059b37800dac9cc4e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 09:44:40 2013 +0000

    MessageBox2 now inherits from MessageBox. DynLabel used instead of Label.

 include/messagebox.h  |  7 +++++--
 include/messagebox2.h | 11 +++--------
 include/messagebox3.h |  2 +-
 src/messagebox.cc     | 11 ++++++++---
 src/messagebox2.cc    | 19 ++-----------------
 src/messagebox3.cc    |  3 +--
 6 files changed, 20 insertions(+), 33 deletions(-)

commit 743c1ccdb75b5585a67ffc73e09bf61bc69f4d50
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 09:24:32 2013 +0000

    Undo changes in r5512 and created a new event EVT_REDRAW which is used when CTRL-L is pressed. Adjusted CursWin to take changes into account, i.e. erase() redraws box.

 include/curswin.h    | 28 ++++++++++++++-------
 include/event.h      | 18 +++++++++++---
 include/widget.h     |  2 ++
 include/windowbase.h |  2 ++
 src/curswin.cc       | 69 +++++++++++++++++++++++++++++-----------------------
 src/eventqueue.cc    |  2 +-
 src/lockscreen.cc    |  6 +++++
 src/widget.cc        | 25 ++++++++++++++++++-
 src/windowbase.cc    | 24 +++++++++++++++++-
 9 files changed, 131 insertions(+), 45 deletions(-)

commit 0b649f64db5ff392f8793fac1dcdcdfb2a1a0a93
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 19 08:19:29 2013 +0000

    Use erase() instead of touch() for force refresh.

 src/widget.cc     | 2 +-
 src/windowbase.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7d64b92bff29eba3855ea3453116831adebd1cfa
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 20:05:21 2013 +0000

    Added const qualifier.

 include/curs.h | 2 +-
 src/curs.cc    | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 110e1bc2eeefaf6d04853bb21787f097136ea670
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 19:53:21 2013 +0000

    Implemented Curses::set_terminal_title().

 configure.ac   | 22 ++++++++++++++++++++++
 include/curs.h | 12 ++++++++++++
 src/curs.cc    | 34 ++++++++++++++++++++++++++++++++++
 3 files changed, 68 insertions(+)

commit 1f59a6d87a8597020758242b21383847767cf104
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 18:49:24 2013 +0000

    Made SysV workaround working properly.

 src/eventqueue.cc | 58 +++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 39 insertions(+), 19 deletions(-)

commit b60fa970acac6d2d2f3d97232b4e5d34fbfba775
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 18:36:25 2013 +0000

    Solaris SysV curses workaround added.

 src/eventqueue.cc | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 859c5a28b407da48c9094e24184d09a7bbcdfa55
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 18:22:03 2013 +0000

    Added reset() method to Sigaction class.

 include/sigaction.h | 10 ++++++++++
 src/sigaction.cc    | 22 ++++++++++++++--------
 2 files changed, 24 insertions(+), 8 deletions(-)

commit 21512f6859e9c24c0083a4e157eda624cd47a70a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 12:37:54 2013 +0000

    Removed dialog enums from Dialog and placed into yacurstypes.h.

 include/dialog.h                    | 34 ++++------------------------
 include/yacurstypes.h               | 25 +++++++++++++++++++++
 src/dialog.cc                       |  8 +++----
 src/fileloaddialog.cc               |  2 +-
 src/filesavedialog.cc               |  2 +-
 src/lockscreen.cc                   |  4 ++--
 tests/ui-interactive/app1.cc        |  2 +-
 tests/ui-interactive/dialog1.cc     | 44 ++++++++++++++++++-------------------
 tests/ui-interactive/filedialog1.cc |  4 ++--
 tests/ui-interactive/inputbox1.cc   |  2 +-
 tests/ui-interactive/listbox2.cc    |  4 ++--
 tests/ui-interactive/lockscreen1.cc |  2 +-
 tests/ui-interactive/messagebox1.cc |  2 +-
 13 files changed, 67 insertions(+), 68 deletions(-)

commit af64305a38b416bb40eb4486b3fa4b7379fdb576
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 12:37:17 2013 +0000

    Fixed issues introduced with set() not marking buffer as modified.

 src/cursorbuf.cc                       | 7 ++++---
 tests/ui-non-interactive/cursorbuf1.cc | 8 ++++----
 2 files changed, 8 insertions(+), 7 deletions(-)

commit e7a4ed77a87c9fe5b36f656d8235f656bc70c7ef
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 12:24:24 2013 +0000

    fixed ifdef for USE_WCHAR

 tests/preloadlib/testpreload.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 997876ca48881d2097e403b42caaeab1465da879
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 09:42:21 2013 +0000

    Removed #warning todo.

 include/listbox.h | 1 -
 1 file changed, 1 deletion(-)

commit 3ad572b30e2e7aadbde8753269dbcb7b3b5d15c9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 08:09:39 2013 +0000

    Files resurected.

 po/en@boldquot.po | 217 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/en@quot.po     | 214 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 431 insertions(+)

commit c00e37c7bee036de474de0f95676dc6441e0324b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 01:55:48 2013 +0000

    Properties changed.

commit 5a16ddc4abf7f8d60aaf64e13b11a19a9880bd8b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 01:45:19 2013 +0000

    updated

 po/de_CH.po       |  53 ++++++++-----
 po/de_DE.po       |  53 ++++++++-----
 po/en@boldquot.po | 217 ------------------------------------------------------
 po/en@quot.po     | 214 -----------------------------------------------------
 po/en_GB.po       |  53 ++++++++-----
 po/en_US.po       |  53 ++++++++-----
 po/libyacurs.pot  |  50 ++++++++-----
 7 files changed, 163 insertions(+), 530 deletions(-)

commit ccc6ca7c071ead71220f1ad9973fef8d7338d1e4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 01:37:43 2013 +0000

    Added all files to POTFILES.in.

 po/POTFILES.in | 43 ++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 40 insertions(+), 3 deletions(-)

commit 9fbd531c80d046256db17d7629cc6e5a13ec5d23
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 01:04:37 2013 +0000

    Box will be redrawn, so that it adjusts to title.

 src/dialog.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 17036037e0c882fb688d397e92e9b8536f910cea
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 01:03:39 2013 +0000

    Sort order will be maintained upon change of list.

 include/listbox.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 350aee5dcabd649bb0919f8af0e79da76333303d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 00:13:57 2013 +0000

    obscure_input() and hide_input() now refresh if widget is realized.

 include/input.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 8622cbb40fbed29ed42a16954ca1865212bde47b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 18 00:13:00 2013 +0000

    Dialog title can be set after ctor has been called. Implemented dialog_type().

 include/dialog.h |  5 +++++
 src/dialog.cc    | 19 +++++++++++++++++++
 2 files changed, 24 insertions(+)

commit 5d823657e530bfab3158764803fc11bfad3924b9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 23:59:05 2013 +0000

    Setting cursor buffer using set() sets __changed to false.

 src/cursorbuf.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe21ff5b88664a61a0e57acdd7e3de26764366ca
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 21:14:34 2013 +0000

    Fixed bug when confirming overwriting existing file.

 src/filesavedialog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03fe868a8bfe3704178b6273bd31e42ae2b75efa
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 21:12:41 2013 +0000

    Colorize hrule.

 src/dialog.cc | 1 +
 1 file changed, 1 insertion(+)

commit d81242ec44c6dd861806424cf9e762d22d793c68
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 20:53:19 2013 +0000

    Dialog now uses HRule by default.

 include/dialog.h | 2 ++
 include/yacurs.h | 1 +
 src/dialog.cc    | 5 +++++
 3 files changed, 8 insertions(+)

commit 1aed70bc9697675c50bdbe059204f2298b701dc9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 20:41:30 2013 +0000

    Updated documentation.

 include/listbox.h | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 181b8a4d6f1ff2477431ebc72f85bebeab485433
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 20:40:28 2013 +0000

    Removed refresh().

 include/rule.h | 12 ------------
 1 file changed, 12 deletions(-)

commit bea3ac8f5aaec976c87f39f8c7e5cacc79cd3ee9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 20:38:33 2013 +0000

    Abstracted [HV]Rule.

 include/Makefile.am |  3 +-
 include/hrule.h     | 32 ++----------------
 include/rule.h      | 96 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 include/vrule.h     | 32 ++----------------
 src/Makefile.am     |  2 +-
 src/hrule.cc        | 21 +-----------
 src/rule.cc         | 79 +++++++++++++++++++++++++++++++++++++++++++
 src/vrule.cc        | 21 +-----------
 8 files changed, 184 insertions(+), 102 deletions(-)

commit 48b4fb164c1448f96e0f41bebcdb14f17d33ae95
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 20:12:43 2013 +0000

    Fixed bug.

 src/filesavedialog.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3138788b123b551ab393919c5c68977d5557931a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 20:08:03 2013 +0000

    Implemented HRule and VRule.

 include/Makefile.am                  |   2 +-
 include/hrule.h                      |   2 +
 include/vrule.h                      | 100 ++++++++++++++++++++++++
 include/yacurs.h                     |   3 +-
 src/Makefile.am                      |   2 +-
 src/hrule.cc                         |  94 +++++++++++++++++++++++
 src/label.cc                         |   4 +-
 src/vrule.cc                         |  94 +++++++++++++++++++++++
 tests/ui-non-interactive/Makefile.am |   2 +-
 tests/ui-non-interactive/curswin3.cc |  28 +++++++
 tests/ui-non-interactive/hrule1.cc   | 145 +++++++++++++++++++++++++++++++++++
 tests/ui-non-interactive/vrule1.cc   | 145 +++++++++++++++++++++++++++++++++++
 12 files changed, 615 insertions(+), 6 deletions(-)

commit 3a2c886747e7bc777459eaf75c622f7c9c94c43d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 19:21:25 2013 +0000

    Starting working on hrule and vrule.

 include/curswin.h                    | 14 ++++++
 include/hrule.h                      | 98 ++++++++++++++++++++++++++++++++++++
 include/yacurs.h                     |  3 ++
 src/curswin.cc                       | 40 +++++++++++++++
 tests/ui-non-interactive/Makefile.am |  7 +--
 tests/ui-non-interactive/curswin3.cc | 56 +++++++++++++++++++++
 6 files changed, 215 insertions(+), 3 deletions(-)

commit 3331edb4d1697475af0f985adee77767f25c2cc1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 12:58:14 2013 +0000

    Updated documentation.

 include/dialog.h | 7 +++++++
 1 file changed, 7 insertions(+)

commit ba540f60ac7d3faa8068985abdefdfbff6279646
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 12:47:08 2013 +0000

    Dialog::on_close() has been moved to WindowBase::on_close().

 include/dialog.h     | 10 +---------
 include/windowbase.h | 12 ++++++++++++
 src/dialog.cc        | 19 ++++---------------
 src/windowbase.cc    |  7 +++++++
 4 files changed, 24 insertions(+), 24 deletions(-)

commit e3e0899e4f5c48b2b6adad8709c43ae25007bf5c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 11:00:26 2013 +0000

    Updated bug report address.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 97fa80e7b231706c629e03122d07ca6a94229952
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 10:48:47 2013 +0000

    Updated properties.

commit f9d89fa5f6bb65d7a37acee3176dee08092c6721
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 17 10:24:21 2013 +0000

    Removed Makefile.boot; use autoreconf instead.

 ChangeLog         |  609 ----
 INSTALL           |  370 ---
 Makefile.boot     |   56 -
 configure.ac      |    1 +
 m4/gettext.m4     |  401 ---
 m4/iconv.m4       |  268 --
 m4/lib-ld.m4      |  119 -
 m4/lib-link.m4    |  777 ------
 m4/lib-prefix.m4  |  224 --
 m4/libtool.m4     | 7982 -----------------------------------------------------
 m4/ltoptions.m4   |  384 ---
 m4/ltsugar.m4     |  123 -
 m4/ltversion.m4   |   23 -
 m4/lt~obsolete.m4 |   98 -
 m4/po.m4          |  452 ---
 m4/progtest.m4    |   91 -
 16 files changed, 1 insertion(+), 11977 deletions(-)

commit 809b2f81b8c11a347f1fef494732adc12f198dd2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Oct 20 07:42:35 2013 +0000

    Added StatusBar::set(). Updated code to use StatusBar::set() where reasonable.

 include/statusbar.h                  | 31 +++++++++++---
 src/statusbar.cc                     | 16 ++++++--
 tests/ui-interactive/input1.cc       | 30 +++++---------
 tests/ui-non-interactive/listbox1.cc | 78 ++++++++++++------------------------
 4 files changed, 74 insertions(+), 81 deletions(-)

commit bd79c3b9d1494760afbfc1674e5d4a5b741c74db
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Oct 20 07:25:47 2013 +0000

    Changed StatusBar::(push|pop)_msg() to StatusBar::(push|pop).

 include/statusbar.h                     |   4 +-
 m4/libtool.m4                           |   6 +-
 src/statusbar.cc                        |   4 +-
 tests/ui-interactive/app1.cc            |   2 +-
 tests/ui-interactive/checkbox1.cc       |   2 +-
 tests/ui-interactive/dialog1.cc         |   4 +-
 tests/ui-interactive/filedialog1.cc     |   4 +-
 tests/ui-interactive/focus1.cc          |   4 +-
 tests/ui-interactive/input1.cc          |  42 ++++++-------
 tests/ui-interactive/inputbox1.cc       |   2 +-
 tests/ui-interactive/listbox1.cc        |   2 +-
 tests/ui-interactive/listbox2.cc        |   8 +--
 tests/ui-interactive/lockscreen1.cc     |   2 +-
 tests/ui-interactive/messagebox1.cc     |   2 +-
 tests/ui-interactive/radiobox1.cc       |   2 +-
 tests/ui-interactive/resize3.cc         |   4 +-
 tests/ui-interactive/resize4.cc         |   4 +-
 tests/ui-interactive/resize5.cc         |   2 +-
 tests/ui-non-interactive/basic2.cc      |  12 ++--
 tests/ui-non-interactive/dynlabel1.cc   |   2 +-
 tests/ui-non-interactive/dynlabel2.cc   |   2 +-
 tests/ui-non-interactive/listbox1.cc    | 104 ++++++++++++++++----------------
 tests/ui-non-interactive/packresize1.cc |   2 +-
 tests/ui-non-interactive/resize2.cc     |   2 +-
 24 files changed, 110 insertions(+), 114 deletions(-)

commit 21fed20fad622c00c499bbc7074b5c3f17e1e192
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 17:16:25 2013 +0000

    Added tests using wide chars.

 tests/ui-non-interactive/cursorbuf1.cc | 105 +++++++++++++++++++++++++++++++++
 1 file changed, 105 insertions(+)

commit 9daa186e524a73747d8684a2b42e6502396df08c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 17:15:43 2013 +0000

    Minor fix.

 tests/ui-interactive/input1.cc | 1 +
 1 file changed, 1 insertion(+)

commit ccf23cb639730db957d91081fdf117fdf74f9f32
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 17:14:57 2013 +0000

    CursorBuffer now respects maximum size in ctor.

 src/cursorbuf.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 5b76e7b003caab07d53c18f7c7fc0774d1838a2c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 16:55:57 2013 +0000

    Properly implemented setting of maximum size.

 include/cursorbuf.h | 45 +++++++++++++++++++++++++++++++--------------
 src/cursorbuf.cc    | 26 +++++++++++++++++++++++++-
 2 files changed, 56 insertions(+), 15 deletions(-)

commit 42988d4414e3c168838faff78d4d243d6e06c950
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 16:54:43 2013 +0000

    Input size is now completely handled by CursorBuffer; Input only proxies method calls.

 include/input.h | 50 +++++++++++++++++++-------------------------------
 1 file changed, 19 insertions(+), 31 deletions(-)

commit 65c4af949906b14f8eb2ae2c76473d6387beec53
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 16:53:37 2013 +0000

    Added/updated tests.

 tests/ui-interactive/Makefile.am       |   4 +-
 tests/ui-interactive/input1.cc         | 191 +++++++++++++++++++++++++++++++++
 tests/ui-non-interactive/cursorbuf1.cc |  86 ++++++++++++++-
 3 files changed, 278 insertions(+), 3 deletions(-)

commit 1ea083d254e694c5fcc1b8db87754ac496209485
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 09:34:52 2013 +0000

    Added #warning.

 include/listbox.h | 1 +
 1 file changed, 1 insertion(+)

commit 4f97f86b9b2ef9718b03cd40f4a312b7d55edf86
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 09:33:50 2013 +0000

    Added comment & todo.

 include/listbox.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit dbaf51be085edd4501dfd899c1b0989877ea1ec7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 08:35:33 2013 +0000

    Set svn:keywords Id.

 tests/ui-non-interactive/dynlabel2.cc | 2 +-
 tests/ui-non-interactive/listbox1.cc  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9d0c3456633f06a14c8ca12fda48c05bd333a3a1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 08:02:29 2013 +0000

    Fixed typo in comment.

 include/listbox.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a442272bb53ae67b8bb46b0df01571aa6d266b17
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 19 08:01:55 2013 +0000

    Tests of ListBox completed. Removed #warning's from listbox.h.

 include/listbox.h                    |  10 ---
 tests/ui-non-interactive/listbox1.cc | 131 ++++++++++++++++++++++++++++++++++-
 2 files changed, 130 insertions(+), 11 deletions(-)

commit 57480efa7ff0b5173913cd7feeee35cce211d89b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Oct 18 16:19:30 2013 +0000

    Trying to high light by item value on non-existing item raises exception.

 include/listbox.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8d031da69727c71a595af60aede1b0a642d0b7eb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Oct 18 16:08:12 2013 +0000

    Made ListBox<>::high_light(lsz_t) work.

 include/listbox.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 355dad65ecdd5203a9c3a7a16ed5fb762be34621
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Oct 18 15:52:48 2013 +0000

    Non-interactive test for ListBox added.

 tests/ui-non-interactive/Makefile.am |   2 +-
 tests/ui-non-interactive/listbox1.cc | 172 +++++++++++++++++++++++++++++++++++
 2 files changed, 173 insertions(+), 1 deletion(-)

commit 8d0140df1cc85695ee4e1627d91e4a890ca874d4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Oct 18 15:52:20 2013 +0000

    Removed virtual function specifiers. Added empty() and count() methods.

 include/listbox.h | 22 ++++++++++++++++++----
 1 file changed, 18 insertions(+), 4 deletions(-)

commit f90e803876d5507f0028d54e7128fc87037eb442
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Oct 18 15:50:22 2013 +0000

    Added TODO.

 include/statusbar.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 2b574e3712c156503fc8c082ad1952893c957935
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Oct 16 18:32:39 2013 +0000

    Replaced for loops by std::advance(). Added another set() method. Added asserts. Fixed incorrect __list.length(). Added comments. Removed wrong comments.

 include/listbox.h | 70 ++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 56 insertions(+), 14 deletions(-)

commit 4482170334560f6717ec1ed63d9b10c7c9f7a6a3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Oct 15 18:16:12 2013 +0000

    EVT_LISTBOX_ENTER does now carry the proper type.

 include/listbox.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28479a04bdb0424ef36ef690c16f7baca04ff515
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Oct 14 17:52:56 2013 +0000

    call libtoolize with --force. call gettextize in order to create config.rpath.

 Makefile.boot                       | 12 ++++++------
 m4/libtool.m4                       |  6 +++++-
 po/de_CH.po                         | 27 ++++++++++++++++++---------
 po/de_DE.po                         | 27 ++++++++++++++++++---------
 po/en@boldquot.po                   | 28 ++++++++++++++++++----------
 po/en@quot.po                       | 28 ++++++++++++++++++----------
 po/en_GB.po                         | 27 ++++++++++++++++++---------
 po/en_US.po                         | 27 ++++++++++++++++++---------
 po/libyacurs.pot                    | 26 +++++++++++++++++---------
 src/dialog.cc                       |  7 +++++++
 tests/ui-interactive/filedialog1.cc |  8 --------
 11 files changed, 143 insertions(+), 80 deletions(-)

commit 2f274741c885cefae5b6f18f5d6c78ca6e15bf3c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 12 17:20:56 2013 +0000

    Added messagebox3.h.

 include/yacurs.h | 1 +
 1 file changed, 1 insertion(+)

commit 63de795ae1c136dfc348fd23f95318648693df41
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 12 14:35:22 2013 +0000

    Added MessageBox3.

 include/Makefile.am   |  6 ++---
 include/messagebox2.h |  4 +++-
 include/messagebox3.h | 47 ++++++++++++++++++++++++++++++++++++++
 src/Makefile.am       |  5 +++--
 src/messagebox2.cc    |  6 ++---
 src/messagebox3.cc    | 62 +++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 121 insertions(+), 9 deletions(-)

commit 0608a6b47216f8c8659be6ecc34ac217435103ae
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 12 13:23:36 2013 +0000

    Event Types are now objects and can be extended now.

 include/event.h                     | 224 +++++++++++++++++++-----------------
 include/eventconnector.h            |  20 ++--
 include/eventqueue.h                |   8 +-
 include/evtqueuestats.h             |  26 ++---
 po/POTFILES.in                      |   1 +
 src/event.cc                        |  91 +++++++++------
 src/eventconnector.cc               |  12 +-
 src/eventqueue.cc                   |  16 +--
 src/evtqueuestats.cc                |   2 +-
 src/focusmanager.cc                 |  12 +-
 tests/basic/eventconnector1.cc      |   9 +-
 tests/basic/eventqueue1.cc          |   6 +-
 tests/basic/eventqueue2.cc          |   4 +-
 tests/basic/eventqueue3.cc          |   9 +-
 tests/basic/eventqueue4.cc          |   9 +-
 tests/basic/eventqueue5.cc          |   9 +-
 tests/basic/eventqueue6.cc          |   9 +-
 tests/basic/eventqueue7.cc          |   9 +-
 tests/basic/eventqueue8.cc          |   9 +-
 tests/basic/eventqueue9.cc          |   9 +-
 tests/ui-interactive/filedialog1.cc |  15 ++-
 21 files changed, 255 insertions(+), 254 deletions(-)

commit a535297e9a36f54f65b097ab37acf5aaae5a15dd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Oct 11 14:03:01 2013 +0000

    Dialog now supports YES_ONLY, YESNO, YESNOCANCEL, OK_ONLY, and OKCANCEL dialogs.

 include/dialog.h                |  31 +++++++-
 src/dialog.cc                   |  88 +++++++++++++++-----
 tests/ui-interactive/dialog1.cc | 172 ++++++++++++++++++++++++++++++++--------
 3 files changed, 236 insertions(+), 55 deletions(-)

commit 625a7ee0118348a2f2989dcf72ff4891a57da20c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Oct 11 06:45:22 2013 +0000

    Copyright update.

 INSTALL | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 407887d94da7a31ff074a789ea0f51c4b011b39e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Oct 11 06:44:11 2013 +0000

    Added setable restriction on input length and flag whether buffer has been changed.

 include/input.h | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

commit b0b072e688bdfeab5fe36cbca0df9fd1035327c0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jul 15 17:37:17 2013 +0000

    Building static libraries enabled again.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0a696dc9cbe219e7627e6668f1a89bd0a4d41101
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jul 15 17:03:57 2013 +0000

    Keep a flag indicating whether or not the content of the buffer has been changed.

 include/cursorbuf.h | 10 ++++++----
 src/cursorbuf.cc    | 22 ++++++++++++++++------
 2 files changed, 22 insertions(+), 10 deletions(-)

commit 19f38944a2fb29990d57f8c6a57e57b8f08206ed
Merge: 26cadf6 a539971
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jul 4 17:44:24 2013 +0000

    Merged with maekke branch.

commit 26cadf699e8d5b7d9fb99d415b6cdc1b3df18aa6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jul 4 17:25:29 2013 +0000

    Added non-ui tests for CursorBuffer.

 tests/basic/Makefile.am   |  6 +++---
 tests/basic/cursorbuf1.cc | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+), 3 deletions(-)

commit a539971ca592f25de934412b3467b6d23d556ca2
Author: Markus Neumann <markus@neumann.ch>
Date:   Thu Jul 4 17:16:27 2013 +0000

    Fixed overflow when calling end() twice. info() adjusted.

 include/cursorbuf.h | 24 +++++++--------
 src/cursorbuf.cc    | 84 +++++++++++++++++++++++------------------------------
 2 files changed, 48 insertions(+), 60 deletions(-)

commit b9588f6e56c0bbd323feda4e2ecf5dcf08cfcf15
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jul 3 18:33:57 2013 +0000

    Added warning for CursorBuffer::info().

 src/cursorbuf.cc | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit b7b45d301be53a17fdeb89a7a6430847ff419ee4
Merge: a75f1da 1605c67
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jul 2 17:15:08 2013 +0000

    Merged smooth scrolling buffer from maekke branch.

commit 1605c67b8017203e5bd686afaf483e94d357562c
Author: Markus Neumann <markus@neumann.ch>
Date:   Mon Jul 1 15:39:48 2013 +0000

    Smooth scrolling implemented.

 include/cursorbuf.h | 20 ++++++++++-----
 src/cursorbuf.cc    | 74 ++++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 67 insertions(+), 27 deletions(-)

commit c4260bd95e7f9199a1a7a71b90a91e5afccf665b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jul 1 15:28:19 2013 +0000

    Maekke branching.

commit a75f1da4dd378197577f468d7600fa382c0a120d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jun 28 11:41:32 2013 +0000

    Removed unneeded argument to constructor.

 include/fileloaddialog.h | 3 +--
 src/fileloaddialog.cc    | 5 ++---
 2 files changed, 3 insertions(+), 5 deletions(-)

commit 17f812078465c2fe760d4103463b33b486f4d18b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 24 17:06:12 2013 +0000

    Fixed some missing parametrization.

 include/listbox.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8faef02c80b6baad14828e6b24cbdcb4e9d053a2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 19 19:21:20 2013 +0000

    Added hooks for on_close, on_ok_button, and on_cancel_button

 include/dialog.h | 31 +++++++++++++++++++++++++++++++
 src/dialog.cc    | 24 ++++++++++++++++++++----
 2 files changed, 51 insertions(+), 4 deletions(-)

commit 1cb02920805e12aa5a12a5f8a8b18587ff0f8660
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jun 15 19:57:12 2013 +0000

    Updated.

 po/de_CH.po       |  28 ++++++++------
 po/de_DE.po       |  28 ++++++++------
 po/en@boldquot.po | 108 ++++++++++++++++++++++++++++--------------------------
 po/en@quot.po     | 108 ++++++++++++++++++++++++++++--------------------------
 po/en_GB.po       |  28 ++++++++------
 po/en_US.po       |  28 ++++++++------
 po/libyacurs.pot  |  26 +++++++------
 7 files changed, 191 insertions(+), 163 deletions(-)

commit f7dbd8481792b089b1cfbd3f664f747a722abdb0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jun 15 19:56:57 2013 +0000

    Uncrustified.

 include/curs.h        |  3 ++-
 include/cursorbuf.h   | 34 ++++++++++++------------
 include/input.h       | 72 +++++++++++++++++++++++++--------------------------
 include/label.h       | 14 +++++-----
 include/lineobject.h  |  2 +-
 include/listbox.h     | 24 ++++++++---------
 include/sigaction.h   |  5 ++++
 include/yacurstypes.h |  6 ++---
 src/checkbox.cc       |  8 +++---
 src/curs.cc           |  4 ---
 src/cursorbuf.cc      | 50 +++++++++++++++++++----------------
 src/curswin.cc        | 20 +++++++-------
 src/label.cc          |  8 +++---
 src/lineobject.cc     |  6 ++---
 14 files changed, 132 insertions(+), 124 deletions(-)

commit b258fef00162d0081f0b91f572c937b1ccf58345
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jun 15 19:55:43 2013 +0000

    Updated.

 doc/events.dox | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e7940b3ee10bfdc5b6c6795bc096bed8adc5d910
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jun 15 19:53:45 2013 +0000

    Updated svn:ignore.

commit f4483f37050c2d6a7e9111743bca69e75c3dd537
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 12 20:13:57 2013 +0000

    Fixed single byte char test.

 tests/ui-non-interactive/pack1.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6e27607f8bea327c6eecc7117b68f68001c0350
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 12 19:23:39 2013 +0000

    Added AUTOMAKE_OPTIONS = serial-tests.

 tests/ui-interactive/Makefile.am     | 2 ++
 tests/ui-non-interactive/Makefile.am | 2 ++
 2 files changed, 4 insertions(+)

commit 6a46eddb1aa1924609b554cebea809f29e7aad12
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 12 19:20:36 2013 +0000

    Fixed CXXLD.

 tests/preloadlib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08380e89ed14bd30cfaf6efc6c8dcc413050e229
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 12 19:18:22 2013 +0000

    Improvements.

 Makefile.boot | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 11324013810b238044b13aee6490112776f814bf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 12 17:56:35 2013 +0000

    Reorganization directory structure of tests finished.

 Makefile.boot                        |  4 +-
 configure.ac                         |  2 +-
 tests/Makefile.am                    | 76 ++++++++++++++++++------------------
 tests/basic/Makefile.am              | 30 ++++++++++++++
 tests/preloadlib/Makefile.am         | 23 ++++++++---
 tests/ui-interactive/Makefile.am     | 21 ++++++++++
 tests/ui-non-interactive/Makefile.am | 19 +++++++++
 7 files changed, 129 insertions(+), 46 deletions(-)

commit ca78fbece7613d288a7dd59bb3c44fdf7392f682
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 12 17:53:43 2013 +0000

    Added @todo.

 include/cursorbuf.h | 4 ++++
 1 file changed, 4 insertions(+)

commit ac480ff6cb5560f26ffa40bbc15861ad5eed1364
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 11 20:14:29 2013 +0000

    Added Makefile. Not completed yet.

 tests/preloadlib/Makefile.am | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit dda52f33623cdb37b1d718fa8c7b68e7894042f5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 11 20:03:17 2013 +0000

    Started reorganizing directory structure of tests.

 tests/{ => basic}/area.cc                     | 0
 tests/{ => basic}/colorparser.cc              | 0
 tests/{ => basic}/coordinates.cc              | 0
 tests/{ => basic}/eventconnector1.cc          | 0
 tests/{ => basic}/eventqueue1.cc              | 0
 tests/{ => basic}/eventqueue2.cc              | 0
 tests/{ => basic}/eventqueue3.cc              | 0
 tests/{ => basic}/eventqueue4.cc              | 0
 tests/{ => basic}/eventqueue5.cc              | 0
 tests/{ => basic}/eventqueue6.cc              | 0
 tests/{ => basic}/eventqueue7.cc              | 0
 tests/{ => basic}/eventqueue8.cc              | 0
 tests/{ => basic}/eventqueue9.cc              | 0
 tests/{ => basic}/margin.cc                   | 0
 tests/{ => preloadlib}/testpreload.cc         | 0
 tests/{ => ui-interactive}/app1.cc            | 0
 tests/{ => ui-interactive}/checkbox1.cc       | 0
 tests/{ => ui-interactive}/dialog1.cc         | 0
 tests/{ => ui-interactive}/filedialog1.cc     | 0
 tests/{ => ui-interactive}/focus1.cc          | 0
 tests/{ => ui-interactive}/inputbox1.cc       | 0
 tests/{ => ui-interactive}/listbox1.cc        | 0
 tests/{ => ui-interactive}/listbox2.cc        | 0
 tests/{ => ui-interactive}/lockscreen1.cc     | 0
 tests/{ => ui-interactive}/messagebox1.cc     | 0
 tests/{ => ui-interactive}/packremove.cc      | 0
 tests/{ => ui-interactive}/radiobox1.cc       | 0
 tests/{ => ui-interactive}/resize3.cc         | 0
 tests/{ => ui-interactive}/resize4.cc         | 0
 tests/{ => ui-interactive}/resize5.cc         | 0
 tests/{ => ui-non-interactive}/basic1.cc      | 0
 tests/{ => ui-non-interactive}/basic2.cc      | 0
 tests/{ => ui-non-interactive}/cursinit.cc    | 0
 tests/{ => ui-non-interactive}/cursorbuf1.cc  | 0
 tests/{ => ui-non-interactive}/curswin1.cc    | 0
 tests/{ => ui-non-interactive}/curswin2.cc    | 0
 tests/{ => ui-non-interactive}/dynlabel1.cc   | 0
 tests/{ => ui-non-interactive}/dynlabel2.cc   | 0
 tests/{ => ui-non-interactive}/pack1.cc       | 0
 tests/{ => ui-non-interactive}/pack2.cc       | 0
 tests/{ => ui-non-interactive}/pack3.cc       | 0
 tests/{ => ui-non-interactive}/pack4.cc       | 0
 tests/{ => ui-non-interactive}/pack5.cc       | 0
 tests/{ => ui-non-interactive}/pack6.cc       | 0
 tests/{ => ui-non-interactive}/pack7.cc       | 0
 tests/{ => ui-non-interactive}/pack8.cc       | 0
 tests/{ => ui-non-interactive}/pack9.cc       | 0
 tests/{ => ui-non-interactive}/packresize1.cc | 0
 tests/{ => ui-non-interactive}/resize1.cc     | 0
 tests/{ => ui-non-interactive}/resize2.cc     | 0
 tests/{ => ui-non-interactive}/widget1.cc     | 0
 tests/{ => ui-non-interactive}/widget2.cc     | 0
 tests/{ => ui-non-interactive}/widget3.cc     | 0
 53 files changed, 0 insertions(+), 0 deletions(-)

commit d750d0c2deeeb42ce76faede61e9413a6c4c0631
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 11 19:45:47 2013 +0000

    Adjusted some multi byte strings which confused X/Open Curses on Solaris 11.

 tests/checkbox1.cc |  2 +-
 tests/dynlabel2.cc |  6 +++---
 tests/radiobox1.cc |  2 +-
 tests/widget3.cc   | 16 ++++++++--------
 4 files changed, 13 insertions(+), 13 deletions(-)

commit c9fd0b43cd4c597434a33da3ca91a5feaebbac26
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 11 19:45:33 2013 +0000

    Adjusted some multi byte strings which confused X/Open Curses on Solaris 11. Bail out with return code 77 if wide chars are not supported.

 tests/curswin2.cc | 44 +++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

commit 4c54764d158f8eddf6837e822ca99e13ca0e165e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 11 19:32:44 2013 +0000

    Updated --disable-wchar code.

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit afca8d531bcbac3ee1fe15d17dce239cbdfc5dfc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 11 18:05:31 2013 +0000

    Added --disable-wchar to disable wchar support.

 configure.ac              | 8 ++++++++
 include/libyacurscfg.h.in | 3 +++
 include/mycurses.h        | 3 ++-
 3 files changed, 13 insertions(+), 1 deletion(-)

commit 3f305ef2fd4612d33f2c156fe66df6ff5a894ef1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 10 19:52:52 2013 +0000

    Adjusted this and that.

 src/curswin.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 18d31cf4e7aa43692a3c6033ec0a712052a53b0c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 10 17:27:39 2013 +0000

    Added multi-byte strings.

 tests/checkbox1.cc | 10 +---------
 tests/radiobox1.cc | 21 +++++++++++++--------
 tests/resize4.cc   |  5 +++++
 tests/resize5.cc   |  5 +++++
 tests/widget2.cc   | 40 ++++++++++++++++++++++++++++++++++------
 tests/widget3.cc   | 28 ++++++++++++++++++++++++----
 6 files changed, 82 insertions(+), 27 deletions(-)

commit b8f626f41c9bdc4e893f27d6d71f0736784d3809
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 10 17:23:44 2013 +0000

    use mbstowcs() in order to calculate the space needed to convert mb strings.

 src/curswin.cc | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

commit 80a396f559caf07bdf9ff20f9dc8d566f8fb12a2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 10 17:17:06 2013 +0000

    Added new dynlabel test using mb strings.

 tests/Makefile.am  |  10 ++--
 tests/dynlabel2.cc | 161 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 166 insertions(+), 5 deletions(-)

commit 9a69fec674a2d75a2ef8ac883b8d6fd2f0e8de81
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 9 17:31:20 2013 +0000

    Explicitely set en_US.UTF-8 when calling setlocale(). Added more multibyte strings.

 tests/app1.cc        |  23 ++++-
 tests/basic1.cc      |   7 +-
 tests/basic2.cc      |  16 ++-
 tests/checkbox1.cc   |  15 ++-
 tests/cursinit.cc    |   2 +-
 tests/cursorbuf1.cc  |   2 +-
 tests/curswin1.cc    |  38 +++----
 tests/curswin2.cc    | 284 +++++++++++++++++++++++++++++++++++++++++++++------
 tests/dialog1.cc     |   2 +-
 tests/dynlabel1.cc   |   2 +-
 tests/eventqueue9.cc |   2 +-
 tests/filedialog1.cc |   2 +-
 tests/focus1.cc      |   2 +-
 tests/inputbox1.cc   |   2 +-
 tests/listbox1.cc    |   2 +-
 tests/listbox2.cc    |   2 +-
 tests/pack1.cc       |  13 ++-
 tests/pack2.cc       |  18 +++-
 tests/pack3.cc       |  46 ++++++++-
 tests/pack4.cc       |  58 +++++++++--
 tests/pack5.cc       |  58 +++++++++--
 tests/pack6.cc       |  58 +++++++++--
 tests/pack7.cc       |  58 +++++++++--
 tests/pack8.cc       |  58 +++++++++--
 tests/pack9.cc       |  56 +++++++---
 tests/packremove.cc  |   2 +-
 tests/packresize1.cc |   2 +-
 tests/radiobox1.cc   |   2 +-
 tests/resize1.cc     |   2 +-
 tests/resize2.cc     |   2 +-
 tests/resize3.cc     |   2 +-
 tests/resize4.cc     |   2 +-
 tests/resize5.cc     |   2 +-
 tests/widget1.cc     |   6 +-
 tests/widget2.cc     |   2 +-
 tests/widget3.cc     |   2 +-
 36 files changed, 712 insertions(+), 140 deletions(-)

commit 5e80d10437fbc422d9eb417fa6f305f03840c9f0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 9 11:47:45 2013 +0000

    Adjusted #defines used for idempotent header files.

 include/area.h             | 2 +-
 include/button.h           | 2 +-
 include/checkbox.h         | 2 +-
 include/colorparser.h      | 2 +-
 include/colors.h           | 2 +-
 include/coordinates.h      | 2 +-
 include/curs.h             | 2 +-
 include/cursorbuf.h        | 2 +-
 include/curstr.h           | 2 +-
 include/curswin.h          | 2 +-
 include/dialog.h           | 2 +-
 include/dynlabel.h         | 2 +-
 include/event.h            | 2 +-
 include/eventconnector.h   | 2 +-
 include/eventqueue.h       | 2 +-
 include/evtqueuestats.h    | 2 +-
 include/fileloaddialog.h   | 2 +-
 include/filesavedialog.h   | 2 +-
 include/focusgroup.h       | 2 +-
 include/focusmanager.h     | 2 +-
 include/gettext.h          | 2 +-
 include/hotkey.h           | 2 +-
 include/hpack.h            | 2 +-
 include/input.h            | 2 +-
 include/inputbox.h         | 2 +-
 include/label.h            | 2 +-
 include/lineobject.h       | 2 +-
 include/listbox.h          | 2 +-
 include/lockscreen.h       | 2 +-
 include/margin.h           | 2 +-
 include/messagebox.h       | 2 +-
 include/messagebox2.h      | 2 +-
 include/mycurses.h         | 2 +-
 include/pack.h             | 2 +-
 include/radiobox.h         | 2 +-
 include/realizeable.h      | 2 +-
 include/sigaction.h        | 2 +-
 include/size.h             | 2 +-
 include/statusbar.h        | 2 +-
 include/titlebar.h         | 2 +-
 include/unlockdiadefault.h | 2 +-
 include/unlockdialog.h     | 2 +-
 include/vpack.h            | 2 +-
 include/widget.h           | 2 +-
 include/widgetbase.h       | 2 +-
 include/window.h           | 2 +-
 include/windowbase.h       | 2 +-
 include/yacurs.h           | 2 +-
 include/yacursconst.h      | 2 +-
 include/yacursex.h         | 2 +-
 include/yacurstypes.h      | 2 +-
 51 files changed, 51 insertions(+), 51 deletions(-)

commit 9640966222fb219a63cd73d195315f1611086a2f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 9 11:29:22 2013 +0000

    Added support for MB strings.

 include/label.h      |  8 ++++++++
 include/lineobject.h |  2 ++
 src/checkbox.cc      |  9 +++++++++
 src/label.cc         | 18 ++++++++++++++++--
 src/lineobject.cc    | 26 ++++++++++++++++++++------
 5 files changed, 55 insertions(+), 8 deletions(-)

commit 15311ae9a7549f43c209e0af89f6fb4cb65bc61a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 9 11:25:47 2013 +0000

    Updated svn:ignore.

commit b6ca62060c024ecd4de28c944bce6d1fddb48960
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jun 8 13:33:08 2013 +0000

    Use -D_XOPEN_SOURCE_EXTENDED=1 when compiling in order to make wide char functions available on some platforms using ncurses.

 src/Makefile.am   | 6 +++---
 tests/Makefile.am | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit a86e4de2277741780b0c37ebb5418b1f8ef0f58d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jun 6 17:37:09 2013 +0000

    Fixed comparison between signed and unsigned integer expressions.

 src/curswin.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6bbca2c70f87356524a3ca7b56ad527bc89fc8c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jun 6 17:26:11 2013 +0000

    Reimplementation of CursorBuffer::wstring() by Markus: display at least one character of the previous page when paging.

 src/cursorbuf.cc | 59 +++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 39 insertions(+), 20 deletions(-)

commit 8f5ca7643e8cd356b0ac531c5af646a81b811ef4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jun 6 17:20:14 2013 +0000

    Replaced #define by enum{}.

 tests/lockscreen1.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e6e41596b0ace5687ca8631e6fbdc8625d61777d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jun 6 17:19:34 2013 +0000

    Added src/cursorbuf.cc

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 02d8b90c53eac195734090a57209d0da5404e228
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jun 6 17:18:09 2013 +0000

    Updated.

 AUTHORS | 4 ++++
 1 file changed, 4 insertions(+)

commit 51434c1763f0ae787b99d06ce77c8eb814261a39
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 3 18:17:25 2013 +0000

    Check for cwctype added.

 configure.ac              | 2 +-
 include/libyacurscfg.h.in | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit a9a5b6fc9be94b34c8427110a64cac098fa5fb47
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 3 18:16:46 2013 +0000

    Use is(w)print() in key_handler() to test input before putting on screen.

 include/input.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 4ed3ebb481e1bef63df09c592ffeee166f8f9e2a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 3 18:10:50 2013 +0000

    HAVE_CWTYPE also required for USE_WCHAR.

 include/mycurses.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fe98204b0bf520f89eb9b2295c8f9899f6daf888
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 2 20:09:10 2013 +0000

    added some more tweaks and checks on solaris 11/10

 checkall.sh | 140 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 72 insertions(+), 68 deletions(-)

commit b17386280b529e2cf8acbdd971f0179a3f1b5c85
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 2 19:34:16 2013 +0000

    added __test_wget_wch().

 tests/checkbox1.cc  | 24 +++++++++++++++++++++++-
 tests/packremove.cc | 29 +++++++++++++++++++++++++----
 tests/radiobox1.cc  | 24 +++++++++++++++++++++++-
 3 files changed, 71 insertions(+), 6 deletions(-)

commit 15053f09f5b956b075be66ea6ee24c6379e2ab9b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 2 19:33:14 2013 +0000

    Added a few more checks, so that USE_WCHAR can be defined conditionally.

 configure.ac | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 25f7c4256db81ccfbc10ac741e0bc9ad5c84ebec
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 2 18:19:08 2013 +0000

    Replaced ENABLE_NLS by USE_WCHAR.

 tests/cursorbuf1.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9918fb84b4d5e5f56799e78f4b885f6ed95db6f3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 2 09:41:41 2013 +0000

    Most interactive tests use now multibyte strings when USE_WCHAR is defined.

 tests/app1.cc            |  34 +++++-
 tests/basic1.cc          |   6 +-
 tests/basic2.cc          |   6 +-
 tests/checkbox1.cc       |   6 +-
 tests/cursinit.cc        |   6 +-
 tests/cursorbuf1.cc      |   6 +-
 tests/curswin1.cc        |   6 +-
 tests/curswin2.cc        |   6 +-
 tests/dialog1.cc         |  34 +++++-
 tests/dynlabel1.cc       |   6 +-
 tests/eventconnector1.cc |   4 -
 tests/eventqueue1.cc     |   4 -
 tests/eventqueue2.cc     |   4 -
 tests/eventqueue3.cc     |   4 -
 tests/eventqueue4.cc     |   4 -
 tests/eventqueue5.cc     |   4 -
 tests/eventqueue6.cc     |   4 -
 tests/eventqueue7.cc     |   4 -
 tests/eventqueue8.cc     |   4 -
 tests/eventqueue9.cc     |  45 +++++++-
 tests/filedialog1.cc     |  80 +++++++++++--
 tests/focus1.cc          |  42 +++++--
 tests/inputbox1.cc       |  83 ++++++++++----
 tests/listbox1.cc        |  36 ++++--
 tests/listbox2.cc        | 285 +++++++++++++++++++++++++----------------------
 tests/lockscreen1.cc     |  48 ++++++--
 tests/margin.cc          |   4 -
 tests/messagebox1.cc     |  37 +++++-
 tests/pack1.cc           |   6 +-
 tests/pack2.cc           |   6 +-
 tests/pack3.cc           |   6 +-
 tests/pack4.cc           |   6 +-
 tests/pack5.cc           |   6 +-
 tests/pack6.cc           |   6 +-
 tests/pack7.cc           |   6 +-
 tests/pack8.cc           |   6 +-
 tests/pack9.cc           |   6 +-
 tests/packremove.cc      |  15 +--
 tests/packresize1.cc     |   6 +-
 tests/radiobox1.cc       |   6 +-
 tests/resize1.cc         |   6 +-
 tests/resize2.cc         |   6 +-
 tests/resize3.cc         |  14 ++-
 tests/resize4.cc         |  14 ++-
 tests/resize5.cc         |  14 ++-
 tests/testpreload.cc     |  12 +-
 tests/widget1.cc         |   6 +-
 tests/widget2.cc         |   6 +-
 tests/widget3.cc         |   6 +-
 49 files changed, 587 insertions(+), 390 deletions(-)

commit 8fe6ae6ae3094c5ce69f1f13ddf0df4b056ba8e8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 2 09:41:03 2013 +0000

    Replaced ENABLE_NLS by USE_WCHAR (defined in mycurs.h).

 include/input.h           | 2 +-
 include/libyacurscfg.h.in | 6 ++++++
 include/listbox.h         | 2 +-
 include/mycurses.h        | 9 +++++++++
 src/button.cc             | 2 +-
 src/checkbox.cc           | 4 ++++
 src/curs.cc               | 2 +-
 src/dialog.cc             | 6 ------
 src/eventqueue.cc         | 6 +++---
 src/window.cc             | 2 +-
 10 files changed, 27 insertions(+), 14 deletions(-)

commit fc45708540c2672b350afb1fff03386254bd24f5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 2 09:40:39 2013 +0000

    Replaced ENABLE_NLS by USE_WCHAR (defined in mycurs.h). Fixed bug in addnstr.

 src/curswin.cc | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 113a462f6e370f02b405beb31773a431965a752c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 30 19:14:30 2013 +0000

    prepared for NLS.

 tests/app1.cc            |  8 ++++++++
 tests/basic1.cc          | 11 ++++++++---
 tests/basic2.cc          | 10 +++++++---
 tests/checkbox1.cc       |  8 ++++++++
 tests/cursinit.cc        | 11 ++++++++---
 tests/cursorbuf1.cc      | 16 ++++++++--------
 tests/curswin1.cc        |  4 ++--
 tests/curswin2.cc        |  8 ++++----
 tests/dialog1.cc         |  8 ++++++++
 tests/dynlabel1.cc       |  8 ++++++++
 tests/eventconnector1.cc |  6 ++++--
 tests/eventqueue1.cc     |  6 ++++--
 tests/eventqueue2.cc     |  6 ++++--
 tests/eventqueue3.cc     |  6 ++++--
 tests/eventqueue4.cc     |  6 ++++--
 tests/eventqueue5.cc     |  6 ++++--
 tests/eventqueue6.cc     |  6 ++++--
 tests/eventqueue7.cc     |  6 ++++--
 tests/eventqueue8.cc     |  6 ++++--
 tests/eventqueue9.cc     |  4 ++++
 tests/focus1.cc          |  6 +++++-
 tests/inputbox1.cc       |  8 ++++++++
 tests/listbox1.cc        |  8 ++++++++
 tests/listbox2.cc        | 27 ++++++++++++++++++++++++++-
 tests/lockscreen1.cc     | 11 ++++++++++-
 tests/margin.cc          |  4 ++++
 tests/messagebox1.cc     | 11 ++++++++++-
 tests/pack1.cc           |  8 ++++++++
 tests/pack2.cc           |  8 ++++++++
 tests/pack3.cc           |  8 ++++++++
 tests/pack4.cc           |  8 ++++++++
 tests/pack5.cc           |  8 ++++++++
 tests/pack6.cc           |  8 ++++++++
 tests/pack7.cc           |  8 ++++++++
 tests/pack8.cc           |  8 ++++++++
 tests/pack9.cc           |  8 ++++++++
 tests/packremove.cc      | 22 ++++++++++++++++++++--
 tests/packresize1.cc     | 10 ++++++++--
 tests/radiobox1.cc       |  8 ++++++++
 tests/resize1.cc         | 10 ++++++++--
 tests/resize2.cc         | 10 ++++++++--
 tests/resize3.cc         | 10 ++++++++--
 tests/resize4.cc         |  8 ++++++++
 tests/resize5.cc         |  8 ++++++++
 tests/widget1.cc         |  8 ++++++++
 tests/widget2.cc         |  8 ++++++++
 tests/widget3.cc         |  8 ++++++++
 47 files changed, 352 insertions(+), 55 deletions(-)

commit 6aa61d34274d4bbf60747455ec882ca7332d1d72
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 30 17:00:41 2013 +0000

    Made Ctrl-U make work as expected, i.e. remove everything before the cursor.

 include/input.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 16885d42f8e29c0e8942c68a89ec505b4601e0ca
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 30 16:58:13 2013 +0000

    Added clear to start of line.

 include/cursorbuf.h |  6 ++++++
 src/cursorbuf.cc    | 11 +++++++++++
 2 files changed, 17 insertions(+)

commit 1a380cf4465a8730d0e3a819aa2e25c311c7e89f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 30 16:33:17 2013 +0000

    SORT_ORDER now in yacurstypes.

 include/yacurstypes.h | 6 ++++++
 src/fileloaddialog.cc | 4 ++--
 src/filesavedialog.cc | 4 ++--
 3 files changed, 10 insertions(+), 4 deletions(-)

commit a6ae6472238284e75eb2b05373d00975db56e22b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 30 16:32:30 2013 +0000

    SORT_ORDER now in yacurstypes. Added high_light() taking item position to hight light.

 include/listbox.h | 46 +++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 39 insertions(+), 7 deletions(-)

commit cb00ee83d50468e0316051fb3a6312a1af2687d5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 30 16:30:12 2013 +0000

    Implemented input obfuscation.

 include/input.h | 110 +++++++++++++++++---------------------------------------
 1 file changed, 32 insertions(+), 78 deletions(-)

commit 38cf97cc12ffa76ff7f2c8d53dfc5a7f9f32c4bd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 30 16:28:33 2013 +0000

    Added info(). Before filling curs_pos in wstring(), check if isn't a NULL pointer.

 include/cursorbuf.h |  9 +++++++++
 src/cursorbuf.cc    | 36 +++++++++++++++++++++++++++++-------
 2 files changed, 38 insertions(+), 7 deletions(-)

commit a364e0f87ed0742e086e58de779153645b92404b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 28 20:06:00 2013 +0000

    Uncrustified.

 include/cursorbuf.h  | 132 +++++++++++++++++++++++++--------------------------
 include/input.h      |  91 ++++++++++++++++++-----------------
 include/listbox.h    |   2 +-
 include/mycurses.h   |  12 ++---
 src/cursorbuf.cc     |  24 +++++-----
 src/curswin.cc       |  37 ++++++++-------
 src/eventqueue.cc    |  10 ++--
 tests/cursorbuf1.cc  |  10 ++--
 tests/curswin1.cc    |  30 ++++++++----
 tests/curswin2.cc    |  36 +++++++++-----
 tests/focus1.cc      |   8 ++--
 tests/testpreload.cc |  24 +++++-----
 12 files changed, 223 insertions(+), 193 deletions(-)

commit c96032a297f923c30ceb6cb4d578f6493c4d9149
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 28 19:59:06 2013 +0000

    Renamed CursorBuf to CursorBuffer. Finished implementing CursorBuffer. CursorBuffer has cache for multibyte string now. Input now using CursorBuffer.

 include/cursorbuf.h | 166 ++++++++++++++++++-------
 include/input.h     | 246 +++++++------------------------------
 src/cursorbuf.cc    | 213 +++++++++++++++++++-------------
 tests/cursorbuf1.cc | 347 +++++++++++++++++++++++++++++++++++++++-------------
 4 files changed, 557 insertions(+), 415 deletions(-)

commit 336402d63d86f0dd23ef9525c77a47840201a490
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 28 19:55:23 2013 +0000

    Removed pid display.

 tests/focus1.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f7f6f9d4b62fe7f8904af42e981eb7ed919f4bec
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 27 20:44:58 2013 +0000

    Improved checks for CursorBuf.

 tests/cursorbuf1.cc | 138 ++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 123 insertions(+), 15 deletions(-)

commit 87fd7697cda8b9742ce7f89b3d2e554d90149ecb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 27 20:44:19 2013 +0000

    Implemented missing functions. Fixed function signatures of ctor. Fixed get_wstring(). Renamed __curs_pos to __vcurs_pos. Fixed minor issues.

 include/cursorbuf.h |  16 +++++----
 src/cursorbuf.cc    | 100 ++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 80 insertions(+), 36 deletions(-)

commit d82c6a9bfa92a7fbe47654aa17213a59a841e78a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 26 19:39:34 2013 +0000

    Started implementing CursorBuf. Not properly working now. Expected to be employed in input.h

 include/Makefile.am  |  14 ++--
 include/cursorbuf.h  |  95 ++++++++++++++++++++++++++
 include/input.h      |  14 ++--
 include/yacurs.h     |   1 +
 src/Makefile.am      |   2 +-
 src/cursorbuf.cc     | 188 +++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/Makefile.am    |   5 +-
 tests/cursorbuf1.cc  |  63 +++++++++++++++++
 tests/testpreload.cc |   4 +-
 9 files changed, 367 insertions(+), 19 deletions(-)

commit 55405871524cd3b462cb30dee2a6d58fb597cdc1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 26 15:24:49 2013 +0000

    Include <cwchar> instead of <wchar.h>.

 tests/testpreload.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a4d8368277bc59f0c345b3ba4647ef2d7a2b0430
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 26 13:30:02 2013 +0000

    Working on wide char support.

 include/listbox.h    |  4 ++++
 src/button.cc        |  4 ++++
 src/curswin.cc       |  2 +-
 src/eventqueue.cc    | 13 +++++++++++++
 src/window.cc        |  4 ++++
 tests/Makefile.am    |  2 +-
 tests/focus1.cc      | 32 ++++++++++++++++++++++++++++++--
 tests/testpreload.cc | 29 ++++++++++++++++++++++++-----
 8 files changed, 81 insertions(+), 9 deletions(-)

commit 5d74ef3057528cd63253cdb369972722a5df09c9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 26 13:29:23 2013 +0000

    Working on wide char support. Put cursor motion and character adding removal into member functions.

 include/input.h | 264 +++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 173 insertions(+), 91 deletions(-)

commit 03484e0a059902fe07208adaa5ccc660f07d3f91
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 21 18:32:23 2013 +0000

    Added more tests.

 tests/curswin2.cc | 72 ++++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 66 insertions(+), 6 deletions(-)

commit f5cfc63b07ce6bee9e82b644fc23f3caea64442a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 21 18:30:59 2013 +0000

    Added setlocale().

 tests/curswin1.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 6fffef47bfe4bc058c00066ce42c6df2062a9a19
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 21 18:29:57 2013 +0000

    Enable wide char output.

 src/curswin.cc | 84 ++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 46 insertions(+), 38 deletions(-)

commit f34f8e45492bceef4a0d7f750177b8846d54f778
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 21 18:25:25 2013 +0000

    Added ENABLE_NLS.

 include/libyacurscfg.h.in | 4 ++++
 1 file changed, 4 insertions(+)

commit 26f6167f2dd8d526c05eb5fcc97422487a47351d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 21 18:23:27 2013 +0000

    uninclude <vector>.

 include/yacurstypes.h | 2 --
 1 file changed, 2 deletions(-)

commit d390528147d462d85a01b5f4feb94d2e57049d8b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 20 18:41:01 2013 +0000

    Include <cstlib>.

 src/curswin.cc | 1 +
 1 file changed, 1 insertion(+)

commit d1267e212df5c326c9c498e15c5d2edd20a354b3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 20 18:22:31 2013 +0000

    Started implementing use of wide char curses function.

 src/curswin.cc    | 30 ++++++++++++++++++++++++++++--
 tests/Makefile.am | 10 +++++-----
 tests/curswin2.cc | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 80 insertions(+), 7 deletions(-)

commit f8ffaa531676cb6ba67f339c20ce0ec6926edf42
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 20 09:04:39 2013 +0000

    Some fixes to cope with AX_MY_WITH_CURSES

 configure.ac         | 77 ++++++++++++++++++++++++++++++++++++++++------------
 include/mycurses.h   |  4 +--
 m4/ax_with_curses.m4 | 36 ++++++++++++++++++++++++
 3 files changed, 97 insertions(+), 20 deletions(-)

commit ca6369104a7d940006c0f614bda56dca47843561
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 20 08:43:21 2013 +0000

    Streamlined.

 src/curswin.cc | 17 ++---------------
 1 file changed, 2 insertions(+), 15 deletions(-)

commit 11abea77f35a30a18a86459258b427bb7e00cf1d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 18 15:13:06 2013 +0000

    Fixed some errors introduced in r5134

 m4/ax_with_curses.m4 | 78 +++++++++-------------------------------------------
 1 file changed, 13 insertions(+), 65 deletions(-)

commit 0420f35a661f0f860103fdcdf6583affabcf8360
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 18 14:43:42 2013 +0000

    Made AX_WITH_CURSES so that it can cope with '-Wall -Werror'

 configure.ac         |   2 +-
 m4/ax_with_curses.m4 | 270 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 269 insertions(+), 3 deletions(-)

commit 150a7500a8897a13dfa72d6b0bc4ed1780e1ad98
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 18 13:40:08 2013 +0000

    configure uses AX_WITH_CURSES. Adapted sources for changes introduced with AX_WITH_CURSES.

 configure.ac              | 57 ++++++++++++++---------------------------------
 include/libyacurscfg.h.in | 33 ++++++++++++++++++++++++---
 include/mycurses.h        | 19 +++++++++++-----
 src/Makefile.am           |  2 +-
 4 files changed, 61 insertions(+), 50 deletions(-)

commit de903c422cdfa66004250dde55afaf9a47916452
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 18 13:36:48 2013 +0000

    Converted to UTF-8.

 po/de_CH.po | 42 +++++++++++++++++++++---------------------
 po/de_DE.po | 44 ++++++++++++++++++++++----------------------
 2 files changed, 43 insertions(+), 43 deletions(-)

commit 2252894a017c7c98b663213b8d50cf2474d22025
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 18 09:25:34 2013 +0000

    Added more configure macros taken from autoconf archive.

 m4/ax_check_link_flag.m4 | 71 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)

commit a7a3540002e10b65e1d836a79a2e546e59a64fab
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 18 08:46:10 2013 +0000

    Added configure macros taken from autoconf archive.

 m4/ax_cxx_header_stdcxx_98.m4 |  87 +++++++
 m4/ax_with_curses.m4          | 518 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 605 insertions(+)

commit 33ae005c1ae89b9bab61ca656e4d5f9c1a25da28
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 14 19:17:24 2013 +0000

    While resuming from SIGSTOP, check whether screen has been resized will be performed.

 include/curs.h | 12 ++++++++++++
 src/curs.cc    | 32 +++++++++++++++++++++++++++-----
 2 files changed, 39 insertions(+), 5 deletions(-)

commit 25633151db62a36b7a8e3e5383165f3447908bcb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 13 18:45:16 2013 +0000

    Fixed copy/paste error introduced in r5126.

 src/eventqueue.cc | 11 -----------
 1 file changed, 11 deletions(-)

commit 24eb756472149800ae19c90a17bccfa804c3e4da
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 13 18:39:37 2013 +0000

    block_sigmask will now be set in setup_signal() instead of run().

 src/eventqueue.cc | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit 1507aa5d73eb6024c4ac9c49c4cd7b7bbc96466a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 13 17:45:30 2013 +0000

    Updated documentation.

 doc/events.dox | 61 ++++++++++++++++++++++++++++++++++++++++++++++++++--------
 doc/main.dox   | 11 +++++++++++
 src/curs.cc    |  4 ++++
 3 files changed, 68 insertions(+), 8 deletions(-)

commit c02613dff7361da1eb1068a1e475aaf50f1904a6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 12 15:24:43 2013 +0000

    Added wheezy.

 runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25bcb789c573dbce5017410c05d2867bd2c3d35d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 12 15:08:27 2013 +0000

    added wheezy.

 checkall.sh | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

commit 56929fa2909eeb6c218fc534f0a71f14b788e9b4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 12 14:54:13 2013 +0000

    Fixed compiler warning on Debian 6.0 when compiling without debugging.

 src/eventqueue.cc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit b7e86a03c32e4b3be90b24ad2b8b684f20ddd6a8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 12 14:00:19 2013 +0000

    Tweaked configure.ac: added --enable-debug and --enable-eventqueue-debug, disabled static libraries by default.

 configure.ac        | 42 ++++++++++++++++++++++++++++++++++++++----
 include/Makefile.am |  3 ++-
 src/Makefile.am     |  7 ++++++-
 tests/Makefile.am   |  3 ++-
 4 files changed, 48 insertions(+), 7 deletions(-)

commit 184d26b9117541b744f626343064ca06f9aa5567
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 12 11:57:33 2013 +0000

    Enable build parallelism on starchild.

 checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87fb358246525eb1b05efc3ad2954c2102ff95b2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 12 11:55:09 2013 +0000

    Will now launch an xterm for each host.

 runcheckall.sh | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit efae0cc77eca782e0a2fed8c771d7599b6944393
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 11 14:32:32 2013 +0000

    Using old serial tests in order to have our tests working.

 tests/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 5f82cacdeb2c0e6e5e8483b8e8c61b806c3d65ad
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 11 14:03:49 2013 +0000

    Removed #ifdefS for C++98 headers.

 tests/basic1.cc          | 5 -----
 tests/basic2.cc          | 5 -----
 tests/eventconnector1.cc | 5 -----
 tests/eventqueue1.cc     | 5 -----
 tests/eventqueue2.cc     | 5 -----
 tests/eventqueue3.cc     | 5 -----
 tests/eventqueue4.cc     | 5 -----
 tests/eventqueue5.cc     | 5 -----
 tests/eventqueue6.cc     | 5 -----
 tests/eventqueue7.cc     | 5 -----
 tests/eventqueue8.cc     | 5 -----
 tests/margin.cc          | 2 --
 tests/packresize1.cc     | 2 --
 tests/resize1.cc         | 2 --
 tests/resize2.cc         | 2 --
 tests/resize3.cc         | 2 --
 16 files changed, 65 deletions(-)

commit 1de18eabc7200697b17f4bc90609d5f73c9d8956
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 11 13:47:13 2013 +0000

    Removed #ifdefS for C++98 headers.

 tests/cursinit.cc | 2 --
 1 file changed, 2 deletions(-)

commit 8e434a0fdd7410d6ef3c48e55d409f8bc38c6fee
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 11 13:39:14 2013 +0000

    Removed all parallel build flags, since builds will be started in
    parallel on all hosts.

 checkall.sh | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 3447418377508da85716fb1ddde80833cc96114d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 11 13:07:31 2013 +0000

    [HV]RealizeWidgets::operator() set focusgroup id of widgets failing to realize to FocusManager::nfgid. [HV]CalcNSetSize::finish() throws an exception if remaining cols/rows are < 1; before it was assert()'d.

 src/hpack.cc | 4 +++-
 src/vpack.cc | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 50c04b62c164618f3224f67a0ff268f74934698c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 11 12:57:31 2013 +0000

    fgid_t is now typedef'd in FocusManager. Introduced FocusManager::nfgid holding the value representing no focusgroup id.

 include/colorparser.h  |  2 +-
 include/colors.h       |  2 +-
 include/curs.h         | 12 ++++++------
 include/curswin.h      | 32 ++++++++++++++++----------------
 include/focusgroup.h   |  4 ++--
 include/focusmanager.h | 21 ++++++++++++++++++++-
 include/input.h        |  4 ++--
 include/listbox.h      |  4 ++--
 include/pack.h         |  2 +-
 include/widgetbase.h   | 10 ++++++----
 include/window.h       |  2 +-
 include/yacurstypes.h  | 13 -------------
 src/button.cc          |  4 ++--
 src/checkbox.cc        |  4 ++--
 src/curs.cc            |  8 ++++----
 src/focusgroup.cc      |  1 +
 src/focusmanager.cc    | 23 ++++++++++++-----------
 src/pack.cc            | 10 ++++++----
 src/widget.cc          |  4 ++--
 src/widgetbase.cc      | 12 ++++++------
 src/window.cc          |  6 +++---
 21 files changed, 96 insertions(+), 84 deletions(-)

commit e400b245dbf9ad8880b55722503cdcbb6b3c68d1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri May 10 11:08:00 2013 +0000

    Code beautified.

 include/yacursex.h | 14 +++++++-------
 src/yacursex.cc    |  2 +-
 2 files changed, 8 insertions(+), 8 deletions(-)

commit fb1abef233be49d49e94dd24b200243a79800755
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri May 10 11:06:20 2013 +0000

    Updated.

 po/de_DE.po | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 8ad0f482951030e24e119718d01259f08bda1b51
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri May 10 11:05:36 2013 +0000

    Added new exception.

 include/yacursex.h | 14 +++++++++++---
 po/de_CH.po        | 34 +++++++++++++++++++---------------
 po/de_DE.po        | 33 +++++++++++++++++++--------------
 po/en@boldquot.po  | 32 ++++++++++++++++++--------------
 po/en@quot.po      | 32 ++++++++++++++++++--------------
 po/en_GB.po        | 34 +++++++++++++++++++---------------
 po/en_US.po        | 34 +++++++++++++++++++---------------
 po/libyacurs.pot   | 32 ++++++++++++++++++--------------
 src/yacursex.cc    |  4 ++++
 9 files changed, 145 insertions(+), 104 deletions(-)

commit 7ecd7b0d7ccfc36e6543dc5d4312494e4d5c7d5b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri May 10 10:57:33 2013 +0000

    Updated default colors.

 include/colorparser.h | 2 +-
 src/colorparser.cc    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 74fddf914379cadd793a72d825fb041efd4444e5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 20:18:45 2013 +0000

    Using AX_CXX_HEADER_STDCXX_98 in order to check C++ build env. Some minor adjustments.

 configure.ac | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit ba8e5aa8ad0dc807d6482d83bfb27fadecc6c4e7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 18:49:55 2013 +0000

    Removed #warningS.

 src/widget.cc     | 5 -----
 src/windowbase.cc | 5 -----
 2 files changed, 10 deletions(-)

commit 699d8faa308b0258a34153b9677aaac3f8d14336
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 18:20:14 2013 +0000

    Improved reliability of File*Dialog::read_dir().

 src/fileloaddialog.cc | 11 ++++++++---
 src/filesavedialog.cc | 13 +++++++++----
 2 files changed, 17 insertions(+), 7 deletions(-)

commit e2e259d8ae713874c5f2f5d068466e1a1cdec521
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 15:42:08 2013 +0000

    Improved default colors.

 include/colorparser.h | 2 +-
 src/colorparser.cc    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 312d1d110d42e895230ddad48accc3d9182786f6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 13:21:52 2013 +0000

    Updated due to changes in POTFILES.in (r5093).

 po/de_CH.po       | 16 +++++++---------
 po/de_DE.po       | 16 +++++++---------
 po/en@boldquot.po | 10 +---------
 po/en@quot.po     | 10 +---------
 po/en_GB.po       | 16 +++++++---------
 po/en_US.po       | 16 +++++++---------
 po/libyacurs.pot  | 10 +---------
 7 files changed, 31 insertions(+), 63 deletions(-)

commit fcf37c4cd59f50b926a07dc1caaf3ccfbd80ec3b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 13:18:48 2013 +0000

    Updated thru gettext update.

 po/Makefile.in.in | 19 ++++++++++++++-----
 po/Rules-quot     |  2 +-
 2 files changed, 15 insertions(+), 6 deletions(-)

commit 90831b79cba6d33ac0cc090ae8d184161e68f273
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 13:17:19 2013 +0000

    Updated svn:ignore.

commit 2e720d6daf8b2e57aada6688274d67ac865475c4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 13:04:41 2013 +0000

    Gettext updated.

 ChangeLog            |  22 +++++++++++
 Makefile.boot        |  26 +++++++-----
 m4/gettext.m4        |  58 +++++++++++++++++----------
 m4/iconv.m4          | 110 ++++++++++++++++++++++++++++++++++++++-------------
 m4/lib-ld.m4         |  77 ++++++++++++++++++++----------------
 m4/lib-link.m4       |  43 ++++++++++----------
 m4/lib-prefix.m4     |   2 +-
 m4/nls.m4            |   2 +-
 m4/po.m4             |  35 ++++++++--------
 m4/progtest.m4       |  21 +++++-----
 po/ChangeLog         |   5 +++
 po/Makevars.template |  12 ++++++
 12 files changed, 273 insertions(+), 140 deletions(-)

commit 5c3f13d5b4dfaeeb287098bfde4639158ff74036
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 13:01:22 2013 +0000

    Updated svn:ignore.

commit 3c06d662931addd2926fe05a4923cc9c3f0a8e8e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 13:00:27 2013 +0000

    Will be created by Makefile.boot

 config.rpath | 672 -----------------------------------------------------------
 1 file changed, 672 deletions(-)

commit 112a1a4626dca14fa04282bd84de896e2a095b9e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu May 9 09:58:48 2013 +0000

    Added support for NetBSD Curses' resizeterm()

 configure.ac              |  3 ++-
 include/libyacurscfg.h.in |  5 +++++
 src/curs.cc               | 16 +++++++++++-----
 3 files changed, 18 insertions(+), 6 deletions(-)

commit 3de68484517eeb49d9eb5631dc16710611ea204f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 8 18:34:12 2013 +0000

    Due to changes made in r5095, it is now possible to color dialog titles.

 include/colorparser.h | 3 ++-
 include/colors.h      | 2 ++
 src/colorparser.cc    | 3 ++-
 src/dialog.cc         | 2 +-
 4 files changed, 7 insertions(+), 3 deletions(-)

commit b2d9707763ee7ed2f08c6bb47f0bf71502feadfd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 8 18:29:03 2013 +0000

    Updated documentation. Updated Event::__str_table to reflect changes in EVENT_TYPE made by earlier commits.

 include/event.h |  9 +++++++--
 src/event.cc    | 12 ++++++++++--
 2 files changed, 17 insertions(+), 4 deletions(-)

commit e4894b7ca1b56beeb3c2b3b2d0f02a559dcba500
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 8 18:17:12 2013 +0000

    Event handler for EVT_FORCEREFRESH use touch() instead of clearok(). Due to this change, Window does not need to set background color before refreshing in order to get rid of artifacts.

 src/widget.cc     |  7 ++++++-
 src/window.cc     |  7 -------
 src/windowbase.cc | 11 ++++++-----
 3 files changed, 12 insertions(+), 13 deletions(-)

commit e917385c2f769e92b590fe5c9e860c4b5ebb6d4b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 8 18:11:03 2013 +0000

    Updated.

 doc/events.dox | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 7291f79a7553a60fdde710a174909a86d61c6fc3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 7 17:27:25 2013 +0000

    Removed src/size.cc since it's not translated anymore due to inlining (see comments in src/size.cc).

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit 9cab88160c0158afcef308fb4d8d1f237a990a69
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 7 17:25:31 2013 +0000

    Updated.

 doc/events.dox | 25 ++++++++++++++++++++++++-
 doc/main.dox   | 10 +++++-----
 2 files changed, 29 insertions(+), 6 deletions(-)

commit 01effb6645a9b282717534a80d95990b58322ed3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 7 17:25:19 2013 +0000

    Inlined.

 include/area.h        | 95 +++++++++++++++++++++++++++++++++++++++++++++++++++
 include/coordinates.h | 67 ++++++++++++++++++++++++++++++++++++
 include/size.h        | 85 +++++++++++++++++++++++++++++++++++++++++++++
 src/area.cc           | 92 -------------------------------------------------
 src/coordinates.cc    | 65 -----------------------------------
 src/size.cc           | 84 ---------------------------------------------
 6 files changed, 247 insertions(+), 241 deletions(-)

commit 81739957ec202a951f347ca39a0fd8a94f5dc92a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue May 7 17:24:01 2013 +0000

    Reordered events.

 include/event.h | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 1edc6a9cb74a65ef61baa2e3ed9b4b83fcb9c4b2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon May 6 18:30:22 2013 +0000

    Improved Ctrl-Z handling.

 include/curs.h |  2 +-
 src/curs.cc    | 26 ++++++++++++++++++++++++--
 2 files changed, 25 insertions(+), 3 deletions(-)

commit b70bfaf2d5bfdf691d0c84119888f79f3b942106
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 18:25:22 2013 +0000

    Updated documentation.

 include/curswin.h     | 16 ++++++++++++++++
 include/realizeable.h |  8 ++++----
 2 files changed, 20 insertions(+), 4 deletions(-)

commit 4166fb3ff2ebb25b2202177751be76bd2b85a5bc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 18:24:14 2013 +0000

    Started implementing suspending on Ctrl-Z; not properly working though.

 include/curs.h |  9 +++++++++
 src/curs.cc    | 41 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

commit f8e7b9574a7c327e6ccf92b935e205561738ae70
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 18:22:50 2013 +0000

    Added SIGQUIT, SIGTSTP, and SIGCONT to the list of signals to be blocked.

 src/eventqueue.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 2d8dba3a8652503dffe687d186617a07c1879b6c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 18:21:09 2013 +0000

    Added test of overlapping windows.

 tests/curswin1.cc | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit a8c8ffb41ea1815ba6ae3e5f986421b0aa2fc87e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 18:19:06 2013 +0000

    Line numbers updated.

 po/de_CH.po       | 88 +++++++++++++++++++++++++++----------------------------
 po/de_DE.po       | 88 +++++++++++++++++++++++++++----------------------------
 po/en@boldquot.po | 88 +++++++++++++++++++++++++++----------------------------
 po/en@quot.po     | 88 +++++++++++++++++++++++++++----------------------------
 po/en_GB.po       | 88 +++++++++++++++++++++++++++----------------------------
 po/en_US.po       | 88 +++++++++++++++++++++++++++----------------------------
 po/libyacurs.pot  | 88 +++++++++++++++++++++++++++----------------------------
 7 files changed, 308 insertions(+), 308 deletions(-)

commit bb09888bc81f50347f4fdb2506f85b658b9385fb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 13:48:52 2013 +0000

    Removed ncurses from tests on FreeBSD.

 checkall.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a628b7af8261e263d328fe05be720fd312f39781
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 13:21:46 2013 +0000

    Added new Events: EVT_SIGTSTP, EVT_SIGQUIT, and EVT_SIGCONT. Fixed error in restore_signal.

 include/event.h      |  5 +--
 include/eventqueue.h |  3 ++
 src/eventqueue.cc    | 91 ++++++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 95 insertions(+), 4 deletions(-)

commit 0b0ca55e145067b1ca35617a8d5741d5200ace7a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 11:11:06 2013 +0000

    Updated svn:ignore.

commit 276a8853906955bf33a1a2ff78535bd50b01796e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 11:10:18 2013 +0000

    Don't run tests on Cygwin, but build them, so that they can be started interactively.

 tests/Makefile.am | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 6035cd051213c6036542c967c22e006526072747
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 11:09:24 2013 +0000

    Updated svn:ignore.

commit 97af75420b8f4c4a0b9b1247534161f7dfcd1acd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 10:29:02 2013 +0000

    Interactive tests won't be run on Cygwin.

 configure.ac      | 19 +++++++++++++++++++
 tests/Makefile.am | 18 +++++++++++++++---
 2 files changed, 34 insertions(+), 3 deletions(-)

commit cebc7f30a4b8a5154e53cff6f78dee92953a6dd4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 08:32:21 2013 +0000

    Removed extra ';' inside class.

 tests/eventqueue8.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98a075e216cd614c826cc9affe0f8ee4ff8026d4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun May 5 08:04:15 2013 +0000

    Added NetBSD hosts.

 runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17845230ad5b90895f56d7ece76db575b3e65d94
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat May 4 20:26:01 2013 +0000

    Added support for host netbsd32 and abraxas.

 checkall.sh | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 168a16276a5871cef2782500d0d01131c101b362
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri May 3 09:28:53 2013 +0000

    Updated copyright statement.

 include/area.h             | 2 +-
 include/button.h           | 2 +-
 include/checkbox.h         | 2 +-
 include/colorparser.h      | 2 +-
 include/colors.h           | 2 +-
 include/coordinates.h      | 2 +-
 include/curs.h             | 2 +-
 include/curstr.h           | 2 +-
 include/curswin.h          | 2 +-
 include/dialog.h           | 2 +-
 include/dynlabel.h         | 2 +-
 include/event.h            | 2 +-
 include/eventconnector.h   | 2 +-
 include/eventqueue.h       | 2 +-
 include/evtqueuestats.h    | 2 +-
 include/fileloaddialog.h   | 2 +-
 include/filesavedialog.h   | 2 +-
 include/focusgroup.h       | 2 +-
 include/focusmanager.h     | 2 +-
 include/gettext.h          | 2 +-
 include/hotkey.h           | 2 +-
 include/hpack.h            | 2 +-
 include/input.h            | 2 +-
 include/inputbox.h         | 2 +-
 include/label.h            | 2 +-
 include/lineobject.h       | 2 +-
 include/listbox.h          | 2 +-
 include/lockscreen.h       | 2 +-
 include/margin.h           | 2 +-
 include/messagebox.h       | 2 +-
 include/messagebox2.h      | 2 +-
 include/mycurses.h         | 2 +-
 include/pack.h             | 2 +-
 include/radiobox.h         | 2 +-
 include/realizeable.h      | 2 +-
 include/sigaction.h        | 2 +-
 include/size.h             | 2 +-
 include/statusbar.h        | 2 +-
 include/titlebar.h         | 2 +-
 include/unlockdiadefault.h | 2 +-
 include/unlockdialog.h     | 2 +-
 include/vpack.h            | 2 +-
 include/widget.h           | 2 +-
 include/widgetbase.h       | 2 +-
 include/window.h           | 2 +-
 include/windowbase.h       | 2 +-
 include/yacurs.h           | 2 +-
 include/yacursconst.h      | 2 +-
 include/yacursex.h         | 2 +-
 include/yacurstypes.h      | 2 +-
 src/area.cc                | 2 +-
 src/button.cc              | 2 +-
 src/checkbox.cc            | 2 +-
 src/colorparser.cc         | 2 +-
 src/colors.cc              | 2 +-
 src/coordinates.cc         | 2 +-
 src/curs.cc                | 2 +-
 src/curstr.cc              | 2 +-
 src/curswin.cc             | 2 +-
 src/dialog.cc              | 2 +-
 src/dynlabel.cc            | 2 +-
 src/event.cc               | 2 +-
 src/eventconnector.cc      | 2 +-
 src/eventqueue.cc          | 2 +-
 src/evtqueuestats.cc       | 2 +-
 src/fileloaddialog.cc      | 2 +-
 src/filesavedialog.cc      | 2 +-
 src/focusgroup.cc          | 2 +-
 src/focusmanager.cc        | 2 +-
 src/hotkey.cc              | 2 +-
 src/hpack.cc               | 2 +-
 src/inputbox.cc            | 2 +-
 src/label.cc               | 2 +-
 src/lineobject.cc          | 2 +-
 src/lockscreen.cc          | 2 +-
 src/margin.cc              | 2 +-
 src/messagebox.cc          | 2 +-
 src/messagebox2.cc         | 2 +-
 src/pack.cc                | 2 +-
 src/radiobox.cc            | 2 +-
 src/realizeable.cc         | 2 +-
 src/sigaction.cc           | 2 +-
 src/size.cc                | 2 +-
 src/statusbar.cc           | 2 +-
 src/titlebar.cc            | 2 +-
 src/unlockdiadefault.cc    | 2 +-
 src/unlockdialog.cc        | 2 +-
 src/vpack.cc               | 2 +-
 src/widget.cc              | 2 +-
 src/widgetbase.cc          | 2 +-
 src/window.cc              | 2 +-
 src/windowbase.cc          | 2 +-
 src/yacursex.cc            | 2 +-
 93 files changed, 93 insertions(+), 93 deletions(-)

commit a5fa2d4229fd9caeb96ab2bf2826b83570a5266a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 1 17:57:47 2013 +0000

    Set background color.

 include/listbox.h | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 8ba7ba4b01b54bfa9a55d53137784a76e9562484
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 1 17:56:24 2013 +0000

    Set color properly.

 src/dynlabel.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e29a68f6f1020e99617400d905137c846879e22a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 1 17:54:33 2013 +0000

    Uncrustify.

 src/curs.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a990762c55fc6fd714bce27467eb0b32493ca9c1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 1 17:47:15 2013 +0000

    Updated default color scheme.

 src/colorparser.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9638247fc56024bcb93a02257219164aef008d58
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 1 17:45:02 2013 +0000

    Added clrtobot().

 include/curswin.h  |  2 ++
 include/mycurses.h |  9 +++++++++
 src/curswin.cc     | 18 +++++++++++++-----
 3 files changed, 24 insertions(+), 5 deletions(-)

commit 3c2f593bb55a43aa58a89ff51eb884aca25426af
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 1 17:43:23 2013 +0000

    Uncrustify.

 include/windowbase.h | 4 ++--
 src/windowbase.cc    | 3 +--
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 3573603593382ffd9edbb780af0c7ab820df9457
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed May 1 17:40:55 2013 +0000

    Set proper color for path label.

 src/fileloaddialog.cc | 1 +
 src/filesavedialog.cc | 1 +
 2 files changed, 2 insertions(+)

commit d35637a54db80559a4aacd13ac50c1cab1beb023
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 29 19:34:17 2013 +0000

    Setting colors for dialog title.

 src/dialog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 05ad3350b2f53f486699b3b105df3e4db7450cd2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 29 19:30:18 2013 +0000

    Fixed call to wborder().

 src/curswin.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f3fa5a5df4cd7e843726a71df71031256b25dcbc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 29 18:30:54 2013 +0000

    Border drawn without ACS_* on X/Open Curses.

 include/listbox.h | 10 ++++++++--
 src/curswin.cc    | 13 +++++++++++++
 2 files changed, 21 insertions(+), 2 deletions(-)

commit 0f9d084ea587f5549b89d737a7ddb9dc797338ae
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 29 17:54:53 2013 +0000

    Updated comments.

 include/windowbase.h | 3 +++
 1 file changed, 3 insertions(+)

commit 150151163b845b4b306ba7515ef89e8eea5dea8b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 29 17:52:02 2013 +0000

    WindowBase::close() now emulates Ctrl-L, i.e. an EVT_FORCEREFRESH, EVT_REFRESH, EVT_DOUPDATE event sequence.

 src/windowbase.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit beb52ac11cf8311c94e2507a294ab1111cb31cff
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 29 17:40:56 2013 +0000

    Updated comments.

 src/window.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 5fd0a375fe6a9760ea7ead00055b14db9f410b29
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 29 17:38:26 2013 +0000

    Removed extra qualifier.

 include/titlebar.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f16dbee6e30855f443a409c7f54eb5ad0b966b42
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 28 09:36:05 2013 +0000

    Reverted changes made in r5058: bkgd() is CursWin::bkgd().

 src/curswin.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6815b458dc87db679d8a66a555ed361fdd79720
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 28 08:37:04 2013 +0000

    Curses::init() does now explicitely set color of background and
    attributes to DEFAULT on stdscr.

 src/curs.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit d4a29371e37e86da06f8077cfa9333a7adc36be8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 28 08:35:56 2013 +0000

    Fixed bug when setting WINDOW background.

 src/curswin.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c295de0ef323e5f7916e687b27c3641c25b967f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 27 14:52:17 2013 +0000

    Renamed StatusLine to StatusBar.

 include/Makefile.am                   |   2 +-
 include/colorparser.h                 |   6 +-
 include/colors.h                      |  26 +++---
 include/curs.h                        |  10 +--
 include/curswin.h                     | 146 +++++++++++++++++-----------------
 include/eventconnector.h              |   1 -
 include/input.h                       |   1 -
 include/lineobject.h                  |   4 +-
 include/{statusline.h => statusbar.h} |  12 +--
 include/titlebar.h                    |  10 +--
 include/windowbase.h                  |  14 ++--
 include/yacurs.h                      |   2 +-
 src/Makefile.am                       |   2 +-
 src/curs.cc                           |  16 ++--
 src/eventqueue.cc                     |  12 +--
 src/fileloaddialog.cc                 |   6 +-
 src/filesavedialog.cc                 |   6 +-
 src/lineobject.cc                     |   3 +-
 src/messagebox.cc                     |   2 +-
 src/pack.cc                           |   2 +-
 src/{statusline.cc => statusbar.cc}   |  16 ++--
 src/titlebar.cc                       |   3 +-
 src/window.cc                         |   4 +-
 src/windowbase.cc                     |  24 +++---
 tests/app1.cc                         |  13 +--
 tests/basic1.cc                       |   2 +-
 tests/basic2.cc                       |  12 +--
 tests/checkbox1.cc                    |  12 +--
 tests/dialog1.cc                      |  10 +--
 tests/dynlabel1.cc                    |   6 +-
 tests/eventqueue1.cc                  |   2 +-
 tests/eventqueue2.cc                  |   9 ++-
 tests/eventqueue3.cc                  |   2 +-
 tests/eventqueue4.cc                  |   2 +-
 tests/eventqueue5.cc                  |   2 +-
 tests/eventqueue6.cc                  |   2 +-
 tests/eventqueue7.cc                  |   2 +-
 tests/eventqueue8.cc                  |  12 +--
 tests/filedialog1.cc                  |  12 +--
 tests/focus1.cc                       |  12 +--
 tests/inputbox1.cc                    |  10 +--
 tests/listbox1.cc                     |  12 +--
 tests/listbox2.cc                     |  12 +--
 tests/lockscreen1.cc                  |  13 +--
 tests/messagebox1.cc                  |  10 +--
 tests/packremove.cc                   |   8 +-
 tests/packresize1.cc                  |   6 +-
 tests/radiobox1.cc                    |  12 +--
 tests/resize2.cc                      |   6 +-
 tests/resize3.cc                      |  17 ++--
 tests/resize4.cc                      |  17 ++--
 tests/resize5.cc                      |  12 +--
 52 files changed, 293 insertions(+), 284 deletions(-)

commit 527f2828ad380235f07bbb4449cbc4e16a08a54e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 27 14:37:46 2013 +0000

    Added TitleBar class. Made necessary changes.

 include/Makefile.am  | 21 ++++++++++-----------
 include/curs.h       |  8 ++++----
 include/lineobject.h |  2 +-
 include/titlebar.h   | 38 ++++++++++++++++++++++++++++++++++++++
 include/yacurs.h     |  1 +
 src/Makefile.am      | 18 +++++++++---------
 src/colorparser.cc   |  2 +-
 src/curs.cc          |  6 +++---
 src/lineobject.cc    |  5 +++--
 src/statusline.cc    |  2 +-
 src/titlebar.cc      | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/app1.cc        |  2 +-
 tests/basic1.cc      | 10 +++++-----
 tests/basic2.cc      |  4 ++--
 tests/checkbox1.cc   |  4 ++--
 tests/dialog1.cc     |  2 +-
 tests/dynlabel1.cc   |  4 ++--
 tests/filedialog1.cc |  2 +-
 tests/focus1.cc      |  2 +-
 tests/inputbox1.cc   |  2 +-
 tests/listbox1.cc    |  4 ++--
 tests/listbox2.cc    |  4 ++--
 tests/lockscreen1.cc |  2 +-
 tests/messagebox1.cc |  2 +-
 tests/pack1.cc       |  4 ++--
 tests/pack2.cc       |  4 ++--
 tests/pack3.cc       |  4 ++--
 tests/pack4.cc       |  4 ++--
 tests/pack5.cc       |  4 ++--
 tests/pack6.cc       |  4 ++--
 tests/pack7.cc       |  4 ++--
 tests/pack8.cc       |  4 ++--
 tests/pack9.cc       |  4 ++--
 tests/packremove.cc  |  2 +-
 tests/packresize1.cc |  4 ++--
 tests/radiobox1.cc   |  4 ++--
 tests/resize2.cc     |  4 ++--
 tests/resize3.cc     |  4 ++--
 tests/resize4.cc     |  4 ++--
 tests/resize5.cc     |  4 ++--
 tests/widget1.cc     |  4 ++--
 tests/widget2.cc     |  4 ++--
 tests/widget3.cc     |  4 ++--
 43 files changed, 180 insertions(+), 91 deletions(-)

commit a0358f3349497c5834f04b8be3263d1b0f5c4f24
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 27 09:24:57 2013 +0000

    Removed check app2, it's the same test as app1, but iterated over several times.

 tests/Makefile.am |   6 +-
 tests/app2.cc     | 454 ------------------------------------------------------
 2 files changed, 3 insertions(+), 457 deletions(-)

commit e837231eed4c9a958c67f65153c50174b0ffd490
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 27 07:53:36 2013 +0000

    Updated documentation. Removed created() member function which does not make sense anymore. Removed declaration of destroy() member function, since definition has been long ago removed.

 include/colorparser.h   |  8 ++---
 include/colors.h        | 41 +++++++++++-----------
 include/curswin.h       | 90 ++++++++++++++++++++++++++++++++++++++++++-------
 include/lineobject.h    |  3 --
 include/window.h        | 12 ++++---
 include/windowbase.h    |  9 +++++
 src/colorparser.cc      |  8 ++---
 src/curswin.cc          |  5 ---
 src/dialog.cc           |  1 +
 src/fileloaddialog.cc   |  6 ++--
 src/filesavedialog.cc   |  6 ++--
 src/inputbox.cc         |  1 +
 src/messagebox.cc       |  4 ++-
 src/messagebox2.cc      |  2 ++
 src/unlockdiadefault.cc |  1 +
 src/window.cc           |  4 +--
 src/windowbase.cc       | 15 +++++++--
 tests/curswin1.cc       |  6 ++--
 18 files changed, 154 insertions(+), 68 deletions(-)

commit a3038a69687c144b9998318734ff6bf562812241
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 27 07:49:33 2013 +0000

    Updated documentation.

 doc/debug.dox  | 25 ++++++++++++++++++++++---
 doc/events.dox |  2 +-
 doc/main.dox   | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 doxygen.cfg    |  2 +-
 4 files changed, 71 insertions(+), 5 deletions(-)

commit b33382421def9f1d7b8653e929522d93ec0d0246
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 21 18:45:06 2013 +0000

    Disable nls on freebsd32.

 checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8bb427b50827bf4e0aa3a27b9d09fcbd8c11ae61
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Apr 19 18:32:02 2013 +0000

    Uncrustified.

 include/area.h             | 203 +++++-----
 include/button.h           | 121 +++---
 include/checkbox.h         | 205 +++++-----
 include/colorparser.h      | 143 +++----
 include/colors.h           | 272 ++++++-------
 include/coordinates.h      | 194 ++++-----
 include/curs.h             | 138 +++----
 include/curstr.h           |  37 +-
 include/curswin.h          | 214 +++++-----
 include/dialog.h           | 126 +++---
 include/dynlabel.h         |  52 +--
 include/event.h            | 411 ++++++++++---------
 include/eventconnector.h   | 525 ++++++++++++------------
 include/eventqueue.h       | 232 ++++++-----
 include/evtqueuestats.h    | 345 ++++++++--------
 include/fileloaddialog.h   |  65 +--
 include/filesavedialog.h   |  58 +--
 include/focusgroup.h       | 224 +++++------
 include/focusmanager.h     | 196 ++++-----
 include/gettext.h          |   2 +-
 include/hotkey.h           |  24 +-
 include/hpack.h            |  24 +-
 include/input.h            | 964 +++++++++++++++++++++++----------------------
 include/inputbox.h         |  30 +-
 include/label.h            | 156 ++++----
 include/lineobject.h       | 121 +++---
 include/listbox.h          | 940 +++++++++++++++++++++----------------------
 include/lockscreen.h       |  57 +--
 include/margin.h           |  64 +--
 include/messagebox.h       |  27 +-
 include/messagebox2.h      |  33 +-
 include/mycurses.h         | 159 +++++---
 include/pack.h             | 517 ++++++++++++------------
 include/radiobox.h         |  21 +-
 include/realizeable.h      | 221 ++++++-----
 include/sigaction.h        |  94 ++---
 include/size.h             | 190 ++++-----
 include/statusline.h       |  28 +-
 include/unlockdiadefault.h |  28 +-
 include/unlockdialog.h     |  37 +-
 include/vpack.h            |  25 +-
 include/widget.h           |  57 +--
 include/widgetbase.h       | 584 +++++++++++++--------------
 include/window.h           |  79 ++--
 include/windowbase.h       | 190 ++++-----
 include/yacurs.h           |   3 +-
 include/yacursconst.h      |  50 +--
 include/yacursex.h         | 353 ++++++++---------
 include/yacurstypes.h      |  11 +-
 src/area.cc                |  42 +-
 src/button.cc              |  65 +--
 src/checkbox.cc            | 178 +++++----
 src/colorparser.cc         | 219 +++++-----
 src/colors.cc              |  32 +-
 src/coordinates.cc         |  16 +-
 src/curs.cc                | 106 ++---
 src/curstr.cc              |  37 +-
 src/curswin.cc             | 337 ++++++++--------
 src/dialog.cc              | 178 +++++----
 src/dynlabel.cc            |  23 +-
 src/event.cc               |   8 +-
 src/eventconnector.cc      |  19 +-
 src/eventqueue.cc          | 809 +++++++++++++++++++------------------
 src/evtqueuestats.cc       | 139 ++++---
 src/fileloaddialog.cc      | 281 ++++++-------
 src/filesavedialog.cc      | 373 +++++++++---------
 src/focusgroup.cc          | 215 +++++-----
 src/focusmanager.cc        | 162 ++++----
 src/hotkey.cc              |  13 +-
 src/hpack.cc               | 777 +++++++++++++++++++-----------------
 src/inputbox.cc            |  28 +-
 src/label.cc               |  30 +-
 src/lineobject.cc          |  96 ++---
 src/lockscreen.cc          | 119 +++---
 src/margin.cc              |  18 +-
 src/messagebox.cc          |  13 +-
 src/messagebox2.cc         |  27 +-
 src/pack.cc                |  87 ++--
 src/radiobox.cc            |  19 +-
 src/realizeable.cc         |  10 +-
 src/sigaction.cc           |  16 +-
 src/size.cc                |  30 +-
 src/statusline.cc          |  21 +-
 src/unlockdiadefault.cc    |  30 +-
 src/unlockdialog.cc        |   4 +-
 src/vpack.cc               | 783 ++++++++++++++++++------------------
 src/widget.cc              | 114 +++---
 src/widgetbase.cc          |  54 +--
 src/window.cc              | 103 ++---
 src/windowbase.cc          | 158 ++++----
 src/yacursex.cc            |  90 +++--
 tests/app1.cc              | 245 +++++++-----
 tests/app2.cc              | 248 +++++++-----
 tests/area.cc              | 111 +++---
 tests/basic1.cc            |  19 +-
 tests/basic2.cc            |  19 +-
 tests/checkbox1.cc         | 122 +++---
 tests/colorparser.cc       |   6 +-
 tests/coordinates.cc       |  51 +--
 tests/cursinit.cc          |   7 +-
 tests/curswin1.cc          | 187 ++++-----
 tests/dialog1.cc           |  90 +++--
 tests/dynlabel1.cc         |  45 ++-
 tests/eventconnector1.cc   | 119 ++++--
 tests/eventqueue1.cc       |  46 ++-
 tests/eventqueue2.cc       |  45 ++-
 tests/eventqueue3.cc       |  64 ++-
 tests/eventqueue4.cc       |  67 +++-
 tests/eventqueue5.cc       |  72 +++-
 tests/eventqueue6.cc       |  76 +++-
 tests/eventqueue7.cc       |  69 +++-
 tests/eventqueue8.cc       | 251 +++++++++---
 tests/eventqueue9.cc       |  45 ++-
 tests/filedialog1.cc       | 200 ++++++----
 tests/focus1.cc            | 260 +++++++++---
 tests/inputbox1.cc         | 104 +++--
 tests/listbox1.cc          |  70 ++--
 tests/listbox2.cc          | 458 +++++++++++----------
 tests/lockscreen1.cc       | 257 +++++++-----
 tests/margin.cc            |  31 +-
 tests/messagebox1.cc       |  91 +++--
 tests/pack1.cc             |  18 +-
 tests/pack2.cc             |  19 +-
 tests/pack3.cc             |  21 +-
 tests/pack4.cc             |  46 +--
 tests/pack5.cc             |  46 ++-
 tests/pack6.cc             |  44 ++-
 tests/pack7.cc             |  44 ++-
 tests/pack8.cc             |  44 ++-
 tests/pack9.cc             |  32 +-
 tests/packremove.cc        | 110 +++---
 tests/packresize1.cc       |  60 +--
 tests/radiobox1.cc         |  46 ++-
 tests/resize1.cc           |  11 +-
 tests/resize2.cc           |  31 +-
 tests/resize3.cc           |  60 +--
 tests/resize4.cc           |  67 ++--
 tests/resize5.cc           |  58 +--
 tests/testpreload.cc       |   9 +-
 tests/widget1.cc           |  18 +-
 tests/widget2.cc           |  32 +-
 tests/widget3.cc           |  32 +-
 142 files changed, 10324 insertions(+), 8728 deletions(-)

commit 3a997969630a3491533493da3ef47be8c7008e26
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Apr 19 18:28:38 2013 +0000

    Updated.

 uncrustifyrc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 507a9b58eb1f828ba5c4f929b31d5cdee0e464ae
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Apr 19 14:50:54 2013 +0000

    Fixed memory leaks. Made it work with with valgrind on slow machines.

 tests/messagebox1.cc |  7 ++++---
 tests/pack1.cc       |  2 +-
 tests/pack2.cc       |  2 +-
 tests/pack3.cc       | 10 +++++-----
 tests/packremove.cc  |  8 +++++---
 tests/packresize1.cc |  2 +-
 6 files changed, 17 insertions(+), 14 deletions(-)

commit ae80a8fd98126de87a81e6eb9046286702684f73
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 18 20:08:27 2013 +0000

    Fixed memory leak in filesavedialog.cc/fileloaddialog.cc. Consts moved into extra header file. Moved some typedefs.

 include/Makefile.am      | 19 ++++++-------
 include/curs.h           | 13 ---------
 include/eventconnector.h |  6 +----
 include/sigaction.h      |  8 ++----
 include/windowbase.h     |  6 -----
 include/yacurs.h         |  1 +
 include/yacursconst.h    | 69 ++++++++++++++++++++++++++++++++++++++++++++++++
 include/yacurstypes.h    | 22 +++++++++++----
 src/curs.cc              |  1 +
 src/fileloaddialog.cc    |  8 +++---
 src/filesavedialog.cc    |  8 +++---
 src/lineobject.cc        |  1 +
 src/windowbase.cc        |  1 +
 13 files changed, 113 insertions(+), 50 deletions(-)

commit ac4d08e907e25823910ff1406361cc60b1e439c6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 18 20:04:24 2013 +0000

    Fixed memory leaks.

 tests/app1.cc        | 10 +++++++---
 tests/dialog1.cc     |  7 ++++---
 tests/filedialog1.cc |  7 ++++---
 tests/inputbox1.cc   |  7 ++++---
 4 files changed, 19 insertions(+), 12 deletions(-)

commit c4f9166980233c2be68ed883b825768a5c00fdfd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 18 17:52:14 2013 +0000

    Added Sigaction class. Added SIGTERM event.

 include/Makefile.am  |  20 +++---
 include/event.h      |   1 +
 include/eventqueue.h |  12 ++--
 include/sigaction.h  |  90 +++++++++++++++++++++++++++
 src/Makefile.am      |   2 +-
 src/eventqueue.cc    | 172 +++++++++++++++++++++++++--------------------------
 src/sigaction.cc     |  70 +++++++++++++++++++++
 7 files changed, 264 insertions(+), 103 deletions(-)

commit bfd53a9e15e1d963e962f0da4f0633e7d8e9daec
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 17 17:02:04 2013 +0000

    Updated Documentation. Shuffled classes into name spaces.

 include/checkbox.h         | 56 +++++++++++++++++++++++++---------------------
 include/colors.h           |  8 +++++--
 include/dialog.h           |  6 +++--
 include/evtqueuestats.h    | 54 +++++++++++++++++++++++++++++++++-----------
 include/focusmanager.h     | 24 +++++++++++---------
 include/pack.h             | 22 ++++++++++--------
 include/realizeable.h      |  8 ++++---
 include/unlockdiadefault.h |  5 +++++
 include/widgetbase.h       | 27 ++++++++++++----------
 include/yacursex.h         |  9 ++++++++
 src/checkbox.cc            |  9 +++++---
 src/dialog.cc              | 42 +++++++++++++++++++---------------
 src/hpack.cc               |  5 +++--
 src/radiobox.cc            |  2 +-
 src/vpack.cc               | 14 ++++++------
 15 files changed, 183 insertions(+), 108 deletions(-)

commit 6a750823714c3d4239dfca5ed05a399e5a993f0d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 15 18:21:46 2013 +0000

    Updated comments.

 include/event.h    | 49 ++++++++++++++++++++++++++--------------
 include/yacursex.h | 65 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+), 16 deletions(-)

commit cdc8a93258733717419c75ff37e7f7cb36122b2c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 15 18:21:29 2013 +0000

    Updates to accommodate changes in name spaces.

 tests/colorparser.cc |  2 +-
 tests/curswin1.cc    | 42 +++++++++++++++++++++---------------------
 tests/listbox2.cc    |  2 +-
 3 files changed, 23 insertions(+), 23 deletions(-)

commit e53a756ba8826b18de9e61b0009942e91b9eb465
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 15 18:18:18 2013 +0000

    Renamed LockScreen::event_window_close_handler() to LockScreen::key_event_handler(), thus using the virtual function introduced for HotKeys in r5017 and fxing a bug in LockScreen not displaying unlock dialog.

 include/lockscreen.h |  4 ++--
 src/lockscreen.cc    | 14 ++++++++------
 2 files changed, 10 insertions(+), 8 deletions(-)

commit 077d73a633452383a7616d8185bef649040986ca
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 15 18:03:39 2013 +0000

    Updated

 doc/debug.dox  | 7 ++++---
 doc/events.dox | 2 +-
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 88b1fbd4f31ba2f451a3aec84e6ccb55110f7248
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 14 19:44:41 2013 +0000

    Queue Statistics in INTERNAL name space.

 include/evtqueuestats.h | 268 ++++++++++++++++++++++++------------------------
 src/eventqueue.cc       |   2 +-
 src/evtqueuestats.cc    |   2 +-
 3 files changed, 137 insertions(+), 135 deletions(-)

commit 5c3199e5f9af7469b2c9db09e687cbc8322fc3a2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 14 16:31:52 2013 +0000

    Moved exceptions into separate name space.

 include/curs.h          |   3 +
 include/curswin.h       |   3 +
 include/input.h         |   2 +-
 include/listbox.h       |   2 +-
 include/yacursex.h      | 205 +++++++++++++++++++++++++-----------------------
 src/button.cc           |   2 +-
 src/checkbox.cc         |   2 +-
 src/colors.cc           |   6 +-
 src/curs.cc             |  42 +++++-----
 src/curswin.cc          |  54 ++++++-------
 src/dialog.cc           |   6 +-
 src/dynlabel.cc         |   2 +-
 src/eventqueue.cc       |  28 +++----
 src/fileloaddialog.cc   |  14 ++--
 src/filesavedialog.cc   |  18 ++---
 src/focusmanager.cc     |   2 +-
 src/hpack.cc            |   8 +-
 src/inputbox.cc         |   2 +-
 src/label.cc            |   2 +-
 src/lineobject.cc       |   4 +-
 src/lockscreen.cc       |   2 +-
 src/messagebox.cc       |   2 +-
 src/messagebox2.cc      |   2 +-
 src/pack.cc             |   4 +-
 src/radiobox.cc         |   2 +-
 src/statusline.cc       |   2 +-
 src/unlockdiadefault.cc |   2 +-
 src/unlockdialog.cc     |   2 +-
 src/vpack.cc            |  17 +++-
 src/widget.cc           |   6 +-
 src/widgetbase.cc       |   8 +-
 src/window.cc           |   4 +-
 src/windowbase.cc       |   8 +-
 src/yacursex.cc         |   2 +-
 34 files changed, 245 insertions(+), 225 deletions(-)

commit 4c0443265ca494a459b1bd90486f549d34e6a149
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 14 14:25:41 2013 +0000

    Moved functors into namespaces.

 src/checkbox.cc   |  41 ++++---
 src/eventqueue.cc | 351 ++++++++++++++++++++++++++++--------------------------
 src/focusgroup.cc |  84 +++++++------
 3 files changed, 257 insertions(+), 219 deletions(-)

commit cf7625495ed46a6d26c631a75228f50e10a0f2ce
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 14 13:47:15 2013 +0000

    Moved ColorParser into YACURS::INTERNAL. Moved CurStr into YACURS. Moved Functor into separate namespace.

 include/colorparser.h | 140 ++++++-----
 include/colors.h      |  91 +++----
 include/curstr.h      |   3 -
 include/input.h       |   6 +-
 include/listbox.h     |   2 +-
 src/checkbox.cc       |   4 +-
 src/colorparser.cc    |   6 +-
 src/colors.cc         |   4 +-
 src/curstr.cc         |   2 +-
 src/dialog.cc         |   2 +-
 src/dynlabel.cc       |   2 +-
 src/hpack.cc          | 684 ++++++++++++++++++++++++++------------------------
 src/label.cc          |   2 +-
 src/lineobject.cc     |   4 +-
 src/vpack.cc          | 680 +++++++++++++++++++++++++------------------------
 15 files changed, 840 insertions(+), 792 deletions(-)

commit 4332989f7aeb12afbdf38e9bf65551758636a328
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 14 12:41:17 2013 +0000

    AStyle config removed, uncrustify config added.

 astylerc     |    1 -
 uncrustifyrc | 1578 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1578 insertions(+), 1 deletion(-)

commit ff6be8567ef2da93134c1cde05d5c4c32fb7f3c9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 13 20:08:06 2013 +0000

    Put some more pagesize() into place.

 include/listbox.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7f6ca38219370e52228ef87c441bc3efe34b597a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 13 20:07:12 2013 +0000

    Updated documentation.

 include/colorparser.h | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 include/colors.h      | 33 +++++++++++++------------------
 src/colorparser.cc    | 49 +---------------------------------------------
 3 files changed, 68 insertions(+), 68 deletions(-)

commit ff2aae3c2365fb113e5173866dc69b6ad036cb17
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Apr 12 14:27:12 2013 +0000

    Added high_light() function. Added pagesize() inline function.

 include/listbox.h | 816 ++++++++++++++++++++++++++++++++----------------------
 tests/listbox2.cc |  54 +++-
 2 files changed, 529 insertions(+), 341 deletions(-)

commit adea033b4731c0535cf22a9e6978e3cfccf936fa
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Apr 12 08:06:03 2013 +0000

    Button can be disabled/enabled now.

 include/button.h | 10 +++++++++-
 src/button.cc    | 20 ++++++++++++++++++--
 tests/focus1.cc  | 16 ++++++++++++++--
 3 files changed, 41 insertions(+), 5 deletions(-)

commit c87b1e09fc94190aed86f1724a40eee46ef431a2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Apr 12 08:05:47 2013 +0000

    Does not change sort order when 'o' or 'O' is pressed anymore.

 include/listbox.h | 32 ++++++++------------------------
 1 file changed, 8 insertions(+), 24 deletions(-)

commit e8eddc01fd3e59edb7e374885e4ff0888beb4af0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Apr 12 08:02:48 2013 +0000

    Fixed documentation.

 include/widgetbase.h | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 439b9a277dcabb1b425dc783786c4651376c0cad
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Apr 12 07:17:47 2013 +0000

    Changed comment style of copyright.

 include/area.h             | 40 ++++++++++++++++++++--------------------
 include/button.h           | 42 +++++++++++++++++++++---------------------
 include/checkbox.h         | 40 ++++++++++++++++++++--------------------
 include/colorparser.h      | 40 ++++++++++++++++++++--------------------
 include/colors.h           | 40 ++++++++++++++++++++--------------------
 include/coordinates.h      | 40 ++++++++++++++++++++--------------------
 include/curs.h             | 40 ++++++++++++++++++++--------------------
 include/curstr.h           | 40 ++++++++++++++++++++--------------------
 include/curswin.h          | 40 ++++++++++++++++++++--------------------
 include/dialog.h           | 40 ++++++++++++++++++++--------------------
 include/dynlabel.h         | 40 ++++++++++++++++++++--------------------
 include/event.h            | 40 ++++++++++++++++++++--------------------
 include/eventconnector.h   | 40 ++++++++++++++++++++--------------------
 include/eventqueue.h       | 40 ++++++++++++++++++++--------------------
 include/evtqueuestats.h    | 40 ++++++++++++++++++++--------------------
 include/fileloaddialog.h   | 40 ++++++++++++++++++++--------------------
 include/filesavedialog.h   | 40 ++++++++++++++++++++--------------------
 include/focusgroup.h       | 40 ++++++++++++++++++++--------------------
 include/focusmanager.h     | 40 ++++++++++++++++++++--------------------
 include/gettext.h          | 40 ++++++++++++++++++++--------------------
 include/hotkey.h           | 40 ++++++++++++++++++++--------------------
 include/hpack.h            | 40 ++++++++++++++++++++--------------------
 include/input.h            | 40 ++++++++++++++++++++--------------------
 include/inputbox.h         | 40 ++++++++++++++++++++--------------------
 include/label.h            | 40 ++++++++++++++++++++--------------------
 include/lineobject.h       | 40 ++++++++++++++++++++--------------------
 include/listbox.h          | 40 ++++++++++++++++++++--------------------
 include/lockscreen.h       | 40 ++++++++++++++++++++--------------------
 include/margin.h           | 40 ++++++++++++++++++++--------------------
 include/messagebox.h       | 40 ++++++++++++++++++++--------------------
 include/messagebox2.h      | 40 ++++++++++++++++++++--------------------
 include/mycurses.h         | 40 ++++++++++++++++++++--------------------
 include/pack.h             | 40 ++++++++++++++++++++--------------------
 include/radiobox.h         | 40 ++++++++++++++++++++--------------------
 include/realizeable.h      | 40 ++++++++++++++++++++--------------------
 include/size.h             | 40 ++++++++++++++++++++--------------------
 include/statusline.h       | 40 ++++++++++++++++++++--------------------
 include/unlockdiadefault.h | 40 ++++++++++++++++++++--------------------
 include/unlockdialog.h     | 40 ++++++++++++++++++++--------------------
 include/vpack.h            | 40 ++++++++++++++++++++--------------------
 include/widget.h           | 40 ++++++++++++++++++++--------------------
 include/widgetbase.h       | 40 ++++++++++++++++++++--------------------
 include/window.h           | 40 ++++++++++++++++++++--------------------
 include/windowbase.h       | 40 ++++++++++++++++++++--------------------
 include/yacurs.h           | 40 ++++++++++++++++++++--------------------
 include/yacursex.h         | 40 ++++++++++++++++++++--------------------
 include/yacurstypes.h      | 40 ++++++++++++++++++++--------------------
 src/area.cc                | 38 +++++++++++++++++++-------------------
 src/button.cc              | 38 +++++++++++++++++++-------------------
 src/checkbox.cc            | 38 +++++++++++++++++++-------------------
 src/colorparser.cc         | 38 +++++++++++++++++++-------------------
 src/colors.cc              | 38 +++++++++++++++++++-------------------
 src/coordinates.cc         | 38 +++++++++++++++++++-------------------
 src/curs.cc                | 38 +++++++++++++++++++-------------------
 src/curstr.cc              | 38 +++++++++++++++++++-------------------
 src/curswin.cc             | 38 +++++++++++++++++++-------------------
 src/dialog.cc              | 38 +++++++++++++++++++-------------------
 src/dynlabel.cc            | 38 +++++++++++++++++++-------------------
 src/event.cc               | 38 +++++++++++++++++++-------------------
 src/eventconnector.cc      | 38 +++++++++++++++++++-------------------
 src/eventqueue.cc          | 38 +++++++++++++++++++-------------------
 src/evtqueuestats.cc       | 38 +++++++++++++++++++-------------------
 src/fileloaddialog.cc      | 38 +++++++++++++++++++-------------------
 src/filesavedialog.cc      | 38 +++++++++++++++++++-------------------
 src/focusgroup.cc          | 38 +++++++++++++++++++-------------------
 src/focusmanager.cc        | 38 +++++++++++++++++++-------------------
 src/hotkey.cc              | 38 +++++++++++++++++++-------------------
 src/hpack.cc               | 38 +++++++++++++++++++-------------------
 src/inputbox.cc            | 38 +++++++++++++++++++-------------------
 src/label.cc               | 38 +++++++++++++++++++-------------------
 src/lineobject.cc          | 38 +++++++++++++++++++-------------------
 src/lockscreen.cc          | 38 +++++++++++++++++++-------------------
 src/margin.cc              | 38 +++++++++++++++++++-------------------
 src/messagebox.cc          | 38 +++++++++++++++++++-------------------
 src/messagebox2.cc         | 38 +++++++++++++++++++-------------------
 src/pack.cc                | 38 +++++++++++++++++++-------------------
 src/radiobox.cc            | 38 +++++++++++++++++++-------------------
 src/realizeable.cc         | 38 +++++++++++++++++++-------------------
 src/size.cc                | 38 +++++++++++++++++++-------------------
 src/statusline.cc          | 38 +++++++++++++++++++-------------------
 src/unlockdiadefault.cc    | 38 +++++++++++++++++++-------------------
 src/unlockdialog.cc        | 38 +++++++++++++++++++-------------------
 src/vpack.cc               | 38 +++++++++++++++++++-------------------
 src/widget.cc              | 38 +++++++++++++++++++-------------------
 src/widgetbase.cc          | 38 +++++++++++++++++++-------------------
 src/window.cc              | 38 +++++++++++++++++++-------------------
 src/windowbase.cc          | 38 +++++++++++++++++++-------------------
 src/yacursex.cc            | 38 +++++++++++++++++++-------------------
 88 files changed, 1720 insertions(+), 1720 deletions(-)

commit f625d01d98b3a6d43de27605ebd67f052a217be0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 11 19:07:31 2013 +0000

    Added copyright.

 include/area.h             | 22 ++++++++++++++++++++-
 include/button.h           | 22 +++++++++++++++++++--
 include/checkbox.h         | 22 +++++++++++++++++++--
 include/colorparser.h      | 23 +++++++++++++++++++++-
 include/colors.h           | 48 +++++++++++++++++++++++-----------------------
 include/coordinates.h      | 22 +++++++++++++++++++--
 include/curs.h             | 22 ++++++++++++++++++++-
 include/curstr.h           | 22 ++++++++++++++++++++-
 include/curswin.h          | 22 ++++++++++++++++++++-
 include/dialog.h           | 22 +++++++++++++++++++--
 include/dynlabel.h         | 22 +++++++++++++++++++--
 include/event.h            | 22 +++++++++++++++++++--
 include/eventconnector.h   | 22 +++++++++++++++++++--
 include/eventqueue.h       | 22 +++++++++++++++++++--
 include/evtqueuestats.h    | 22 +++++++++++++++++++--
 include/fileloaddialog.h   | 22 +++++++++++++++++++--
 include/filesavedialog.h   | 22 +++++++++++++++++++--
 include/focusgroup.h       | 22 +++++++++++++++++++--
 include/focusmanager.h     | 22 +++++++++++++++++++--
 include/gettext.h          | 20 +++++++++++++++++++
 include/hotkey.h           | 22 +++++++++++++++++++--
 include/hpack.h            | 22 +++++++++++++++++++--
 include/input.h            | 22 +++++++++++++++++++--
 include/inputbox.h         | 22 +++++++++++++++++++--
 include/label.h            | 22 +++++++++++++++++++--
 include/lineobject.h       | 22 +++++++++++++++++++--
 include/listbox.h          | 22 +++++++++++++++++++--
 include/lockscreen.h       | 22 +++++++++++++++++++--
 include/margin.h           | 24 ++++++++++++++++++++---
 include/messagebox.h       | 22 +++++++++++++++++++--
 include/messagebox2.h      | 22 +++++++++++++++++++--
 include/mycurses.h         | 22 ++++++++++++++++++++-
 include/pack.h             | 22 +++++++++++++++++++--
 include/radiobox.h         | 22 +++++++++++++++++++--
 include/realizeable.h      | 22 +++++++++++++++++++--
 include/size.h             | 22 +++++++++++++++++++--
 include/statusline.h       | 22 +++++++++++++++++++--
 include/unlockdiadefault.h | 22 +++++++++++++++++++--
 include/unlockdialog.h     | 22 +++++++++++++++++++--
 include/vpack.h            | 22 +++++++++++++++++++--
 include/widget.h           | 22 ++++++++++++++++++++-
 include/widgetbase.h       | 22 +++++++++++++++++++--
 include/window.h           | 22 +++++++++++++++++++--
 include/windowbase.h       | 22 +++++++++++++++++++--
 include/yacurs.h           | 22 +++++++++++++++++++--
 include/yacursex.h         | 22 ++++++++++++++++++++-
 include/yacurstypes.h      | 22 +++++++++++++++++++--
 src/area.cc                | 19 ++++++++++++++++++
 src/button.cc              | 19 ++++++++++++++++++
 src/checkbox.cc            | 19 ++++++++++++++++++
 src/colorparser.cc         | 19 ++++++++++++++++++
 src/colors.cc              | 37 ++++++++++++++++++-----------------
 src/coordinates.cc         | 19 ++++++++++++++++++
 src/curs.cc                | 19 ++++++++++++++++++
 src/curstr.cc              | 21 ++++++++++++++++++++
 src/curswin.cc             | 19 ++++++++++++++++++
 src/dialog.cc              | 19 ++++++++++++++++++
 src/dynlabel.cc            | 19 ++++++++++++++++++
 src/event.cc               | 19 ++++++++++++++++++
 src/eventconnector.cc      | 19 ++++++++++++++++++
 src/eventqueue.cc          | 19 ++++++++++++++++++
 src/evtqueuestats.cc       | 19 ++++++++++++++++++
 src/fileloaddialog.cc      | 19 ++++++++++++++++++
 src/filesavedialog.cc      | 19 ++++++++++++++++++
 src/focusgroup.cc          | 19 ++++++++++++++++++
 src/focusmanager.cc        | 19 ++++++++++++++++++
 src/hotkey.cc              | 19 ++++++++++++++++++
 src/hpack.cc               | 19 ++++++++++++++++++
 src/inputbox.cc            | 19 ++++++++++++++++++
 src/label.cc               | 19 ++++++++++++++++++
 src/lineobject.cc          | 19 ++++++++++++++++++
 src/lockscreen.cc          | 19 ++++++++++++++++++
 src/margin.cc              | 19 ++++++++++++++++++
 src/messagebox.cc          | 19 ++++++++++++++++++
 src/messagebox2.cc         | 19 ++++++++++++++++++
 src/pack.cc                | 19 ++++++++++++++++++
 src/radiobox.cc            | 19 ++++++++++++++++++
 src/realizeable.cc         | 19 ++++++++++++++++++
 src/size.cc                | 19 ++++++++++++++++++
 src/statusline.cc          | 19 ++++++++++++++++++
 src/unlockdiadefault.cc    | 19 ++++++++++++++++++
 src/unlockdialog.cc        | 19 ++++++++++++++++++
 src/vpack.cc               | 19 ++++++++++++++++++
 src/widget.cc              | 19 ++++++++++++++++++
 src/widgetbase.cc          | 19 ++++++++++++++++++
 src/window.cc              | 19 ++++++++++++++++++
 src/windowbase.cc          | 19 ++++++++++++++++++
 src/yacursex.cc            | 19 ++++++++++++++++++
 88 files changed, 1735 insertions(+), 125 deletions(-)

commit 0f21353c608de09571637b041d913e6109b858eb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 11 17:34:13 2013 +0000

    Added Esc HotKey for Dialog and derrived classes.

 include/dialog.h |  5 +++++
 src/dialog.cc    | 26 ++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

commit 11a16b123f5457517672e0de74a67fae7021729f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 11 07:26:39 2013 +0000

    Conditionally use bindtextdomain.

 src/curs.cc | 2 ++
 1 file changed, 2 insertions(+)

commit ee0cea72436a72424e0f1f39513b2e483257b386
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 15:45:26 2013 +0000

    Implemented HotKeys.

 include/Makefile.am |  14 +++----
 include/hotkey.h    |  28 +++++++++++++
 include/window.h    |   8 ++++
 include/yacurs.h    |   1 +
 src/Makefile.am     |  16 ++++----
 src/hotkey.cc       |  37 +++++++++++++++++
 src/window.cc       |  57 ++++++++++++++++++++++++++
 tests/checkbox1.cc  | 113 +++++++++++++++++++++++++---------------------------
 tests/dynlabel1.cc  |  39 +-----------------
 tests/listbox1.cc   |  26 +++++-------
 tests/radiobox1.cc  |  27 +++++--------
 tests/resize3.cc    |  26 +++++-------
 tests/resize4.cc    |  26 +++++-------
 tests/resize5.cc    |  34 ++++++++--------
 14 files changed, 261 insertions(+), 191 deletions(-)

commit 35fe172ee5f0bd79eb086b05f86137dea4efea93
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 11:28:14 2013 +0000

    Added function to get active focus group.

 include/focusmanager.h | 5 +++++
 src/focusmanager.cc    | 6 +++++-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 0c247a30c7f15fe1f52641a48483a4021e49a28d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 11:27:12 2013 +0000

    Excluded files.

commit 864dee72620213dba1315e30998972dc37120c40
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 11:14:37 2013 +0000

    Added test for hidden mode of Input.

 tests/focus1.cc | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit fdcc121db26f6b88621075c4307dcf97595bbb59
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 11:13:25 2013 +0000

    Excluded files.

commit b72d97067ed0691e309f61fb75d714f70a87a989
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 11:13:03 2013 +0000

    Fixed bug.

 include/listbox.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 2777f97ee32ab663eb83e6db3be890c1dacfe3a4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 11:11:11 2013 +0000

    Added comment.

 include/libyacurscfg.h.in | 3 +++
 1 file changed, 3 insertions(+)

commit 76f2c16c60ccee6dce5124179e3321a8baeda1bc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 11:10:50 2013 +0000

    Added comment.

 include/gettext.h | 2 ++
 1 file changed, 2 insertions(+)

commit 85ea3861ae455a31a4bd87fbf033a0b71313953c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 11:10:24 2013 +0000

    Functions for setting color and position added.

 include/curstr.h |  3 +++
 src/curstr.cc    | 10 ++++++++++
 2 files changed, 13 insertions(+)

commit ce009f9b7931ed25d2de1b74613be054dd00e8c8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 09:11:51 2013 +0000

    Added hidden input.

 include/input.h | 52 +++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 45 insertions(+), 7 deletions(-)

commit 22c89b1e5f097d2178807fa5382b44de68a1a829
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 08:52:53 2013 +0000

    removed uneccessary #ifdef's.

 tests/eventqueue9.cc | 8 --------
 1 file changed, 8 deletions(-)

commit ee7d6298f5edf0d3d3322630ae9a4ce68cb30460
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 08:51:01 2013 +0000

    Removed extra ';'.

 tests/eventqueue9.cc | 2 +-
 tests/resize3.cc     | 2 +-
 tests/resize4.cc     | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit ad1356a22af3f8e485a3892587a30e53395fe554
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 08:10:53 2013 +0000

    Adjusted due to changes in gettext.h.

 src/checkbox.cc         | 6 ------
 src/colorparser.cc      | 6 ------
 src/curswin.cc          | 6 ------
 src/fileloaddialog.cc   | 6 ------
 src/filesavedialog.cc   | 6 ------
 src/lockscreen.cc       | 6 ------
 src/size.cc             | 6 ------
 src/unlockdiadefault.cc | 6 ------
 src/yacursex.cc         | 7 -------
 tests/filedialog1.cc    | 3 +++
 10 files changed, 3 insertions(+), 55 deletions(-)

commit b565f0d2f0f368ac0077309d1fc2250d3a98e3d5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 08:10:06 2013 +0000

    Added $(LTLIBINTL).

 src/Makefile.am   | 2 +-
 tests/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b3bd041d0931b3a13bad32fce583642fd253bacc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 08:07:28 2013 +0000

    Use cut down version of gettext.h, since GNU provided gettext.h gives error on OpenBSD when compiled with -Wall -Werror -pedantic.

 include/gettext.h | 280 ++----------------------------------------------------
 1 file changed, 9 insertions(+), 271 deletions(-)

commit d547a56f18425327b2abdbd9ad76074fd3d01155
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 10 08:05:32 2013 +0000

    Tests will be done in separate directory.

 checkall.sh    |  1 -
 runcheckall.sh | 13 ++++++++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 49b921ea3e18bab0beee658539fc4d011d11136b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Apr 9 18:55:28 2013 +0000

    Set svn:keywords property.

 include/checkbox.h         | 2 +-
 include/messagebox.h       | 2 +-
 include/radiobox.h         | 2 +-
 include/unlockdiadefault.h | 2 +-
 include/unlockdialog.h     | 2 +-
 src/checkbox.cc            | 2 +-
 src/radiobox.cc            | 2 +-
 tests/checkbox1.cc         | 2 +-
 tests/inputbox1.cc         | 2 +-
 tests/radiobox1.cc         | 2 +-
 10 files changed, 10 insertions(+), 10 deletions(-)

commit 91afb489fc9c19fc60ae7d8dd5778be580f6e154
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Apr 9 18:53:34 2013 +0000

    gettextized.

 ABOUT-NLS                  | 1282 +++++++
 ChangeLog                  |   89 +
 Makefile.am                |    5 +-
 config.rpath               |  672 ++++
 configure.ac               |    8 +-
 include/Makefile.am        |   26 +-
 include/button.h           |    4 -
 include/checkbox.h         |    4 -
 include/colorparser.h      |    4 -
 include/colors.h           |    4 -
 include/curs.h             |    8 +-
 include/curstr.h           |    4 -
 include/curswin.h          |    4 -
 include/dialog.h           |    4 -
 include/dynlabel.h         |    4 -
 include/event.h            |    4 -
 include/eventconnector.h   |    4 -
 include/eventqueue.h       |    4 -
 include/evtqueuestats.h    |    4 -
 include/fileloaddialog.h   |    4 -
 include/filesavedialog.h   |    4 -
 include/focusgroup.h       |    4 -
 include/focusmanager.h     |    4 -
 include/gettext.h          |  280 ++
 include/hpack.h            |    4 -
 include/input.h            |    4 -
 include/inputbox.h         |    4 -
 include/label.h            |    4 -
 include/libyacurscfg.h.in  |   25 +
 include/lineobject.h       |    4 -
 include/listbox.h          |    4 -
 include/lockscreen.h       |    4 -
 include/messagebox.h       |    4 -
 include/messagebox2.h      |    4 -
 include/mycurses.h         |  185 +-
 include/pack.h             |    4 -
 include/radiobox.h         |    4 -
 include/realizeable.h      |    4 -
 include/statusline.h       |    4 -
 include/unlockdiadefault.h |    4 -
 include/unlockdialog.h     |    4 -
 include/vpack.h            |    4 -
 include/widget.h           |    4 -
 include/widgetbase.h       |    4 -
 include/window.h           |    4 -
 include/windowbase.h       |    4 -
 include/yacurs.h           |    1 +
 m4/gettext.m4              |  383 +++
 m4/iconv.m4                |  214 ++
 m4/lib-ld.m4               |  110 +
 m4/lib-link.m4             |  774 +++++
 m4/lib-prefix.m4           |  224 ++
 m4/libtool.m4              | 7982 ++++++++++++++++++++++++++++++++++++++++++++
 m4/ltoptions.m4            |  384 +++
 m4/ltsugar.m4              |  123 +
 m4/ltversion.m4            |   23 +
 m4/lt~obsolete.m4          |   98 +
 m4/nls.m4                  |   32 +
 m4/po.m4                   |  449 +++
 m4/progtest.m4             |   92 +
 po/ChangeLog               |   12 +
 po/LINGUAS                 |    2 +
 po/Makefile.in.in          |  444 +++
 po/Makevars                |   41 +
 po/Makevars.template       |   41 +
 po/POTFILES.in             |   10 +
 po/Rules-quot              |   47 +
 po/boldquot.sed            |   10 +
 po/de_CH.po                |  184 +
 po/de_DE.po                |  184 +
 po/en@boldquot.header      |   25 +
 po/en@boldquot.po          |  209 ++
 po/en@quot.header          |   22 +
 po/en@quot.po              |  206 ++
 po/en_GB.po                |  184 +
 po/en_US.po                |  184 +
 po/insert-header.sin       |   23 +
 po/libyacurs.pot           |  184 +
 po/quot.sed                |    6 +
 po/remove-potcdate.sin     |   19 +
 src/Makefile.am            |    4 +-
 src/checkbox.cc            |   16 +-
 src/colorparser.cc         |   22 +-
 src/curs.cc                |    4 +
 src/curswin.cc             |   18 +-
 src/dialog.cc              |   21 +-
 src/fileloaddialog.cc      |   36 +-
 src/filesavedialog.cc      |   28 +-
 src/lockscreen.cc          |   15 +-
 src/size.cc                |   20 +-
 src/unlockdiadefault.cc    |   16 +-
 src/yacursex.cc            |   36 +-
 tests/Makefile.am          |   15 +-
 tests/filedialog1.cc       |    8 +
 94 files changed, 15585 insertions(+), 324 deletions(-)

commit 639dbea637fb54bbfce7a9166299bd0dad98c603
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Apr 9 07:21:40 2013 +0000

    Adjustments in order to fix double free()s and silence valgrind.

 src/colorparser.cc | 65 +++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 42 insertions(+), 23 deletions(-)

commit 8f9545c30250859fe832ca6997656645c9e3a8ce
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Apr 9 07:20:46 2013 +0000

    Minor fixes.

 checkall.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b544dabdafbe29ec7b000a8f38351192f7636ce9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 8 15:52:27 2013 +0000

    FileDialog is now FileSaveDialog. Added FileLoadDialog. FileSaveDialog checks if selected file does exist, if so, asks for confirmation in order to overwrite.

 include/Makefile.am                        |  15 +-
 include/dialog.h                           |   5 +
 include/{filedialog.h => fileloaddialog.h} |  14 +-
 include/filesavedialog.h                   |  60 +++++
 include/yacurs.h                           |   3 +-
 src/Makefile.am                            |  17 +-
 src/dialog.cc                              |  18 ++
 src/{filedialog.cc => fileloaddialog.cc}   |  37 ++--
 src/filesavedialog.cc                      | 344 +++++++++++++++++++++++++++++
 tests/filedialog1.cc                       |  77 +++++--
 10 files changed, 527 insertions(+), 63 deletions(-)

commit 330ac7f79864fe337031959bd81b9b370ab1d4fb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 8 15:22:11 2013 +0000

    LockScreen now provides timeout for UnlockDialog.

 include/lockscreen.h |  9 ++++++++-
 src/eventqueue.cc    | 31 +++++++++++++++++++------------
 src/lockscreen.cc    | 39 ++++++++++++++++++++++++++++++++++++---
 tests/lockscreen1.cc |  3 +--
 4 files changed, 64 insertions(+), 18 deletions(-)

commit c3471c1a5c8827aaea23d8c61873857e1880f670
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 8 10:53:46 2013 +0000

    Colors does now only return COLOR_PAIR (or attr, if color is not supported). CursWin does now effectively set colors (attributes). Color handling of Widgets done with CurStr where possible. Label now supports user defined colors as defined by Colors. Adjusted ColorParser to deal with NCurses' COLOR_PAIRS starting at color number 1 instead of 0 as with X/Open Curses.

 include/colorparser.h |  2 +-
 include/colors.h      | 25 ++-------------------
 include/curswin.h     |  8 ++++---
 include/input.h       | 16 +++++++-------
 include/label.h       |  5 +++++
 include/listbox.h     |  9 +++-----
 include/mycurses.h    |  7 ++++++
 src/button.cc         |  4 ++--
 src/colorparser.cc    | 33 ++++++++++++++++------------
 src/colors.cc         | 59 ++++++++++++++-----------------------------------
 src/curswin.cc        | 38 ++++++++++++++++++++++----------
 src/label.cc          | 24 ++++++++++++++++++--
 src/lineobject.cc     |  1 -
 src/widgetbase.cc     |  9 --------
 tests/curswin1.cc     | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++
 15 files changed, 179 insertions(+), 122 deletions(-)

commit aa539b936a32cd0ebca01721ac1c5dbf2644f7d9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 7 21:56:12 2013 +0000

    Introduced YACURS namespace.

 include/area.h             |  275 ++++++------
 include/button.h           |  104 ++---
 include/checkbox.h         |  198 ++++-----
 include/coordinates.h      |  283 ++++++------
 include/curs.h             |  177 ++++----
 include/dialog.h           |   92 ++--
 include/dynlabel.h         |   82 ++--
 include/event.h            |  411 +++++++++---------
 include/eventconnector.h   |  636 +++++++++++++--------------
 include/eventqueue.h       |  320 +++++++-------
 include/evtqueuestats.h    |  252 ++++++-----
 include/filedialog.h       |   64 +--
 include/focusgroup.h       |  264 +++++------
 include/focusmanager.h     |  288 ++++++------
 include/hpack.h            |   50 ++-
 include/input.h            | 1033 ++++++++++++++++++++++----------------------
 include/inputbox.h         |   43 +-
 include/label.h            |  161 +++----
 include/lineobject.h       |  111 +++--
 include/listbox.h          |  798 +++++++++++++++++-----------------
 include/lockscreen.h       |   40 +-
 include/margin.h           |   60 +--
 include/messagebox.h       |   30 +-
 include/messagebox2.h      |   36 +-
 include/pack.h             |  542 +++++++++++------------
 include/radiobox.h         |   24 +-
 include/realizeable.h      |  283 ++++++------
 include/size.h             |  289 ++++++-------
 include/statusline.h       |   37 +-
 include/unlockdiadefault.h |   29 +-
 include/unlockdialog.h     |   38 +-
 include/vpack.h            |   48 +-
 include/widget.h           |   84 ++--
 include/widgetbase.h       |  691 ++++++++++++++---------------
 include/window.h           |  130 +++---
 include/windowbase.h       |  261 +++++------
 include/yacursex.h         |  214 +++++----
 include/yacurstypes.h      |   27 +-
 src/area.cc                |   14 +-
 src/button.cc              |    2 +
 src/checkbox.cc            |    2 +
 src/coordinates.cc         |    8 +-
 src/curs.cc                |    2 +
 src/curstr.cc              |    2 +-
 src/curswin.cc             |    6 +-
 src/dialog.cc              |    2 +
 src/dynlabel.cc            |    2 +
 src/event.cc               |    2 +
 src/eventconnector.cc      |    2 +
 src/eventqueue.cc          |    2 +
 src/evtqueuestats.cc       |    2 +
 src/filedialog.cc          |    2 +
 src/focusgroup.cc          |    2 +
 src/focusmanager.cc        |    2 +
 src/hpack.cc               |    3 +-
 src/inputbox.cc            |    2 +
 src/label.cc               |    2 +
 src/lineobject.cc          |    2 +
 src/lockscreen.cc          |    2 +
 src/margin.cc              |    2 +
 src/messagebox.cc          |    2 +
 src/messagebox2.cc         |    2 +
 src/pack.cc                |    2 +
 src/radiobox.cc            |    2 +
 src/realizeable.cc         |    2 +
 src/size.cc                |    8 +-
 src/statusline.cc          |    3 +
 src/unlockdiadefault.cc    |    2 +
 src/unlockdialog.cc        |    4 +-
 src/vpack.cc               |    3 +-
 src/widget.cc              |    3 +-
 src/widgetbase.cc          |    2 +
 src/window.cc              |    3 +-
 src/windowbase.cc          |    3 +-
 src/yacursex.cc            |    2 +
 tests/app1.cc              |  146 +++----
 tests/app2.cc              |  148 +++----
 tests/area.cc              |   28 +-
 tests/basic1.cc            |   34 +-
 tests/basic2.cc            |   36 +-
 tests/checkbox1.cc         |   36 +-
 tests/coordinates.cc       |    8 +-
 tests/cursinit.cc          |    6 +-
 tests/curswin1.cc          |   56 +--
 tests/dialog1.cc           |   70 +--
 tests/dynlabel1.cc         |   58 +--
 tests/eventconnector1.cc   |   50 +--
 tests/eventqueue1.cc       |   40 +-
 tests/eventqueue2.cc       |   38 +-
 tests/eventqueue3.cc       |   34 +-
 tests/eventqueue4.cc       |   34 +-
 tests/eventqueue5.cc       |   36 +-
 tests/eventqueue6.cc       |   40 +-
 tests/eventqueue7.cc       |   38 +-
 tests/eventqueue8.cc       |  114 ++---
 tests/eventqueue9.cc       |   26 +-
 tests/filedialog1.cc       |  114 ++---
 tests/focus1.cc            |   78 ++--
 tests/inputbox1.cc         |   72 +--
 tests/listbox1.cc          |   36 +-
 tests/listbox2.cc          |   84 ++--
 tests/lockscreen1.cc       |  164 +++----
 tests/margin.cc            |    6 +-
 tests/messagebox1.cc       |   72 +--
 tests/pack1.cc             |   30 +-
 tests/pack2.cc             |   38 +-
 tests/pack3.cc             |   42 +-
 tests/pack4.cc             |   78 ++--
 tests/pack5.cc             |   78 ++--
 tests/pack6.cc             |   78 ++--
 tests/pack7.cc             |   78 ++--
 tests/pack8.cc             |   78 ++--
 tests/pack9.cc             |  134 +++---
 tests/packremove.cc        |   94 ++--
 tests/packresize1.cc       |   86 ++--
 tests/radiobox1.cc         |   36 +-
 tests/resize1.cc           |   14 +-
 tests/resize2.cc           |   34 +-
 tests/resize3.cc           |   52 +--
 tests/resize4.cc           |   64 +--
 tests/resize5.cc           |   58 +--
 tests/widget1.cc           |   26 +-
 tests/widget2.cc           |   54 +--
 tests/widget3.cc           |   54 +--
 124 files changed, 5810 insertions(+), 5713 deletions(-)

commit 2f1323b7f881de4b6169dac29a66fc18adc75091
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 7 18:43:14 2013 +0000

    removed leftovers.

 src/colors.cc | 65 -----------------------------------------------------------
 1 file changed, 65 deletions(-)

commit 03499d71501cb6f7df190e11522629f01ef5c164
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Apr 7 18:31:41 2013 +0000

    Incorporated CursWin.

 include/colorparser.h |   5 ++-
 include/colors.h      |  47 +++++++++++-----------
 include/coordinates.h |  22 +++++++----
 include/curstr.h      |   8 +++-
 include/curswin.h     |  26 +++++++++++--
 include/input.h       |  28 ++++++-------
 include/listbox.h     |  64 +++++++++---------------------
 include/mycurses.h    |   4 ++
 include/pack.h        |   2 +-
 include/size.h        |  20 +++++++---
 include/widget.h      |   6 +--
 include/widgetbase.h  |   9 +++--
 include/windowbase.h  |   9 +++--
 src/button.cc         |  10 ++---
 src/checkbox.cc       |  32 ++++-----------
 src/colorparser.cc    |  19 ++++-----
 src/colors.cc         |  32 ++++++++-------
 src/coordinates.cc    |  10 ++---
 src/curs.cc           |  12 ++++--
 src/curstr.cc         |  22 +++++++----
 src/curswin.cc        | 106 +++++++++++++++++++++++++++++++++++++++++++-------
 src/dialog.cc         |   3 +-
 src/dynlabel.cc       |  26 ++-----------
 src/evtqueuestats.cc  |   2 +-
 src/label.cc          |  17 ++------
 src/lineobject.cc     |  30 ++++----------
 src/pack.cc           |   4 +-
 src/size.cc           |  10 ++---
 src/widget.cc         |  84 +++++++++++++++------------------------
 src/widgetbase.cc     |   4 +-
 src/window.cc         |   6 ++-
 src/windowbase.cc     |  66 +++++++++----------------------
 tests/curswin1.cc     |  27 ++++++++++++-
 33 files changed, 398 insertions(+), 374 deletions(-)

commit 238547448bf52e76f0d0c46670607837f620670e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 6 14:40:40 2013 +0000

    Implemented color parser.

 include/colorparser.h |  16 ++++-
 include/colors.h      |   5 ++
 include/yacurs.h      |   1 +
 src/colorparser.cc    | 187 ++++++++++++++++++++++++++++++++++++++++++++------
 src/colors.cc         |  30 ++++----
 tests/Makefile.am     |  16 ++---
 tests/colorparser.cc  |  15 ++++
 7 files changed, 225 insertions(+), 45 deletions(-)

commit 06f6f3cfd10d136cb1b0f14bb03cf563177e1e0b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 6 14:39:38 2013 +0000

    Fixed typo.

 include/mycurses.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fcdcb0bc430757c1a1970534f0dd101341dfce72
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Apr 5 20:25:54 2013 +0000

    Changed namespace name. Worked on colors.

 include/Makefile.am   |   2 +-
 include/colorparser.h |  27 +++++
 include/colors.h      | 265 +++++++++++++++++++++++++++-----------------------
 include/input.h       |   8 +-
 include/listbox.h     |   6 +-
 src/Makefile.am       |  16 +--
 src/button.cc         |   4 +-
 src/colorparser.cc    |  86 ++++++++++++++++
 src/colors.cc         |   8 +-
 src/curs.cc           |   2 +-
 src/lineobject.cc     |   4 +-
 src/window.cc         |   4 +-
 12 files changed, 283 insertions(+), 149 deletions(-)

commit b5acfdc1a61bf90a35cd32ccd85f8e4aa166552f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 4 18:40:30 2013 +0000

    Added astyle options.

 astylerc | 1 +
 1 file changed, 1 insertion(+)

commit 112faabdff492b4b3326cf123ec201523b762a4d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 4 18:37:21 2013 +0000

    Code beautification.

 tests/app1.cc            | 504 +++++++++++++-------------
 tests/app2.cc            | 510 ++++++++++++++-------------
 tests/area.cc            | 113 +++---
 tests/basic1.cc          |  64 ++--
 tests/basic2.cc          |  61 ++--
 tests/checkbox1.cc       | 900 ++++++++++++++++++++++++-----------------------
 tests/coordinates.cc     |  45 +--
 tests/cursinit.cc        |   8 +-
 tests/curswin1.cc        | 163 +++++----
 tests/dialog1.cc         | 161 ++++-----
 tests/dynlabel1.cc       | 115 +++---
 tests/eventconnector1.cc | 100 +++---
 tests/eventqueue1.cc     |  86 ++---
 tests/eventqueue2.cc     |  97 ++---
 tests/eventqueue3.cc     | 133 +++----
 tests/eventqueue4.cc     | 127 +++----
 tests/eventqueue5.cc     | 129 +++----
 tests/eventqueue6.cc     | 145 ++++----
 tests/eventqueue7.cc     | 158 +++++----
 tests/eventqueue8.cc     | 532 +++++++++++++++-------------
 tests/eventqueue9.cc     |  86 ++---
 tests/filedialog1.cc     | 349 +++++++++---------
 tests/focus1.cc          | 148 ++++----
 tests/inputbox1.cc       | 161 ++++-----
 tests/listbox1.cc        |  84 ++---
 tests/listbox2.cc        | 217 ++++++------
 tests/lockscreen1.cc     | 521 +++++++++++++--------------
 tests/margin.cc          |  24 +-
 tests/messagebox1.cc     | 161 ++++-----
 tests/pack1.cc           |  51 +--
 tests/pack2.cc           |  77 ++--
 tests/pack3.cc           | 118 ++++---
 tests/pack4.cc           | 260 +++++++-------
 tests/pack5.cc           | 284 +++++++--------
 tests/pack6.cc           | 284 +++++++--------
 tests/pack7.cc           | 284 +++++++--------
 tests/pack8.cc           | 284 +++++++--------
 tests/pack9.cc           | 392 +++++++++++----------
 tests/packremove.cc      | 278 +++++++--------
 tests/packresize1.cc     | 286 +++++++--------
 tests/radiobox1.cc       | 900 ++++++++++++++++++++++++-----------------------
 tests/resize1.cc         |  40 +--
 tests/resize2.cc         |  62 ++--
 tests/resize3.cc         | 105 +++---
 tests/resize4.cc         | 185 +++++-----
 tests/resize5.cc         | 179 +++++-----
 tests/testpreload.cc     |   4 +-
 tests/widget1.cc         |  39 +-
 tests/widget2.cc         | 114 +++---
 tests/widget3.cc         | 104 +++---
 50 files changed, 5244 insertions(+), 4988 deletions(-)

commit 74236c9bd66c81ede3947167336136a0f4fc2044
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 4 18:04:59 2013 +0000

    Updated svn:excludes.

commit 9a2ccb685dfb237309afa89945bd143db8390775
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 4 18:00:25 2013 +0000

    Added excludes.

commit a17e3e88265bd76d0da86a0bbdcf9bdd748b3101
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 4 17:56:52 2013 +0000

    Fixed mix up of arguments.

 src/curswin.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9cfe632a137d370698dd8e1a288ee051ee38af21
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Apr 4 17:56:04 2013 +0000

    Extended tests.

 tests/curswin1.cc | 85 ++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 72 insertions(+), 13 deletions(-)

commit 2fa3e676b4302b55ea98e8e65a593da1514562f3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 3 20:12:21 2013 +0000

    Fixed memory leaks.

 tests/lockscreen1.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 869056e4da87b1e470d10fa8bc7c025214eb49ee
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 3 19:53:31 2013 +0000

    Continued work on CursWin.

 include/curswin.h |  42 ++++-------
 src/curswin.cc    | 221 +++++++++++++++++++++++++++---------------------------
 tests/curswin1.cc | 118 +++++++++++++++++++++++------
 3 files changed, 217 insertions(+), 164 deletions(-)

commit c69544c46aad1867bdecfc4149cb7016906b9bbc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 3 19:52:25 2013 +0000

    inlined mvdelch() and delch().

 include/mycurses.h | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 2268336fcde6800d846995f7f04c65496d98f19f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 3 19:51:23 2013 +0000

    Added end() giving the lower right corner.

 include/area.h | 7 +++++++
 1 file changed, 7 insertions(+)

commit dee677e31e3f11b1b035912f7072f83e86076629
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Apr 3 18:44:23 2013 +0000

    Added end() giving the lower right corner. Fixed error in operator>().

 src/area.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit b594e186198e6e85d6f642add48ce59cc2c0c417
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 1 18:55:43 2013 +0000

    Continued work on CursWin.

 include/curswin.h  |  47 ++++++++++++---
 include/mycurses.h |  66 ++++++++++++++++++++-
 src/curswin.cc     | 170 +++++++++++++++++++++++++++++++++++++++--------------
 tests/curswin1.cc  |  61 ++++++++++++-------
 4 files changed, 266 insertions(+), 78 deletions(-)

commit 80624eb620f46c261c553f566662a0141eb87877
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 1 18:55:23 2013 +0000

    Added < and > operators.

 include/area.h | 10 ++++++++++
 src/area.cc    |  9 +++++++++
 2 files changed, 19 insertions(+)

commit 24d2837aecee66fb03c30dfc42eecc00f1801b0c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 1 18:54:34 2013 +0000

    Added check for waddnstr.

 configure.ac | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 1fe918dbb823e23d688670fd8a15c15f4ffeeded
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 31 19:55:04 2013 +0000

    Fixed error in r4962, obsoleted r4973.

 src/lockscreen.cc | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 63aa464ff25b6aba4fc9d52f8989cf4417255dc7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 31 18:00:52 2013 +0000

    Added bug description.

 src/lockscreen.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 448e79dd916b9c98ca556641fbe8d6c14cfc19d0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 31 17:37:48 2013 +0000

    Added stdexcept header.

 src/curswin.cc | 2 ++
 1 file changed, 2 insertions(+)

commit f10f4a4e86e28aa332ad38cc381ac619bd777a6f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 31 17:27:07 2013 +0000

    Renamed CursWin::is_subwin() to CursWin::issubwin() due to collision with NCurses is_subwin() macro.

 include/curswin.h | 2 +-
 src/curswin.cc    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3628cb66c90613bad914dad33707ae392551a34a
